#!/usr/bin/env perl
# ===============================================
# (C) 2018 AO Kaspersky Lab. All Rights Reserved.
# ===============================================

use strict;
$| = 1;

BEGIN {
    my $appname;
    $appname = $1 if $0 =~ /.*[\/](\w+)-(\w+)(\.pl)?$/;

    my $lib = ($^O !~ /^freebsd$/i) ?
        "/opt/kaspersky/$appname/lib/perl" :
        "/usr/local/lib/kaspersky/$appname/perl";
    unshift @INC, $lib;
}

use KL::App;

KL::Utils::fatal(2, "Script started without root privileges") if ($< != 0);

my $app = new KL::App();

if ( not $app->parse_cmdline() ) {
    exit(1);
}

exit(0);
