# ===============================================
# (C) 2018 AO Kaspersky Lab. All Rights Reserved.
# ===============================================

package KL::AppInfo;

use strict;
use KL::Utils;

my $APPINFODBROOT = (KL::Utils::is_freebsd() ? '/var/db' : '/var/opt') . '/kaspersky/apps';

sub new
{
    my $class = shift;
    my $id = shift;

    my $values = {};

    $values = read_app_info($id) if defined $id;

    my $self = { VALUES => $values };

    bless $self, $class;
}

sub value
{
    my $self = shift;
    my $section = shift;
    my $name = shift;

    return $self->{VALUES}->{$section}->{$name};
}

sub read_app_info
{
    my $id = shift;
    my $filename = "$APPINFODBROOT/$id";

    return KL::Utils::load_ini_file($filename);
}

1;
