#!/bin/sh
# ===============================================
# (C) 2018 AO Kaspersky Lab. All Rights Reserved.
# ===============================================

paths="/opt/kaspersky/klmsui/bin /opt/kaspersky/klmsui/lib /opt/kaspersky/klmsui/libexec /opt/kaspersky/klmsui/sbin /etc/opt/kaspersky/klmsui /var/log/kaspersky/klmsui /var/run/klmsui /var/opt/kaspersky/klmsui /opt/kaspersky/klmsui/libexec"
app="Kaspersky Security for Linux Mail Server UI"
clean_ifempty_paths="/opt/kaspersky/klmsui/share/locale /opt/kaspersky/klmsui/share /opt/kaspersky/klmsui /opt/kaspersky /etc/opt/kaspersky /var/opt/kaspersky /var/log/kaspersky"

if [ "$1" != "--confirm-delete" ]
then
    echo
    echo "The script deletes all files and directories left after"
    echo "\"$app\" application"
    echo "package deinstallation."
    echo
    echo "In case of user confirmation (below) ALL data of the application will be"
    echo "deleted, including but not limited to: configuration files, log files,"
    echo "quarantined files, AV-signatures, etc."
    echo

    echo "The following items will be removed:"
    for path in $paths
    do
        if [ -d "$path" ] ; then
            echo "  Directory $path/"
        elif [ -S "$path" ] ; then
            echo "  Socket $path"
        elif [ -f "$path" ] ; then
            echo "  File $path"
        else
            continue
        fi
    done

    echo

    while :
    do
        echo "Do you want to delete ALL \"$app\""
        echo -n "application data (yes/no)? [no]: "

        read answer

        [ -z "$answer" ] && answer=no

        if [ "$answer" = "no" ] ; then
            echo
            echo "Canceled."
            exit 1
        elif [ "$answer" = "yes" ] ; then
            break
        else
            echo
            echo "Please answer either 'yes' or 'no'."
        fi
    done
fi

echo
echo "Delete \"$app\" data:"

for path in $paths
do
    if [ -d "$path" ] ; then
        rm -rf "$path" || exit 1
        echo "  Directory $path/ is removed."

    elif [ -S "$path" ] ; then
        rm -f "$path" || exit 1
        echo "  Socket $path is removed."

    elif [ -f "$path" ] ; then
        rm -f "$path" || exit 1
        echo "  File $path is removed."

    fi
done
for path in $clean_ifempty_paths
do
    if [ -d "$path" ] ; then
        if [ "$(ls -A $path)" ]; then
            echo "$path is not empty. Skipping it."
        else
            rm -rf "$path" || exit 1
            echo "  Directory $path/ is removed."
        fi
    fi
done

