//######################################################
//#                                                    #
//#  (c) 2018 AO Kaspersky Lab. All Rights Reserved.   #
//#                                                    #
//######################################################
CreateApp({
	"initialAction": "checkSession",
	"appInfoAction": "appInfo",
	"serverTimeAction": "serverTime",
	"licenseInfoAction": "getLicenseStatus",
	
	"root": "pageWrap",
	"loader": "appLoader",
	"pages": [
		
		{"id": "addressesEditDialog", "isdialog": true, "width": 750, "elements": [
				{ "id": "addressEditForm", "type": "KL.LMS.Groups.AddressesEditor" }
		]
		},
		{"id": "addressesImportEditDialog", "title": "LabelTitlePasteAddressesDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "addressImportEditForm", "type": "KL.LMS.Groups.AddressesImportEditor" }
		]
		},
		{"id": "addressesPersonalImportEditDialog", "title": "LabelTitlePasteAddressesDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "addressPersonalImportEditForm", "type": "KL.LMS.Groups.AddressesImportEditor" }
		]
		},
		{"id": "addressesAdminImportEditDialog", "title": "LabelTitlePasteAddressesDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "addressAdminImportEditForm", "type": "KL.LMS.Groups.AddressesImportEditor" }
		]
		},
		{"id": "aboutDialogView", "isdialog": true, "width": 500, "title":"Kaspersky Linux Mail Security", "elements": [
				{ "id": "aboutDialogForm", "type": "KL.Web.Controls.AboutForm" }
		]
		},
		{ "id": "sorageFilterDialog", "title": "LabelDialogTitleBackupFilter", "isdialog": true, "width": 500, "elements": [
				{ "id": "storagFilterForm", "type": "KL.LMS.Backup.FilterDialog" }
		]
		},
		{ "id": "filesTypesAvDialog", "title": "LabelDialogAvFilesTypesExceptions", "isdialog": true, "width": 700, "elements": [
				{ "id": "filesTypesAvDialogForm", "type": "KL.LMS.Groups.FilesTypesSelectForm" }
		]
		},
		{ "id": "filesTypesCfDialog", "title": "LabelDialogCfFilesTypesExceptions", "isdialog": true, "width": 700, "elements": [
				{ "id": "filesTypesCfDialogForm", "type": "KL.LMS.Groups.FilesTypesSelectForm" }
		]
		},
		
		{ "id": "changePasswdDialog", "title": "TitleChangePasswd", "isdialog": true, "width": 500, "elements": [
				{ "id": "chPasswdForm", "type": "KL.Web.Controls.ChangePasswdForm" }
		]
		},
	
		{"id": "ProxySettingsDialog", "title": "LabelSettingsDialogUpdate_NetworkConnection", "isdialog": true, "width": 500, "elements": [
				{ "id": "ProxySettingsForm", "type": "KL.LMS.Settings.CnnSettingsForm" },
				{ "id": "ProxySettingsForm1", "type": "KL.LMS.Settings.CnnSettingsForm" }
			]
		},
		{"id": "baseUpdateSourceSettingsDialog", "title": "LabelSettingsDialogUpdate_Bases", "isdialog": true, "width": 560, "elements": [
				{ "id": "baseUpdateSourceSettingsForm", "type": "KL.LMS.Settings.UpdateSettingsSourceForm","datafield":"updaterSettings"}
		]
		},
		{"id": "baseUpdateScheduleSettingsDialog", "title": "LabelSettingsDialogUpdate_Bases", "isdialog": true, "width": 560, "elements": [
				{ "id": "baseUpdateScheduleSettingsForm", "type": "KL.LMS.Settings.UpdateSettingsForm","datafield":"updaterSettings"}
		]
		},
		{ "id": "ldapTypeSettingsDialog", "title": "LabelSettingsDialogTitle_LdapServiceType", "isdialog": true, "width": 600, "elements": [
				{ "id": "ldapTypeSettingsForm", "type": "KL.LMS.Settings.LdapTypeSettingsForm" }
		]
		},
		{ "id": "ldapCnnSettingsDialog", "title": "LabelSettingsDialogTitle_LdapConnection", "isdialog": true, "width": 600, "elements": [
				{ "id": "ldapCnnSettingsForm", "type": "KL.LMS.Settings.LdapCnnSettingsForm" }
		]
		},
		{ "id": "ldapCnnStatusDialog", "title": "LabelSettingsDialogTitle_LdapConnectionStatus", "isdialog": true, "width": 600, "elements": [
				{ "id": "ldapCnnStatusForm", "type": "KL.LMS.Settings.LdapCnnStatusForm" }
		]
		},
		{ "id": "ldapAccessSettingsDialog", "title": "LabelSettingsDialogTitle_LdapAccess", "isdialog": true, "width": 600, "elements": [
				{ "id": "ldapAccessSettingsForm", "type": "KL.LMS.Settings.LdapAccessSettingsForm" }
		]
		},
		{ "id": "deliverMailDialog", "title": "LabelDialogTitleDeliverMessage", "isdialog": true, "width": 530, "elements": [
				{ "id": "deliverDialogForm", "type": "KL.LMS.Backup.DeliverDialogForm" }
		]
		},
		{ "id": "usersBWListsEditDialog", "title": "LabelDialogTitleEditBWLists", "isdialog": true, "width": 750, "elements": [
				{ "id": "usersBWListsEditForm", "type": "KL.LMS.Settings.BWListsForm", "mode": "dialog" }
		]
		},
		{ "id": "notificationEditDialog", "title": "LabelDialogTitleEditNotification", "isdialog": true, "width": 750, "elements": [
				{ "id": "notificationEditForm", "type": "KL.LMS.Settings.NotificationEditForm" }
		]
		},
		{ "id": "notificationEmailEditDialog", "title": "LabelDialogTitleEditNotificationEmail", "isdialog": true, "width": 380, "elements": [
				{ "id": "notificationEmailEditForm", "type": "KL.LMS.Settings.NotificationEmailEditForm" }
		]
		},
		{"id": "reportParamsDialog", "title": "ReportForm", "isdialog": true, "width": 500, "elements": [
				{ "id": "reportParamsForm", "type": "KL.LMS.Reports.ReportParamsForm" }
		]
		},
		{ "id": "avProtectionEditDialog", "title": "LabelDialogTitleAvProtectionSettings", "isdialog": true, "width": 500, "elements": [
				{ "id": "avProtectionEditForm", "type": "KL.LMS.Settings.AvProtectionEditForm" }
		]
		},
		{ "id": "cfProtectionEditDialog", "title": "LabelDialogTitleCfProtectionSettings", "isdialog": true, "width": 480, "elements": [
				{ "id": "cfProtectionEditForm", "type": "KL.LMS.Settings.CfProtectionEditForm" }
		]
		},
		{ "id": "asProtectionEditDialog", "title": "LabelDialogTitleAsProtectionSettings", "isdialog": true, "width": 550, "elements": [
				{ "id": "asProtectionEditForm", "type": "KL.LMS.Settings.AsProtectionEditForm" }
		]
		},
		{ "id": "asQuarantineEditDialog", "title": "LabelDialogTitleAsQuarantineSettings", "isdialog": true, "width": 600, "elements": [
				{ "id": "asQuarantineEditForm", "type": "KL.LMS.Settings.AsQuarantineEditForm" }
		]
		},
		{ "id": "afProtectionEditDialog", "title": "LabelDialogTitleApProtectionSettings", "isdialog": true, "width": 510, "elements": [
				{ "id": "afProtectionEditForm", "type": "KL.LMS.Settings.AfProtectionEditForm" }
		]
		},
		{ "id": "kataIntegrationEditDialog", "title": "LabelDialogTitleKataIntegrationSettings", "isdialog": true, "width": 600, "elements": [
				{ "id": "kataIntegrationEditForm", "type": "KL.LMS.Settings.KataIntegrationEditForm" }
		]
		},
		{ "id": "kataIntegrationStatusDialog", "title": "LabelDialogTitleKataIntegrationStatus", "isdialog": true, "width": 650, "elements": [
				{ "id": "kataIntegrationStatusForm", "type": "KL.LMS.Settings.KataIntegrationStatusForm" }
		]
		},
		{ "id": "blProtectionEditDialog", "title": "LabelDialogTitleBlProtectionSettings", "isdialog": true, "width": 650, "elements": [
				{ "id": "blProtectionEditForm", "type": "KL.LMS.Settings.BlProtectionEditForm" }
			]
		},
		{ "id": "settingsDnsblEditDialog", "title": "LabelSettingsDialogProtection_CustomDNSBL", "isdialog": true, "width": 400, "elements": [
				{ "id": "settingsDnsblEditForm", "type": "KL.LMS.Settings.BlackListEditForm" }
		]
		},
		{ "id": "settingsSurblEditDialog", "title": "LabelSettingsDialogProtection_CustomSURBL", "isdialog": true, "width": 400, "elements": [
				{ "id": "settingsSurblEditForm", "type": "KL.LMS.Settings.BlackListEditForm" }
		]
		},
		{ "id": "ksnLicenseDialog", "title": "LabelTitleSettingsKsnLicenseDialog", "isdialog": true, "width": 700, "elements": [
				{ "id": "ksnLicenseAcceptForm", "type": "KL.LMS.Settings.KsnLicenseAcceptForm" }
			]
		},
		{ "id": "ksnSettingsDialog", "title": "LabelTitleSettingsExtServiceSettingsDialog", "isdialog": true, "width": 580, "elements": [
				{ "id": "ksnSettingsEditForm", "type": "KL.LMS.Settings.KSNSettingsEditForm" }
			]
		},
		{ "id": "backupSettingsDialog", "title": "LabelTitleSettingsPanelBackup", "isdialog": true, "width": 600, "elements": [
				{ "id": "backupSettingsForm", "type": "KL.LMS.Settings.BackupSettingsForm" }
		]
		},
		{ "id": "snmpCnnSettingsDialog", "title": "LabelTitleSettingsSNMP_Connection", "isdialog": true, "width": 550, "elements": [
				{ "id": "snmpCnnSettingsForm", "type": "KL.LMS.Settings.SNMPCnnSettingsForm" }
		]
		},
		{ "id": "trapSuiteSNMPSettingsDialog", "title": "LabelTitleSettingsSNMP_Settings", "isdialog": true, "width": 520, "elements": [
				{ "id": "trapSuiteSNMPSettingsForm", "type": "KL.LMS.Settings.SNMPSettingsForm" }
		]
		},
		{ "id": "ProductMailSettingsDialog", "title": "LabelTitleSettingsMisc_EMails_Product", "isdialog": true, "width": 500, "elements": [
				{ "id": "ProductMailSettingsForm", "type": "KL.LMS.Settings.ProductMailSettingsForm" }
		]
		},
		{ "id": "AdminEMailSettingsDialog", "title": "LabelTitleSettingsMisc_EMails_Admins", "isdialog": true, "width": 450, "elements": [
				{ "id": "AdminEMailSettingsForm", "type": "KL.LMS.Settings.AdminEMailSettingsForm" }
			]
		},
		{ "id": "scClusterIdEditDialog", "title": "LabelTitleDialogSCIntegration", "isdialog": true, "width": 500, "elements": [
				{ "id": "scClusterIdEditForm", "type": "KL.LMS.Settings.ScClusterIdEditForm" }
			]
		},
		{ "id": "EventLoggerEditDialog", "title": "LabelTitleSettingsMisc_EventLogger", "isdialog": true, "width": 500, "elements": [
				{ "id": "eventLoggerEditForm", "type": "KL.LMS.Settings.EventLoggerEditForm" }
			]
		},
		{ "id": "PerformanceEditDialog", "title": "LabelTitleSettingsMisc_Performance", "isdialog": true, "width": 450, "elements": [
				{ "id": "PerformanceEditForm", "type": "KL.LMS.Settings.PerformanceEditForm" }
			]
		},
		{ "id": "HeaderMarksEditDialog", "title": "LabelTitleSettingsMisc_HeaderMarks", "isdialog": true, "width": 500, "elements": [
				{ "id": "HeaderMarksEditForm", "type": "KL.LMS.Settings.HeaderMarksEditForm" }
			]
		},
		
		{ "id": "PlaceholderEditDialog", "title": "LabelTitleSettingsMisc_Placeholder", "isdialog": true, "width": 750, "elements": [
				{ "id": "PlaceholderEditForm", "type": "KL.LMS.Settings.PlaceholderEditForm" }
			]
		},
		{ "id": "importSettingsDialog", "title": "LabelTitleImportSettingsDialog", "isdialog": true, "width": 600, "elements": [
				{ "id": "importSettingsForm", "type": "KL.LMS.Settings.ImportSettingsForm" }
			]
		},
		{ "id": "exportSettingsDialog", "title": "LabelTitleExportSettingsDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "exportSettingsForm", "type": "KL.LMS.Settings.ExportSettingsForm" }
			]
		},
		{ "id": "helpdeskSettingsDialog", "title": "LabelTitleHelpdeskSettingsDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "helpdeskSettingsForm", "type": "KL.LMS.Settings.HelpdeskSettingsForm" }
			]
		},
		{ "id": "restartProductConfirmDialog", "title": "LabelTitleRestartConfirmDialog", "isdialog": true, "width": 500, "elements": [
				{ "type": "KL.Web.Controls.Panel", "cssclass": "dialogContent", "elements": [
					{"id": "lblRestartConfirmDlgWarn", "type": "KL.Web.Controls.Label", "text": "LabelRestartConfirmDialogText" },
					{"id": "lblRestartConfirmDlgDone", "type": "KL.Web.Controls.Label", "text": "LabelRestartConfirmDialogStartedText" }
				] },
				{ "type": "KL.Web.Controls.Panel", "cssclass": "btnsBar restartProductBtnsBar", "elements": [
					{ "id": "btnRestartProduct", "type": "KL.Web.Controls.Button", "text": "BtnYes" },
					{ "id": "btnCancelRestartDlg", "type": "KL.Web.Controls.Button", "text": "BtnNo", "cssclass": "defaultBtn" },
					{ "id": "btnCloseRestartDlg", "type": "KL.Web.Controls.Button", "text": "BtnClose", "cssclass": "defaultBtn" }
				] }
			]
		},
		{ "id": "createLdapServerDialog", "title": "LabelTitleCreateLdapServerDialog", "isdialog": true, "width": 600, "elements": [
				{ "id": "createLdapServerWizard", "type": "KL.Web.Controls.Wizard", 
					"stepvalidator": "KL.LMS.Helpers.LdapHelper", 
					"buttons": [
							{ "text": "LabelTitleCreateLdapServerWizardTabConnection", "panel": "pnlWizardConnection", "clickable": false },
							{ "text": "LabelTitleCreateLdapServerWizardTabAccess", "panel": "pnlWizardAccess", "clickable": false }
						]
				},
				{ 
					"type": "KL.Web.Controls.WizardStepPanel", 
					"id": "pnlWizardConnection", 
					"title": "LabelTitleWizardPanelConnection", 
					"validatormethod": "wizardNextEnabled", 
					"elements": [
							{ "id": "ldapWizardConnectionForm", "type": "KL.LMS.Settings.LdapCnnSettingsForm" }
						],
					"buttons": [
							{ "event": "onnext", "text": "BtnNext", "novalidate": true },
						]
				},
				{ 
					"type": "KL.Web.Controls.WizardStepPanel", 
					"id": "pnlWizardAccess", 
					"title": "LabelTitleWizardPanelAccess", 
					"elements": [
							{ "id": "ldapWizardAccessForm", "type": "KL.LMS.Settings.LdapAccessSettingsForm" }
						],
					"buttons": [
							{ "event": "onback", "text": "BtnBack", "novalidate": true },
							{ "event": "onfinish", "text": "BtnFinish", "novalidate": true}
						]
				}
			]
		},
		{ "id": "importLicenseKeyDialog", "title": "LabelTitleImportLicenseKeyDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "importLicenseKeyForm", "type": "KL.LMS.ImportLicenseKeyForm" }
			]
		},
		{ "id": "activateLicenseKeyDialog", "title": "LabelTitleActivateLicenseKeyDialog", "isdialog": true, "width": 500, "elements": [
				{ "id": "activateLicenseKeyForm", "type": "KL.LMS.ActivateLicenseKeyForm" }
			]
		},
		{"id": "signupPage", "islogin": true, "elements": [
				{ "id": "signupPageContent", "type": "KL.Web.Controls.SignupPagePanel", "elements": [
						{ "id": "loginForm", "type": "KL.LMS.SignupForm" }
					]
				},
				{ "id": "signupLangSelector", "type": "KL.Web.Controls.LangSelect" }
			]
		},
		{"id": "mainPage", "ismain": true, "elements": [
				{ "id": "contextChangeAdapter", "type": "KL.LMS.ContextChangeAdapter" },
				{ "id": "mainPageHeader", "type": "KL.Web.Controls.PageHeader", "elements": [
						{ "id": "panelHeaderContent", "type": "KL.Web.Controls.Panel", "cssclass": "mainHeaderContent", "elements": [
								{ "id": "panelHeaderLogoContent", "type": "KL.Web.Controls.Panel", "elements": [
										{ "id": "panelLogoWrap", "type": "KL.Web.Controls.Panel", "elements": [
												{ "id": "headerLogo", "type": "KL.Web.Controls.ProductLogo" }
											]
										}
									]
								},
								{ "type": "KL.Web.Controls.MainNav", "id": "topNav", "param": "mainnav", "items": [
										{ "text": "LabelNavTitleDashboard", "panel": "DashboardPagePanel", "role_visible": "admin", "external": "./#/klms" },
										{ "text": "LabelNavTitleGroups", "panel": "GroupsPagePanel" ,"role_visible":"admin", "external": "./#/klms" },
										{ "text": "LabelNavTitleBackup", "panel": "BackupPagePanel" ,"role_visible":"always", "external": "./#/klms" },
										{ "text": "LabelTitleSystemTabQueue", "panel": "AngularPagePanel", "role_visible": "admin", "external": "./#/queue" },
										{ "text": "LabelNavTitleReports", "panel": "ReportsPagePanel","role_visible":"admin,helpdesk", "accessparam": "reports", "items": [
												{ "text": "LabelReportsFilter_All", "panel": "pnlReports", "role_visible": "admin,helpdesk", "accessparam": "reports", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelReportsFilter_Daily", "panel": "pnlReports", "role_visible": "admin,helpdesk", "accessparam": "reports", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelReportsFilter_Weekly", "panel": "pnlReports", "role_visible": "admin,helpdesk", "accessparam": "reports", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelReportsFilter_Monthly", "panel": "pnlReports", "role_visible": "admin,helpdesk", "accessparam": "reports", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelReportsFilter_Users", "panel": "pnlReports", "role_visible": "admin,helpdesk", "accessparam": "reports", "cssclass": "submenu", "external": "./#/klms" }
											] 
										},
										{ "text": "LabelNavTitleBWLists", "panel": "bwListsPagePanel" ,"role_visible":"user,bwlistviewer", "external": "./#/klms" },
										{ "text": "LabelNavTitleSettings", "panel": "SettingsPagePanel", "role_visible": "admin", "items": [
												{ "text": "LabelTitleSettingsTabMisc", "panel": "pnlSettingsMisc", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabLicense", "panel": "pnlSettingsLicense", "role_visible": "admin", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabUpdate", "panel": "pnlSettingsUpdate", "role_visible": "admin", "cssclass": "submenu", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabProtection", "panel": "pnlSettingsProtection", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabLDAP", "panel": "pnlSettingsLDAP", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabSNMP", "panel": "pnlSettingsSNMP", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabNotifications", "panel": "pnlSettingsNotifications", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSettingsTabDisclaimers", "panel": "pnlSettingsDisclaimers", "cssclass": "submenu", "role_visible": "admin", "external": "./#/klms" },
												{ "text": "LabelTitleSystemTabLogs", "panel": "AngularPagePanel", "role_visible": "admin", "cssclass": "submenu", "external": "./#/log" },
												{ "text": "LabelTitleSystemInformation", "panel": "AngularPagePanel", "role_visible": "admin", "cssclass": "submenu", "external": "./#/sysinfo" },
												{ "text": "LabelTitleSettingsTabUsers", "panel": "pnlSettingsUsers", "cssclass": "submenu", "role_visible":"never" },
												{ "text": "LabelTitleSettingsTabPerformance", "panel": "pnlSettingsPerformance", "cssclass": "submenu", "role_visible":"never" }
											]
										},
										{ "text": "LabelNavTitletest", "panel": "ldaptestPanel", "role_visible": "never" },
									]
								},
								{ "id": "panelServerWrap", "type": "KL.Web.Controls.Panel", "elements": [
										{ "id": "userPanel", "type": "KL.Web.Controls.Panel", "elements": [
												{ "id": "changePasswdLinkBtn", "type": "KL.Web.Controls.LinkButton", "cssclass": "userGreeting", "text": "LabelUserWelcome", "helper": "KL.Utils.UserHelper", "helpermethod": "getUserGreeting", "cssclass": "userGreeting", "role_visible": "admin" },
												{ "id": "userWelcomeLabel", "type": "KL.Web.Controls.Label", "text": "LabelUserWelcome", "helper": "KL.Utils.UserHelper", "helpermethod": "getUserGreeting", "cssclass": "userGreeting", "role_visible": "user,helpdesk,bwlistviewer" },
												{ "id": "signoutLink", "type": "KL.Web.Controls.LinkButton", "cssclass": "signOutBtn" }
											]
										},
										{ "id": "serverNameLabel", "type": "KL.LMS.ServerNameLabel", "text": "", "cssclass": "serverName" },
										{ "id": "serverTimeLabel", "type": "KL.LMS.ServerTimeLabel", "text": "", "cssclass": "serverTime" },
										{ "id": "mainLangSelector", "type": "KL.Web.Controls.LangSelect" }
									]
								}
							]
						}
					]
				},
				{ "type": "KL.Web.Controls.PageContent", "id": "pageContentWrap", "elements": [
						{ "id": "pageContentHeader", "type": "KL.Web.Controls.Panel", "elements": [
								{ "id": "PageBreadcrumbs", "type": "KL.Web.Controls.Label", "cssclass": "breadcrumbs" },
								{ "id": "mainHelpBtn", "type": "KL.Web.Controls.HelpBtn" }
							]
						},
						{ "type": "KL.Web.Controls.PageContent", "id": "AngularPagePanel", "elements": [
								{"id": "AngularZone", "type": "KL.Web.Controls.AngularPanel" }
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "DashboardPagePanel", "elements": [
								{ "type": "KL.Web.Controls.TooltipForm", "id": "threatInfoTooltipForm", "cssclass": "threatInfoTooltip", "elements": [
										{ "type": "KL.LMS.ThreatInfoPanel", "id": "threatInfoPanel" }
									]
								},
								{ "type": "KL.LMS.Dashboard", "id": "dashboard" }
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "ldaptestPanel", "elements": [
								{ "id": "testLdapSearchForm", "type": "KL.LMS.LdapSearch" }
							]
						},
						{ "id": "pnlSettingsLicense", "type": "KL.Web.Controls.MainNavTabPanel", "elements": [
								{ "id": "LicensesTopToolbar", "type": "KL.LMS.LicenseToolbar", "elements": [
										{ "type": "KL.Web.Controls.Button", "id": "btnCreate_LicenseTop", "text": "BtnAddKeyFile", "cssclass": "btnAddIco leftBtn" },
										{ "type": "KL.Web.Controls.Button", "id": "btnActivate_LicenseKeyTop", "text": "BtnActivateKey", "cssclass": "btnAddIco leftBtn" },
										{ "type": "KL.Web.Controls.Button" , "id": "btnDelete_LicenseTop", "text": "BtnDelete", "cssclass": "btnDelIco" },
										{ "type": "KL.Web.Controls.Button" , "id": "btnRefresh_LicenseTop", "text": "BtnReload", "cssclass": "rightBtn refreshBtn" }
									]
								},
								{ "id": "licensesEditForm", "type": "KL.LMS.LicensesEditForm", "setting": "LicensesInfoSetting" }
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "GroupsPagePanel", "elements": [
								{ "type": "KL.Web.Controls.Panel", "id": "GroupsSearchPage", "elements": [
										{ "id": "RulesGridWrap", "type": "KL.Web.Controls.Panel", "cssclass": "gridWrap", "elements": [
												{ "id": "GroupsListTopToolbar", "type": "KL.Web.Controls.Toolbar", "istall": true, "elements": [
														{ "type": "KL.Web.Controls.Button", "id": "btnCreate_GroupsTop", "text": "BtnCreate", "cssclass": "btnAddIco leftBtn" },
														{ "type": "KL.Web.Controls.Button", "id": "btnCopy_GroupsTop", "text": "BtnCopy", "cssclass": "btnCopyIco"},
														{ "type": "KL.Web.Controls.Button", "id": "btnDelete_GroupsTop", "text": "BtnDelete", "cssclass": "btnDelIco"},
														{ "type": "KL.Web.Controls.Button", "id": "btnUp_GroupsTop", "text": "BtnUp" },
														{ "type": "KL.Web.Controls.Button", "id": "btnDown_GroupsTop", "text": "BtnDown" },
														{ "type": "KL.Web.Controls.PagingFBNL", "id": "RulesGridBottomPager", "setting": "GroupsList" }
													]
												},
												{ "type": "KL.LMS.Groups.RulesGrid", "id": "RulesGridControl", "setting": "GroupsList", "idField": "ruleId", "enterrowonclick": false, "rowsselectable": false }
											]
										}
									]
								},
								
								{ "type": "KL.Web.Controls.Panel", "id": "GroupViewEditPage", "elements": [
										{ "type": "KL.Web.Controls.TooltipForm", "id": "textTooltipForm", "elements": [
												{ "type": "KL.Web.Controls.TextBox", "id": "textTooltipFormField" },
												{ "type": "KL.Web.Controls.Label", "id": "lblTooltipFieldInfo", "text": "LabelTextTooltipSpamInfo" }
										]
										},
										{ "type": "KL.Web.Controls.TooltipForm", "id": "listViewToltip", "elements": [
												{ "type": "KL.LMS.Groups.BlackListView", "id": "userBListViewCtrl", "setting": "BlackListSetting" }
										]
										},
										{ "type": "KL.Web.Controls.TooltipForm", "id": "emailEditTooltipForm", "elements": [
												{ "type": "KL.LMS.Groups.ListEditor", "id": "emailListEditorCtrl" }
											]
										},
										{ "type": "KL.Web.Controls.TooltipForm", "id": "attachSourceEditTooltipForm", "elements": [
												{ "type": "KL.LMS.Groups.AttachSourceEditor", "id": "attachSourceEditForm" }
											]
										},
										{ "type": "KL.Web.Controls.TooltipForm", "id": "disclaimerTooltipForm", "elements": [
												{ "type": "KL.LMS.Groups.DisclaimerSelect", "id": "disclaimerSelect", "setting": "GroupSettings" }
											]
										},
										
										{ "type": "KL.Web.Controls.TooltipForm", "id": "warningTooltipForm", "elements": [
												{ "type": "KL.LMS.Groups.DisclaimerSelect", "id": "warningSelect", "setting": "GroupSettings" }
											]
										},
										{ "type": "KL.Web.Controls.Panel", "id": "editGroupsToolbar", "elements": [
												{ "type": "KL.Web.Controls.Button", "id": "btnBackToGroupList", "text": "btnBackToGroupList" },
												{ "type": "KL.Web.Controls.Label", "id": "lblGroupEditorTitle", "cssclass": "groupEditorTitle", "setting": "GroupSettings", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getGroupEditorTitle" }
										]
										},
										{ "type": "KL.LMS.Groups.GroupEditor", "id": "GroupSettingsEditor", "setting": "GroupSettings", "elements": [
												{ "type": "KL.Web.Controls.AccordionItem", "id": "GroupGeneralParamsSettingsItem1", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "GroupGeneralParamsSettingsTab", "text": "LabelGroupGeneralParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "groupGeneralParamsPreview", "setting": "GroupSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorGroupName", "value": "name" ,"defaultValue":"LabelSettingNewGroupName"},
																		{ "title": "LabelLocalGroupEditorDescr", "value": "scanSettings.ruleDescription" ,"defaultValue":"-"},
																		{ "title": "LabelLocalGroupEditorSenders", "value": "belongingCriteria.sender", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "groupSendersToStr" },
																		{ "title": "LabelLocalGroupEditorReceivers", "value": "belongingCriteria.receiver", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "groupReceiversToStr" }
																]
																}
														]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "GroupGeneralParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupGeneralSettingsForm", "setting": "GroupSettings", "id": "groupGeneralSettingsForm" }
														]
														}
												]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "antiSpamParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "AntiSpamParamsSettingsTab", "text": "LabelAntiSpamParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "antiSpamParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.asScanSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorCheckSpam", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsASEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorSpamMessage", "value": "spamAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorUnreliableRecipient", "value": "blacklistedAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorSuspMessage", "value": "probableSpamAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorMassmail", "value": "massMailAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" }
																]
																}
														]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "AntiSpamParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupAsSettingsForm", "setting": "GroupSettings", "id": "groupAsSettingsForm" }
														]
														}
												]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "antiVirusParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "AntiVirusParamsSettingsTab", "text": "LabelAntiVirusParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "antiVirusParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.avScanSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorCheckVirus", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsAVEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorInfectedFiles", "value": "infectedFirstAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorCorruptFiles", "value": "errorAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorEncryptFiles", "value": "encryptedAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorProcessMacro", "value": "engineSettings.detectDocWithMacro", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsAVEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorMacroAttach", "value": "docWithMacroAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																]
																}
														]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "AntiVirusParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupAvSettingsForm", "setting": "GroupSettings", "id": "groupAvSettingsForm" }
														]
														}
												]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "kataParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "kataParamsSettingsTab", "text": "LabelKataParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "kataParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.ktScanSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorKata", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsKtEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorKataDetected", "value": "detectedAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "kataParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupKtSettingsForm", "setting": "GroupSettings", "id": "groupKtSettingsForm" }
															]
														}
													]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "antiPhishingParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "AntiPhishingParamsSettingsTab", "text": "LabelAntiPhishingParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "antiPhishingParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.apScanSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorCheckPhishing", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsAPEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorPhishingAction", "value": "phishingAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "AntiPhishingParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupApSettingsForm", "setting": "GroupSettings", "id": "groupApSettingsForm" }
															]
														}
												]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "cfParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "CFParamsSettingsTab", "text": "LabelCFParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "CFParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.cfScanSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorCheckCF", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsCFEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorCFSizeExceeded", "value": "sizeExceededAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorCFBannedFileName", "value": "bannedFileNameAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorCFBannedFileFormat", "value": "bannedFileFormatAction", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorCFScanCompositeObjects", "value": "engineSettings.scanCompositeObjects", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsCFEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorCFScanArchive", "value": "engineSettings.scanArchived", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsCFEnabledColorTxtByBoolVal" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "CFParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupCFSettingsForm", "setting": "GroupSettings", "id": "groupCFSettingsForm" }
															]
														}
													]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "notificationParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "NotificationParamsSettingsTab", "text": "LabelNotificationParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "NotificationParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.notificationSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorNotificationInfected", "value": "enableInfected", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" },
																		{ "title": "LabelLocalGroupEditorNotificationEncrypted", "value": "enableEncrypted", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" },
																		{ "title": "LabelLocalGroupEditorNotificationCorrupted", "value": "enableAvError", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" },
																		{ "title": "LabelLocalGroupEditorNotificationCFFail", "value": "enableCFFail", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" },
																		{ "title": "LabelLocalGroupEditorNotificationPhishing", "value": "enablePhishing", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" },
																		{ "title": "LabelLocalGroupEditorNotificationMacro", "value": "enableDocWithMacro", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getNotificationUsers" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "notificationParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupNotificationSettingsForm", "setting": "GroupSettings", "id": "groupNotificationSettingsForm" }
														]
														}
													]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "disclaimerParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "DisclaimerParamsSettingsTab", "text": "LabelDisclaimerParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "DisclaimerParamsPreview", "setting": "GroupSettings", "allowhtml": false, "items": [
																		{ "title": "LabelGroupEditorCheckDisclaimer", "value": "scanSettings.disclaimer.enable", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getDisclaimerIsEnabled" },
																		{ "title": "LabelGroupEditorDisclaimerName", "value": "scanSettings.disclaimer.templateId", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getDisclaimerName" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "disclaimerParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupDisclaimerSettingsForm", "setting": "GroupSettings", "id": "groupDisclaimerSettingsForm" }
															]
														}
													]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "warningParamsSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "WarningParamsSettingsTab", "text": "LabelWarningParamsSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "WarinigParamsPreview", "setting": "GroupSettings", "allowhtml": false, "items": [
																		{ "title": "LabelGroupEditorCheckDisclaimer", "value": "scanSettings.messageWarning", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getWarningIsEnabled" },
																		{ "title": "LabelGroupEditorWarningName", "value": "scanSettings.messageWarning.templateId", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "getWarningName" }
																	]
																}
															]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "warningParamsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupWarningSettingsForm", "setting": "GroupSettings", "id": "groupWarningSettingsForm" }
															]
														}
													]
												},
												{ "type": "KL.Web.Controls.AccordionItem", "id": "messageAuthenticationSettingsItem", "elements": [
														{ "type": "KL.Web.Controls.AccordionTab", "id": "messageAuthenticationSettingsTab", "text": "LabelMessageAuthenticationSettings", "elements": [
																{ "type": "KL.Web.Controls.KeyValueListControl", "id": "messageAuthenticationParamsPreview", "setting": "GroupSettings", "datafield": "scanSettings.messageAuthenticationSettings", "allowhtml": false, "items": [
																		{ "title": "LabelLocalGroupEditorEnableAuthScan", "value": "engineSettings.enableScan", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsMAEnabledColorTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorTemperrorIsViolation", "value": "temperrorIsViolation", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorPermerrorIsViolation", "value": "permerrorIsViolation", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorConsiderDmarcPrimary", "value": "considerDmarcPrimary", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorDmarcAction", "value": "dmarcSettings.action", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorSpfSoftfailIsViolationIsViolation", "value": "spfSettings.softfailIsViolation", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorSpfAction", "value": "spfSettings.action", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																		{ "title": "LabelLocalGroupEditorSignatureAbsenceIsViolation", "value": "dkimSettings.signatureAbsenceIsViolation", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
																		{ "title": "LabelLocalGroupEditorDkimAction", "value": "dkimSettings.action", "helper": "KL.LMS.Helpers.GroupsHelper", "helpermethod": "actionStr" },
																	]
																}
														]
														},
														{ "type": "KL.Web.Controls.AccordionPanel", "id": "messageAuthenticationSettingsPanel", "elements": [
																{ "type": "KL.LMS.Groups.GroupMessageAuthSettingsForm", "setting": "GroupSettings", "id": "groupMessageAuthSettingsForm" }
															]
														}
												]
												},
											]
										}
									]
								}
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "bwListsPagePanel" ,"role_visible":"user,bwlistviewer", "elements": [
								{ "id": "personalBWListsPanel", "type": "KL.LMS.Settings.BWListsForm" }
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "BackupPagePanel", "elements": [
								{ "type": "KL.LMS.Backup.Panel", "id": "BackupSearchPage", "elements": [
										
										{ "id": "pnlBackupSettingsContent", "type": "KL.Web.Controls.Panel", "cssclass": "backupSettingsPanel", "elements": [
												{ "id": "backupSettings", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
														{ "type": "KL.LMS.Settings.WarningKeyValueListControl", "id": "backupSettingsPreview", "setting": "BackupSettings", "allowhtml": false, "items": [
																{ "title": "LabelSettingsBackup_MaxSize", "index": 0, "value": "maxSize", "defaultValue": "", "helptext": "LabelTitleSettingsBackup_MaxSize_Help","helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getSizeInMB", "event": "onsettingschange" },
																{ "title": "LabelSettingsBackup_Threshold", "index": 1, "value": "threshold", "defaultValue": "", "helpClass": "lowerTooltip", "helptext": "LabelTitleSettingsBackup_Threshold_Help", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getPersentVal", "event": "onsettingschange" },
																{ "title": "LabelSettingsBackup_AvThreatsRestoration", "index": 0, "value": "allowAvThreatsRestoration", "defaultValue": "", "helptext": "LabelTooltipSettingsBackup_AvThreatsRestoration_Help", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																{ "title": "LabelTitleSettingsMisc_FailureAction_Backup", "index": 1, "value": "scanLogic.backupFailureAction", "defaultValue": "", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getBackupFailureActionText", "event": "onsettingschange" },
																{ "title": "LabelTitleSettingsBackup_Notification", "index": 0, "value": "deliveryMessage", "defaultValue": "", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getBackupNotificationText", "event": "onsettingschange" }
															]
														}
													]
												}
											]
										},
										{ "id": "BackupGridWrap", "type": "KL.Web.Controls.Panel", "cssclass": "gridWrap", "elements": [
												{ "id": "backupListTopToolbar", "type": "KL.Web.Controls.Toolbar", "elements": [
														{ "type": "KL.Web.Controls.PagingFBNL" , "id": "BackupGridTopPager", "setting": "BackupList" },
														{ "type": "KL.Web.Controls.Button", "id": "btnDeliver_BackupTop", "text": "btnDeliver", "cssclass": "btnDeliverIco leftBtn" },
														{ "type": "KL.Web.Controls.Button", "id": "btnView_BackupTop", "text": "btnView", "cssclass": "btnViewIco" },
														{ "type": "KL.Web.Controls.Button", "id": "btnDelete_BackupTop", "text": "BtnDelete", "cssclass": "btnDelIco","role_visible":"admin,user"},
														{ "type": "KL.Web.Controls.Button" , "id": "btnSave_BackupTop", "text": "BtnSave", "cssclass": "btnSaveIco","role_visible":"admin" }
													]
												},
												{ "type": "KL.LMS.Backup.FilterInfo", "id": "lblFilterInfo" },
												{ "type": "KL.LMS.Backup.BackupGrid", "id": "BackupGridControl", "setting": "BackupList", "idField": "letterId", "checkboxenabled": true, "usectrlclick": false, "rowsselectable": false }
											]
										}
									]
								},
								{ "type": "KL.Web.Controls.Panel", "id": "MessageViewEditPage", "elements": [
										{ "type": "KL.Web.Controls.Panel" , "id": "storageMessageWrap", "setting": "MessageSettings" , "elements":
											[
												{ "type": "KL.Web.Controls.Toolbar", "id": "MessageViewTopbar", "istall": true, "elements": [
														{ "type": "KL.Web.Controls.Button" , "id": "btnBackupSearch", "text": "btnBackToBackupList", "cssclass": "leftBtn" },
														{ "type": "KL.Web.Controls.PagingBN" , "id": "MessageTopPager", "setting": "MessageSettings" }
													]
												},
												{ "type": "KL.Web.Controls.Toolbar", "id": "MessageCommandsTopbar", "elements": [
														{ "type": "KL.Web.Controls.Button", "id": "btnDeliver_MessageTop", "text": "btnDeliver",  "cssclass": "btnDeliverIco leftBtn" },
														{ "type": "KL.Web.Controls.Button" , "id": "btnDelete_MessageTop", "text": "BtnDelete", "cssclass": "btnDelIco","role_visible":"admin,user" },
														{ "type": "KL.Web.Controls.Button" , "id": "btnSave_MessageTop", "text": "BtnSave", "cssclass": "btnSaveIco","role_visible":"admin" }
													]
												},
										
												{ "type": "KL.LMS.Backup.MessagePanel" , "id": "MessageSettingsTab"}
											]
										}
									]
								}
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlReports", "elements": [
								{ "id": "ReportsPanelContent", "type": "KL.Web.Controls.Panel", "elements": [
										{"id": "ReportsFilter", "type": "KL.LMS.Reports.ReportsFilter", "setting": "ReportSettings" },
										{ "id": "ReportSettingsPreview", "titletext": "LabelTitleReportSettings", "type": "KL.LMS.Reports.ToggleableSettingsPreviewPanelReports", "setting": "ReportScheduleSettings",
											"toggledatafield": "enableReport",
											"elements": [
												{  "id": "ReportSettingsPreviewList","type": "KL.LMS.Reports.KeyValueListControlReports", "setting": "ReportScheduleSettings", "allowhtml": false, "items": [
														{ "title": "LabelReportSettingsTime", "index": 0, "value": "hour", "defaultValue": "", "event": "onreportsettingschange", "helper": "KL.LMS.Helpers.ReportsHelper", "helpermethod":"getReportTimeString" },
														{ "title": "LabelReportSettingsLang", "index": 1, "value": "localeOptions.Lang", "defaultValue": "", "event": "onreportsettingschange" },
														{ "title": "LabelReportSettingsDateFormat", "index": 0, "value": "localeOptions.dateFormat", "defaultValue": "", "event": "onreportsettingschange", "helper": "KL.LMS.Helpers.ReportsHelper", "helpermethod":"getReportDateFormat" },
														{ "title": "LabelReportSettingsEnableSend", "index": 1, "value": "sendOptions.enableSend", "defaultValue": "", "event": "onreportsettingschange", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal" },
														{ "title": "LabelReportSettingsSendToAdmin", "index": 0, "value": "sendOptions.sendToAdmin", "defaultValue": "", "event": "onreportsettingschange", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal"},
														{ "title": "LabelReportSettingsRecipients", "index": 1, "value": "sendOptions.recipientsAddresses", "defaultValue": "", "event": "onreportsettingschange", "helper": "KL.LMS.Helpers.ReportsHelper", "helpermethod":"getReportRecipientAddreses"}
													]
												},
											]
										},
										{ "id": "ReportsGridWrap", "type": "KL.Web.Controls.Panel", "cssclass": "gridWrap", "elements": [
												{ "id": "ReportsListTopToolbar", "type": "KL.LMS.Reports.ReportsToolbar", "elements": [
														{ "type": "KL.Web.Controls.Button", "id": "btnCreate_ReportsTop", "text": "BtnCreate", "cssclass": "btnAddIco leftBtn createReport" },
														{ "type": "KL.Web.Controls.Button", "id": "btnDelete_ReportsTop", "text": "BtnDelete", "cssclass": "btnDelIco deleteReport" }
													]
												},
												{ "type": "KL.LMS.Reports.ReportsGrid", "id": "ReportsGridControl", "setting": "ReportsList", "idField": "fileName", "checkboxenabled": true, "usectrlclick": false }
											]
										}
									]
								}
							]
						},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsUpdate", "elements": [
								{ "id": "pnlSettingsUpdateContent", "type": "KL.Web.Controls.Panel","elements": [
										{ "id": "updateProxySettings", "titletext": "LabelSettingsPanelUpdate_PanelProxy", "type": "KL.LMS.Settings.ProxySettingsPreviewPanel","setting": "UpdateProxySettings",
											"toggledatafield": "proxySettings.enable",
											"elements": [
													{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "updateProxySettingsPreview", "datafield": "proxySettings", "setting": "UpdateProxySettings", "allowhtml": false, "items": [
															{ "title": "LabelSettingsPanelUpdate_Address", "index": 0, "value": "serverAddress", "defaultValue": "", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getAddress","event": "oncnnchange" },
															{ "title": "LabelSettingsDialogUpdate_BypassLocalAddresses", "index": 1, "value": "proxyBypassLocalAddresses", "defaultValue": true, "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getFtpPassiveStatus", "event": "oncnnchange" }
														]
													}
												]
										},
										{ "id": "baseUpdateSettings", "titletext": "LabelSettingsPanelUpdate_Panel", "type": "KL.LMS.Settings.UpdateSettingsPreviewPanel", "setting": "UpdateStateSettings", 
											"buttons": [ { "text": "LabelSettingsPanelUpdate_link_StartUpdate", "event": "onupdatestart" } ], 
											"elements": [
													{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "baseUpdateSettingsPreview", "setting": "UpdateSettings","allowhtml": false, "items": [
															{ "title": "LabelSettingsPanelUpdate_UpdateSource", "index": 0, "value": "updaterSettings.updateCommonSettings.sourceType", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getUpdateSource", "event": "onsourcechange" },
															{ "title": "LabelSettingsPanelUpdate_ScheduledUpdate", "index": 1, "value": "updaterSettings.schedule", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getScheduleValue", "event": "onschedulechange" }
														]
													},
													{ "type": "KL.Web.Controls.KeyValueListControl", "id": "baseUpdateStatePreview", "setting": "UpdateStateSettings", "allowhtml": false, "items": [
															{ "title": "LabelSettingsPanelUpdate_Task_LastTimeStart", "index": 0, "cssclass": "nonEditableItem", "value": "lastUpdate", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getUpdateTaskState" }
														]
													}
												]
										}
									]
								}
							]
						},
						
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsLDAP", "elements": [
								{ "type": "KL.Web.Controls.Panel", "id": "LdapSearchPage", "elements": [
										{ "id": "pnlSettingsLdapContent", "type": "KL.Web.Controls.Panel", "elements": [
												{ "id": "ldapCommonSettings", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "LdapSetting", "elements": [
														{ "type": "KL.LMS.Settings.WarningKeyValueListControl", "id": "ldapCommonSettingsPreview", "setting": "LdapSetting", "allowhtml": false, "items": [
																{ "title": "LabelSettingsPreviewCnnLdapServerType", "index": 0, "value": "integrationType", "helpClass": "lowerTooltip", "helptext": "LabelSettingsPreviewCnnLdapServerType_Tooltip", "defaultValue": 0, "helper": "KL.LMS.Helpers.LdapHelper", "helpermethod": "getScriptName", "event": "onsettingschange" }
															]
														},
														{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "ldapSettingsTimeoutPreview", "setting": "LdapSetting", "allowhtml": false, "items": [
																{ "title": "LabelSettingsPreviewCnnTimeout", "index": 1, "value": "timeoutInSeconds", "helptext": "LabelSettingsPreviewCnnTimeout_Tooltip", "defaultValue": 20, "helper": "KL.LMS.Helpers.LdapHelper", "helpermethod": "getTimeout", "event": "onsettingschange" }
															]
														},
														{ "type": "KL.LMS.Settings.LdapCnnPreviewControl", "id": "ldapCnnAvailablePreview", "setting": "LdapSetting", "datafield": "integrationType",
															"disabled": false,
															"title": "LabelSettingsPreviewCnnLdapStatus",
															"loadingtext": "LabelSettingsPreviewCnnLoading",
															"allserversdisabledtext": "LabelSettingsPreviewCnnAllDisabled",
															"cnnavailabletext": "LabelSettingsPreviewCnnAvailable",
															"cnnproblemstext": "LabelSettingsPreviewCnnProblems",
															"statusunknowntext": "LabelSettingsPreviewCnnUnknown",
															"itemcssclass": "itemOdd"
														}
													]
												},
												{ "id": "ldapBWListsSettings", "titletext": "LabelSettingsTitleLdapBWListsSettings", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "LdapSetting", "elements": [
														{ "type": "KL.LMS.Settings.LdapBwPreviewControl", "id": "ldapBwAvailablePreview",
															"title": "LabelSettingsBWListsAccess",
															"helptext": "LabelSettingsBWListsAccess_Tooltip",
															"cnnavailabletext": "LabelSettingsBWListsAvailable",
															"cnnbwunavailabletext": "LabelSettingsBWListsUnavailable",
															"itemcssclass": "itemEven"
														}
													]
												}																	
											]
										},
										
										{ "id": "LdapServersTopToolbar", "type": "KL.Web.Controls.Toolbar", "elements": [
												{ "type": "KL.Web.Controls.Button", "id": "btnCreate_LdapServer", "text": "BtnAdd", "cssclass": "btnAddIco leftBtn" },
												{ "type": "KL.Web.Controls.Button" , "id": "btnDelete_LdapServer", "text": "BtnDelete", "cssclass": "btnDelIco" }
											]
										},
										
										{ "id": "ldapServersList", "type": "KL.LMS.Settings.LdapServersList", "setting": "LdapSettingServers" }
										
									]
								},
							]
						},
						
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsUsers", "elements": []},
												
												{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsNotifications", "elements": [
														{ "id": "pnlNotificationsSettingsContent", "type": "KL.Web.Controls.Panel", "setting": "NotificationsSetting", "elements": [
															
																{ "id": "notification1", "titletext": "LabelSettingsTitleAsEvents", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.antiSpamBasesOutdated",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification1Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Sub", "index": 0, "maxLength": 60, "keyhint": true, "value": "notificationTemplates.antiSpamBasesOutdated.subject", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiSpamBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Msg", "index": 1, "maxLength": 60, "keyhint": true, "value": "notificationTemplates.antiSpamBasesOutdated.body", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiSpamBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Sub", "index": 0, "maxLength": 60, "keyhint": true, "value": "notificationTemplates.antiSpamBasesObsoleted.subject", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiSpamBasesObsoleted"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Msg", "index": 1, "maxLength": 60, "keyhint": true, "value": "notificationTemplates.antiSpamBasesObsoleted.body", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiSpamBasesObsoleted"] }
																		]
																		}
																	]
																},
																{ "id": "notification2", "titletext": "LabelSettingsTitleAvEvents", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.antiVirusBasesOutdated",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification2Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Sub", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiVirusBasesOutdated.subject", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiVirusBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Msg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiVirusBasesOutdated.body", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiVirusBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Sub", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiVirusBasesObsoleted.subject", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiVirusBasesObsoleted"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Msg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiVirusBasesObsoleted.body", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiVirusBasesObsoleted"] }
																		]
																		}
																	]
																},
																{ "id": "notification18", "titletext": "LabelSettingsTitleApEvents", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.antiPhishingBasesOutdated",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification18Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Sub", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiPhishingBasesOutdated.subject", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiPhishingBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBOutdated_Msg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiPhishingBasesOutdated.body", "defaultValue": "-", "event": "onchangeoutdatedtext", "clickparams": ["notificationTemplates.antiPhishingBasesOutdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Sub", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiPhishingBasesObsoleted.subject", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiPhishingBasesObsoleted"] },
																				{ "title": "LabelSettingsPreviewNotificationsDBObsoleted_Msg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.antiPhishingBasesObsoleted.body", "defaultValue": "-", "event": "onchangeobsoletetext", "clickparams": ["notificationTemplates.antiPhishingBasesObsoleted"] }
																		]
																		}
																	]
																},
																{ "id": "notification3", "titletext": "LabelSettingsTitleFailedToMoveToBackup", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.messageBackupFailed",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification3Preview", "index": 0, "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsBackupSingleObjMsgSubj", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.messageBackupFailed.subject", "defaultValue": "-", "event": "onchangetext1", "clickparams": ["notificationTemplates.messageBackupFailed"] },
																				{ "title": "LabelSettingsPreviewNotificationsBackupSingleObjMsg", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.messageBackupFailed.body", "defaultValue": "-", "event": "onchangetext1", "clickparams": ["notificationTemplates.messageBackupFailed"] },
																				{ "title": "LabelSettingsPreviewNotificationsBackupMultiObjMsgSubj", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.severalMessagesBackupFailed.subject", "defaultValue": "-", "event": "onchangetext2", "clickparams": ["notificationTemplates.severalMessagesBackupFailed"] },
																				{ "title": "LabelSettingsPreviewNotificationsBackupMultiObjMsg", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.severalMessagesBackupFailed.body", "defaultValue": "-", "event": "onchangetext2", "clickparams": ["notificationTemplates.severalMessagesBackupFailed"] }
																			]
																		}
																	]
																},
																{ "id": "notification4", "titletext": "LabelSettingsTitleFailedCleanBackup", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.backupCleanupFailed",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification4Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupCleanupFailed.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupCleanupFailed"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupCleanupFailed.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupCleanupFailed"] }
																		]
																		}
																	]
																},
																{ "id": "notification5", "titletext": "LabelSettingsTitleBackupFull", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.backupAlmostFull",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification5Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupAlmostFull.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupAlmostFull"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupAlmostFull.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupAlmostFull"] }
																		]
																		}
																	]
																},
																{ "id": "notification17", "titletext": "LabelSettingsTitlePersonalBackupNotification", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.backupDigest",
																	"helptext": "LabelSettingsTitlePersonalBackupNotificationTooltip",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification17Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupDigest.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupDigest"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.backupDigest.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.backupDigest"] }
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notificationPersonalBackupScheduleSettingsPreview", "setting": "NotificationsBackupSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsBackupSchedule", "index": 0, "keyhint": true, "value": "backupDigestSettings.schedule", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getScheduleValue", "defaultValue": 0, "event": ["onvaluechange","onschedulechange"], "clickparams": ["backupDigestSettings.schedule", "onbackupdigestchange"] },
																				{ "title": "LabelSettingsPreviewNotificationsBackupExcluded", "index": 1, "keyhint": true, "value": "backupDigestSettings.excludedEMails","helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getAdminAddress", "event": ["onvaluechange","onexcludeemailschange"], "clickparams": ["backupDigestSettings.excludedEMails"] }
																			]
																		},
																	]
																},
																{ "id": "notification6", "titletext": "LabelSettingsTitleLicenseAboutToExpire", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.licenseExpiresSoon",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notificationLicenseAboutToExpireDaysSettingsPreview", "setting": "NotificationsLicenserSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsOptions", "index": 0, "keyhint": true, "value": "licenseExpiresSoonWarningDays", "defaultValue": 0, "event": ["onvaluechange","onoptionschange"], "clickparams": ["licenseExpiresSoonWarningDays", "onlicenseexpiressoondayschange"] }
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification6Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseExpiresSoon.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseExpiresSoon"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseExpiresSoon.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseExpiresSoon"] }
																			]
																		}
																	]
																},
																{ "id": "notification7", "titletext": "LabelSettingsTitleLicenseExpired", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.licenseExpired",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification7Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseExpired.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseExpired"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseExpired.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseExpired"] }
																		]
																		}
																	]
																},
																{ "id": "notification8", "titletext": "LabelSettingsTitleLicenseBlacklisted", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.licenseBlacklisted",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification8Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseBlacklisted.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseBlacklisted"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseBlacklisted.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseBlacklisted"] }
																		]
																		}
																	]
																},
																{ "id": "notification15", "titletext": "LabelSettingsTitleGracePeriodNotification", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.gracePeriod",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification15Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.gracePeriod.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.gracePeriod"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.gracePeriod.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.gracePeriod"] }
																			]
																		}
																	]
																},
																{ "id": "notification16", "titletext": "LabelSettingsTitleLicenseUpdatedNotification", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.licenseUpdated",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification16Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseUpdated.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseUpdated"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.licenseUpdated.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.licenseUpdated"] }
																			]
																		}
																	]
																},
																{ "id": "notification14", "titletext": "LabelSettingsTitleExternalDirectoryServicesError", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "NotificationsSetting",
																	"toggledatafield": "notificationFlags.externalDirectoryServicesError",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification14Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsExternalDirectoryServiceErrorMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.externalDirectoryServiceError.subject", "defaultValue": "-", "event": "onchangetext1", "clickparams": ["notificationTemplates.externalDirectoryServiceError"] },
																				{ "title": "LabelSettingsPreviewNotificationsExternalDirectoryServiceErrorMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.externalDirectoryServiceError.body", "defaultValue": "-", "event": "onchangetext1", "clickparams": ["notificationTemplates.externalDirectoryServiceError"] },
																				{ "title": "LabelSettingsPreviewNotificationsExternalDirectoryServiceErrorAggregationMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.externalDirectoryServiceErrorAggregation.subject", "defaultValue": "-", "event": "onchangetext2", "clickparams": ["notificationTemplates.externalDirectoryServiceErrorAggregation"] },
																				{ "title": "LabelSettingsPreviewNotificationsExternalDirectoryServiceErrorAggregationMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.externalDirectoryServiceErrorAggregation.body", "defaultValue": "-", "event": "onchangetext2", "clickparams": ["notificationTemplates.externalDirectoryServiceErrorAggregation"] }
																		]
																		}
																	]
																},
																{ "id": "notification9", "titletext": "LabelSettingsTitleFailedToReject", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "NotificationsSetting",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification9Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.messageBounce.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.messageBounce"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.messageBounce.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.messageBounce"] }
																		]
																		}
																	]
																},
																{ "id": "notification10", "titletext": "LabelSettingsTitleSenderNotification", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "NotificationsSetting",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification10Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForSender.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForSender"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForSender.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForSender"] }
																		]
																		}
																	]
																},
																{ "id": "notification11", "titletext": "LabelSettingsTitleRecipientNotification", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "NotificationsSetting",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification11Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForRecipient.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForRecipient"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForRecipient.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForRecipient"] }
																		]
																		}
																	]
																},
																{ "id": "notification12", "titletext": "LabelSettingsTitleAdministratorNotification", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "NotificationsSetting",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification12Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForAdmin.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForAdmin"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForAdmin.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForAdmin"] }
																			]
																		}
																	]
																},
																{ "id": "notification13", "titletext": "LabelSettingsTitleOptionalRecipientNotification", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "NotificationsSetting",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "notification13Preview", "setting": "NotificationsSetting", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPreviewNotificationsMsgSubj", "index": 0, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForOthers.subject", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForOthers"] },
																				{ "title": "LabelSettingsPreviewNotificationsMsg", "index": 1, "keyhint": true, "maxLength": 60, "value": "notificationTemplates.scanStatusAlertForOthers.body", "defaultValue": "-", "event": "onchangetext", "clickparams": ["notificationTemplates.scanStatusAlertForOthers"] }
																			]
																		}
																	]
																},
															]
														}
													]
												},
						{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsDisclaimers", "elements": [
								{ "id": "pnlSettingsDisclaimersContent", "type": "KL.Web.Controls.Panel","elements": [
										{ "type": "KL.Web.Controls.Panel", "id": "DisclaimersSearchPage", "elements": [
												{ "id": "DisclaimersGridWrap", "type": "KL.Web.Controls.Panel", "cssclass": "gridWrap", "elements": [
														{ "id": "DisclaimersListToolbar", "type": "KL.Web.Controls.Toolbar", "istall": true, "elements": [
																{ "type": "KL.Web.Controls.Button", "id": "btnCreate_Disclaimers", "text": "BtnCreate", "cssclass": "btnAddIco leftBtn" },
																{ "type": "KL.Web.Controls.Button", "id": "btnDelete_Disclaimers", "text": "BtnDelete", "cssclass": "btnDelIco"}
															]
														},
														{ "type": "KL.LMS.Settings.DisclaimersGrid", "id": "DisclaimersGridControl", "setting": "DisclaimersSettings", "idField": "disclaimerId", "enterrowonclick": false, "rowsselectable": true }
													]
												}
											]
										},
										{ "type": "KL.Web.Controls.Panel", "id": "DisclaimerViewEditPage", "elements": [
												{ "type": "KL.Web.Controls.Panel", "id": "editDisclaimerToolbar", "elements": [
														{ "type": "KL.Web.Controls.Button", "id": "btnBackToDisclaimersList", "text": "btnBackToDisclaimersList" },
													]
												},
												{ "type": "KL.LMS.Settings.DisclaimerSettingsEditor", "setting": "DisclaimerSettings", "id": "disclaimerSettingsEditor", "elements": [
														{ "id": "disclaimerSettingsForm", "type": "KL.LMS.Settings.DisclaimerSettingsForm", "setting": "DisclaimerSettings" }
													] 
												}
											] 
										}
									]
								}
							]
						},
												{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsSNMP", "elements": [
														{ "id": "pnlSNMPSettingsContent", "type": "KL.Web.Controls.Panel", "elements": [
																{ "id": "connectionSNMPSettings", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "connectionSNMPPreview", "setting": "SNMPSettings", "allowhtml": false, "items": [
																				{ "title": "LabelTitleSettingsSNMP_Connection_Socket", "index": 0, "keyhint": true, "maxLength": 60, "value": "masterAgentAddress", "defaultValue": "",  "event": "onsettingschange" },
																				{ "title": "LabelTitleSettingsSNMP_Connection_Timeout", "index": 1, "keyhint": true, "value": "pingIntervalInSeconds", "defaultValue": 0,"helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "enableSNMPSettings", "titletext": "LabelTitleSettingsSNMP_Statistics", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "SNMPSettings",
																	"toggledatafield": "enableSNMP"},
																{ "id": "trapSuiteSNMPSettings", "titletext": "LabelTitleSettingsSNMP_Settings", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "SNMPSettings",
																	"toggledatafield": "trapsEnable",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isSendSnmpEnabled" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_ErrorUpdate", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_updateErrorEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_updateErrorEventEnable_Help", "keyhint": true, "value": "updateErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_Bases", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_aspBasesCompilationFailedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_aspBasesCompilationFailedEventEnable_Help", "keyhint": true, "value": "aspBasesCompilationFailedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_aspBasesObsoletedEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_aspBasesObsoletedEventEnable_Help", "keyhint": true, "value": "aspBasesObsoletedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_aspBasesOutdatedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_aspBasesOutdatedEventEnable_Help", "keyhint": true, "value": "aspBasesOutdatedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_avBasesObsoletedEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_avBasesObsoletedEventEnable_Help", "keyhint": true, "value": "avBasesObsoletedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_avBasesOutdatedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_avBasesOutdatedEventEnable_Help", "keyhint": true, "value": "avBasesOutdatedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_Backup", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_backupAddErrorEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_backupAddErrorEventEnable_Help", "keyhint": true, "value": "backupAddErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_backupLimitReachedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_backupLimitReachedEventEnable_Help", "keyhint": true, "value": "backupLimitReachedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_backupRotateErrorEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_backupRotateErrorEventEnable_Help", "keyhint": true, "value": "backupRotateErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_License", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_licenseBlacklistedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_licenseBlacklistedEventEnable_Help", "keyhint": true, "value": "licenseBlacklistedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_licenseExpiredEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_licenseExpiredEventEnable_Help", "keyhint": true, "value": "licenseExpiredEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_licenseExpiresSoonEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_licenseExpiresSoonEventEnable_Help", "keyhint": true, "value": "licenseExpiresSoonEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_licenseInstalledEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_licenseInstalledEventEnable_Help", "keyhint": true, "value": "licenseInstalledEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_licenseRevokedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_licenseRevokedEventEnable_Help", "keyhint": true, "value": "licenseRevokedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_Task", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_taskCrashEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_taskCrashEventEnable_Help", "keyhint": true, "value": "taskCrashEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_taskRestartEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_taskRestartEventEnable_Help", "keyhint": true, "value": "taskRestartEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_Misc", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_productStartEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_productStartEventEnable_Help", "keyhint": true, "value": "productStartEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_threatDetectedEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_threatDetectedEventEnable_Help", "keyhint": true, "value": "threatDetectedEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_BasesError", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_antiSpamErrorEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_antiSpamErrorEventEnable_Help", "keyhint": true, "value": "antiSpamErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_antiVirusErrorEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_antiVirusErrorEventEnable_Help", "keyhint": true, "value": "antiVirusErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																		]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "trapSuiteSNMPPreview_ExternalServiceError", "setting": "SNMPSettings", "allowhtml": false, "datafield":"trapSuite","items": [
																				{ "title": "LabelTitleSettingsSNMP_Settings_authCommunicationErrorEventEnable", "index": 0, "helptext": "LabelTitleSettingsSNMP_Settings_authCommunicationErrorEventEnable_Help", "keyhint": true, "value": "externalDirectoryServiceErrorEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"},
																				{ "title": "LabelTitleSettingsSNMP_Settings_authCommunicationUpEventEnable", "index": 1, "helptext": "LabelTitleSettingsSNMP_Settings_authCommunicationUpEventEnable_Help", "keyhint": true, "value": "externalDirectoryServiceUpEventEnable", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange"}
																			]
																		}
																	]
																}
															]
														}
													]
												},
												{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsProtection", "elements": [
														{ "id": "pnlProtectionSettingsContent", "type": "KL.Web.Controls.Panel", "elements": [
																{ "id": "ksnProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleExternalServices", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionKsnSettings", 
																	"warningClass": "lowerTooltip",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isExtServiceSettingsActive", "warningmessage": "getExtServiceSettingsInactiveReasonMessage" },
																	"showtoggle": false,
																	"elements": [
																			{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "ksnProtectionPreview", "setting": "ProtectionKsnSettings", "allowhtml": false, "items": [
																					{ "title": "LabelSettingsProtectionPreviewKsnMode", "index": 0, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getKsnMode", "event": "onsettingschange" }
																				]
																			},
																			{ "type": "KL.LMS.Settings.WarningKeyValueListControl", "id": "ksnProtectionPreview1", "setting": "ProtectionSettings", "allowhtml": false, "items": [
																					{ "title": "LabelSettingsProtectionPreviewAsKsnTimeout", "index": 1, "value": "scanLogic.externalServices.ksnTimeout", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getNoLongerText", "event": "onsettingschange" },
																					{ "title": "LabelSettingsProtectionPreviewAsUseDns", "index": 0, "value": "scanLogic.externalServices.useDns", "defaultValue": 0, "helpClass": "lowerTooltip", "helptext": "LabelUseDns_Tooltip", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																					{ "title": "LabelSettingsProtectionPreviewAsDnsTimeout", "index": 1, "value": "scanLogic.externalServices.dnsTimeout", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getNoLongerText", "event": "onsettingschange" },
																					{ "title": "LabelSettingsProtectionPreviewAsUseSpf", "index": 0, "value": "scanLogic.externalServices.useSpf", "defaultValue": 0, "helptext": "LabelUseSpf_Tooltip", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																					{ "title": "LabelSettingsProtectionPreviewAsUseDkim", "index": 1, "value": "scanLogic.externalServices.useDkim", "defaultValue": 0, "helptext": "LabelUseDkim_Tooltip", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																					{ "title": "LabelSettingsProtectionPreviewAsUseDmarc", "index": 0, "value": "scanLogic.externalServices.useDmarc", "defaultValue": 0, "helptext": "LabelUseDmarc_Tooltip", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" }
																				]
																			}
																		]
																},
																{ "id": "avProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleAv", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.avSettings.enableAvScan",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isAvSettingsActive", "warningmessage": "getAvSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "avProtectionPreview", "setting": "ProtectionSettings",  "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewAvUseKsn", "index": 0, "value": "scanLogic.avSettings.useKsnStatus", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAvHeuristic", "index": 1, "value": "scanLogic.avSettings.useAnalyzer", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAvHaLevel", "index": 0, "value": "scanLogic.avSettings.heuristicLevel", "defaultValue": 2, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getHaLevelText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAvOtherProgramsDetection", "index": 1, "value": "scanLogic.avSettings.otherProgramsDetection.otherProgramsDetectionSwitch.enableOtherProgramsDetection", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAvMaxScanTime", "index": 0, "value": "scanLogic.avSettings.scanTimeLimit", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAvMaxNestingLvl", "index": 1, "value": "scanLogic.avSettings.maxNestingLevel", "defaultValue": 0, "event": "onsettingschange" },
																			]
																		}
																	]
																},
																{ "id": "asProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleAs", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.asSettings.enableAsScan",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isAsSettingsActive", "warningmessage": "getAsSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "asProtectionPreview", "setting": "ProtectionSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewAsUseKsn", "index": 1, "value": "scanLogic.asSettings.useKsnStatus", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAsUseAUS", "index": 0, "value": "scanLogic.asSettings.useEnforcedAntiSpamUpdatesService", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAsUseRates", "index": 1, "value": "scanLogic.asSettings.enableReputationFiltering", "defaultValue": false, "helptext": "LabelSettingsDialogProtection_UseRate_Help", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAsScanTimeout", "index": 0, "value": "scanLogic.asSettings.scanTimeLimit", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewDNSBL", "index": 1, "maxLength": 60, "value": "scanLogic.asSettings.externalServices.dnsblList", "defaultValue": null, "helptext": "LabelSettingsDialogProtection_DNSBL_Help", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getListValueText", "event": "ondnsblchange", "clickparams": ["scanLogic.asSettings.externalServices.dnsblList"] },
																				{ "title": "LabelSettingsProtectionPreviewSURBL", "index": 0, "maxLength": 60, "value": "scanLogic.asSettings.externalServices.surblList", "defaultValue": null, "helptext": "LabelSettingsDialogProtection_SURBL_Help", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getListValueText", "event": "onsurblchange", "clickparams": ["scanLogic.asSettings.externalServices.surblList"] }
																		]
																		}
																	]
																},
																{ "id": "asQuarantineSettings", "titletext": "LabelSettingsProtectionPreviewTitleAsQuarantine", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.asSettings.enableReputationFiltering",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isAsQuarantineSettingsActive", "warningmessage": "getAsQuarantineSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "asQuarantinePreview", "setting": "asQuarantineSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewAsQuarantineMaxTime", "index": 0, "value": "aspQuarantine.maxObjectTimeout", "defaultValue": 3000, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAsQuarantineMaxSize", "index": 1, "value": "aspQuarantine.maxQuarantineSize", "defaultValue": 102400000, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getSizeInMB", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewAsQuarantineMaxCount", "index": 0, "value": "aspQuarantine.maxQuarantineMessages", "defaultValue": 0, "event": "onsettingschange" },
																		]
																		}
																	]
																},
																
																{ "id": "afProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleAp", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.apSettings.enableApScan",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isAfSettingsActive", "warningmessage": "getApSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "afProtectionPreview", "setting": "ProtectionSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewApUseKsn", "index": 0, "value": "scanLogic.apSettings.useKsnStatus", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewApUseHeuristics", "index": 1, "value": "scanLogic.apSettings.enableHeuristic", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewApMaxCheckTime", "index": 0, "value": "scanLogic.apSettings.scanTimeLimit", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" },
																			]
																		}
																	]
																},
																{ "id": "cfProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleCf", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.cfSettings.enableCfScan",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isCfSettingsActive", "warningmessage": "getCfSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "cfProtectionPreview", "setting": "ProtectionSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewCfMaxNestingLvl", "index": 0, "value": "scanLogic.cfSettings.maxNestingLevel", "defaultValue": 0, "event": "onsettingschange" },
																			]
																		}
																	]
																},
																{ "id": "kataIntegrationSettings", "titletext": "LabelSettingsProtectionPreviewTitleKata", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "ProtectionSettings",
																	"toggledatafield": "scanLogic.ktSettings.enableKtScan",
																	"editable": { "helper": "KL.LMS.Helpers.SettingsHelper", "method": "isKtSettingsActive", "warningmessage": "getKtSettingsInactiveReasonMessage" },
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "kataIntegrationPreview", "setting": "KataIntegrationSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewKtAddress", "index": 0, "value": "kataQuarantine.kataServer.address", "defaultValue": "", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewKtPort", "index": 1, "value": "kataQuarantine.kataServer.port", "defaultValue": 443, "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewKtMaxTime", "index": 0, "value": "kataQuarantine.scanTimeLimit", "defaultValue": 600, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getSecondsNumText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewKtMaxSize", "index": 1, "value": "kataQuarantine.maxQuarantineSize", "defaultValue": 102400000, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getSizeInMB", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewKtMaxCount", "index": 0, "value": "kataQuarantine.maxQuarantineMessages", "defaultValue": 0, "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewKtCnnStatus", "index": 1, "cssclass": "nonEditableItem", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getKataIntegrationStatusText", "event": "onshowktstatus" }
																			]
																		}
																	]
																},
																{ "id": "blProtectionSettings", "titletext": "LabelSettingsProtectionPreviewTitleBL", "type": "KL.LMS.Settings.SettingsPreviewPanel", "setting": "ProtectionSettings",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "blProtectionPreview", "setting": "ProtectionSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsProtectionPreviewBlAction", "index": 0, "value": "scanLogic.personalBlacklistAction", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getBlActionText", "event": "onsettingschange" },
																				{ "title": "LabelSettingsProtectionPreviewBlEnabled", "index": 1, "value": "scanLogic.backupPersonalBlacklist", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" }
																			]
																		}
																	]
																}
															]
														}
												]
												},
												{ "type": "KL.Web.Controls.MainNavTabPanel", "id": "pnlSettingsMisc", "elements": [
														{ "id": "pnlMiscSettingsContent", "type": "KL.Web.Controls.Panel", "elements": [
																{ "id": "AppProxySettings", "titletext": "LabelSettingsPanelUpdate_PanelProxy", "type": "KL.LMS.Settings.ProxySettingsPreviewPanel","setting": "AppMiscSettings",
																	"toggledatafield": "proxySettings.enable",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "ProxySettingsPreview", "datafield": "proxySettings", "setting": "AppMiscSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsPanelUpdate_Address", "maxLength": 60, "index": 0, "value": "serverAddress", "defaultValue": "", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getAddress","event": "oncnnchange" },
																				{ "title": "LabelSettingsDialogUpdate_BypassLocalAddresses", "index": 1, "value": "proxyBypassLocalAddresses", "defaultValue": true, "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getFtpPassiveStatus", "event": "oncnnchange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsEMail", "titletext": "LabelTitleSettingsMisc_EMails", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewEMail", "setting": "AppMiscSettings", "allowhtml": false, "items": [
																				{ "title": "LabelTitleSettingsMisc_EMails_Product", "index": 0, "maxLength": 60, "value": "replyEmailAddress", "defaultValue": "", "helptext": "LabelTitleSettingsMisc_EMails_Product_Help", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getAddress","event": "onproductmailchange" },
																				{ "title": "LabelTitleSettingsMisc_EMails_Admins", "index": 1, "maxLength": 60, "value": "adminEmailAddresses", "defaultValue": "", "helptext": "LabelTitleSettingsMisc_EMails_Admins_Help", "helper": "KL.LMS.Helpers.UpdateSettingsHelper", "helpermethod": "getAdminAddress","event": "onadminmailchange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsHelpdesk", "titletext": "LabelTitleSettingsMisk_Helpdesk", "type": "KL.LMS.Settings.ToggleableSettingsPreviewPanel", "setting": "AppHelpdeskSettings",
																	"toggledatafield": "helpdesk.enable",
																	"elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscHelpdeskPreview", "setting": "HelpdeskSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsMisk_HelpdeskName", "index": 0, "value": "userName", "defaultValue": "", "event": "onsettingschange", "helper": "KL.Utils.UserHelper", "helpermethod":"getHelpDeskUserName" }
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscHelpdeskBackupPreview", "setting": "HelpdeskBackupSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsMisk_HelpdeskCanForvardMalware", "index": 1, "value": "allowAvThreatsRestoration", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" }
																			]
																		},
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscHelpdeskBWlEditPreview", "setting": "AppHelpdeskSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsMisk_HelpdeskCanEditBWL", "index": 0, "value": "helpdesk.accessBlackWhiteList", "defaultValue": false, "helptext": "LabelGeneralSettingsBWListsHelpdeskTooltip", "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" },
																				{ "title": "LabelSettingsMisk_HelpdeskCanAccessReport", "index": 1, "value": "helpdesk.accessReport", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsEventLogger", "titletext": "LabelTitleSettingsMisc_EventLogger", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewEventLogger", "setting": "EventLoggerSettings", "allowhtml": false, "items": [
																				{ "title": "LabelTitleSettingsMisc_EventLogger_SendFacility", "index": 0, "value": "facility", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getEvenrLoggerFacilityText", "event": "onsettingschange" },
																				{ "title": "LabelTitleSettingsMisc_EventLogger_ErrorLevel", "index": 1, "value": "logLevel", "defaultValue": 0, "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getEvenrLoggerLevelText", "event": "onsettingschange" },
																				{ "title": "LabelTitleSettingsMisc_EventLogger_MaxJournalRecords", "index": 0, "value": "maxJournalRecords", "defaultValue": 100000, "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsPerformance", "titletext": "LabelTitleSettingsMisc_Performance", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewPerformance", "setting": "ScanLogicSettings", "datafield": "scanLogic","allowhtml": false, "items": [
																			{ "title": "LabelTitleSettingsMisc_Performance_NumberScan", "index": 0, "value": "scanThreads", "defaultValue": 0, "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsHeaderMarks", "titletext": "LabelTitleSettingsMisc_HeaderMarks", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewHeaderMarks", "setting": "ScanLogicSettings", "datafield": "scanLogic","allowhtml": false, "items": [
																				{ "title": "LabelTitleSettingsMisc_HeaderMarks_Add", "index": 0, "value": "addXHeaders", "defaultValue": false, "helper": "KL.LMS.Helpers.CommonHelper", "helpermethod": "getIsEnabledTxtByBoolVal", "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsPlaceholder", "titletext": "LabelTitleSettingsMisc_Placeholder", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewPlaceholder", "setting": "ScanLogicSettings", "datafield": "scanLogic", "allowhtml": false, "items": [
																				{ "title": "LabelTitleSettingsMisc_Placeholder_DeletedAttachment", "maxLength": 60, "index": 0, "value": "deletedAttachmentPlaceholder", "defaultValue": "",  "event": "onsettingschange" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsImportExport", "titletext": "LabelTitleSettingsMiscImportExport", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewImportExport", "setting": "AppMiscSettings", "allowhtml": true, "items": [
																				{ "title": "LabelTitleSettingsMiscExportSettings", "index": 0, "value": "null", "defaultValue": "LabelTitleSettingsMiscExportSettingsDescr",  "event": "onexportsettings" },
																				{ "title": "LabelTitleSettingsMiscImportSettings", "index": 1, "value": "null", "defaultValue": "LabelTitleSettingsMiscImportSettingsDescr",  "event": "onimportsettings" },
																				{ "title": "LabelTitleSettingsMiscRestart", "index": 0, "value": "null", "defaultValue": "LabelTitleSettingsMiscRestartDescr",  "event": "onrestartproduct" }
																			]
																		}
																	]
																},
																{ "id": "miscSettingsScIntegration", "titletext": "LabelTitleSettingsMiscSCIntegration", "type": "KL.LMS.Settings.SettingsPreviewPanel", "elements": [
																		{ "type": "KL.LMS.Settings.KeyValueListControl", "id": "miscSettingsPreviewScIntegration", "setting": "AppMiscSettings", "allowhtml": false, "items": [
																				{ "title": "LabelSettingsMiscSCClusterId", "index": 0, "maxLength": 60, "value": "securityCenterClusterID", "defaultValue": "",  "event": "onsettingschange", "helper": "KL.LMS.Helpers.SettingsHelper", "helpermethod": "getIsDefinedStr" }
																			]
																		}
																	]
																}
															]
														}
													]
												},
					]
				}
			]
		}
	],
	"settings":
		[
			{ "name": "GroupsList", "type": "List" },
			{ "name": "GroupSettings", "type": "List" },
			{ "name": "BackupList", "type": "List" },
			{ "name": "ReportsList", "type": "List" },
			{ "name": "ReportScheduleSettings" },
			{ "name": "ReportSettings", "type": "List" },
			{ "name": "BackupSetting", "type": "List" },
			{ "name": "UpdateSettings", "type": "List" },
			{ "name": "UpdateProxySettings", "type": "List" },
			{ "name": "LdapSetting", "type": "List" },
				{ "name": "LdapSettingServers", "base": "LdapSetting", "field": "ldapServers" },
			{ "name": "BackupSettings", "type": "List" },
			{ "name": "NotificationsSetting", "type": "List" },
			{ "name": "AppNotificationsSetting", "type": "List" },
			{ "name": "ProtectionSettings", "type": "List" },
			{ "name": "ProtectionKsnSettings", "type": "Text" },
			{ "name": "ScanLogicSettings", "type": "List" },
			{ "name": "BlackListSetting", "type": "List" },
			{ "name": "LicensesInfoSetting", "type": "List"},
			{ "name": "UpdateStateSettings", "type": "List"},
			{ "name": "SNMPSettings", "type": "List"},
			{ "name": "NotificationsLicenserSettings", "type": "List"},
			{ "name": "NotificationsBackupSettings", "type": "List" },
			{ "name": "AppMiscSettings", "type": "List"},
			{ "name": "EventLoggerSettings", "type": "List"},
			{ "name": "HelpdeskSettings", "type": "List"},
			{ "name": "HelpdeskAppSettings", "type": "List"},
			{ "name": "HelpdeskBackupSettings", "type": "List"},
			{ "name": "UpgradeStateSettings" },
			{ "name": "SystemInformation" },
			{ "name": "UpgradePackageProcessingLog" },
			{ "name": "ApplySystemPackagesLog" },
			{ "name": "ApplyProductPackagesLog" },
			{ "name": "DisclaimersSettings" },
			{ "name": "DisclaimerSetting"},
			{ "name": "Certificate" },
			{ "name": "DkimDomainsList" },
			{ "name": "DkimDomain" },
			{ "name": "DkimSettings" }
		],
	"dependencies":
		[
			{ "sender": "contextChangeAdapter", "event": "onlicensechanged", "type": "control", "receivers":[
					{ "id": ["GroupSettingsEditor", "avProtectionSettings", "asProtectionSettings", "afProtectionSettings"], "page": "mainPage", "action": "notifyLicenseChange", "type": "control" }
				]
			},
			{ "sender": "contextChangeAdapter", "event": "requestServerTime", "type": "control", "receivers":[
					{ "id": "updateServerTime", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "loginForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "signupQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "signupQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "loginForm", "page": "signupPage", "action": "applyValue", "type": "control" }
				]
			},
			{"sender": "loginForm", "event": "onloadsettings", "type": "control", "receivers": [
					{ "id": "signupGetAppSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "signupGetHelpdeskSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "signupQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "loginForm", "page": "signupPage", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "signupGetAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyAppSettings", "type": "control" }
				]
			},
			{ "sender": "signupGetHelpdeskSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyHelpdeskLdapSettings", "type": "control" }
				]
			},
			{ "sender": "signoutLink", "type": "control", "event": "onclick", "receivers": [
					{ "id": "signoutQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "headerLogo", "type": "control", "event": "onlogoclick", "receivers": [
					{ "id": "GetAppInfoQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "GetAppInfoQuery", "type": "query", "event": "onsuccess", "receivers": [
					{ "id": "aboutDialogForm", "page": "aboutDialogView", "action": "applyValue", "type": "control" },
					{ "id": "aboutDialogView", "page": "aboutDialogView", "action": "showDialog", "type": "page" }
				]
			},
			{ "sender": "pnlSettingsLicense", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsLicense"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsLicense" ] },
					{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "licensesEditForm", "type": "control", "event": "onrowselected", "receivers": [
					{ "id": "LicensesTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": "btnDelete_LicenseTop", "page": "mainPage", "action": "disable", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "onsingleitemaction", "type": "control", "receivers": [
					{ "id": "btnDelete_LicenseTop", "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "onmultipleitemsaction", "type": "control", "receivers": [
					{ "id": "btnDelete_LicenseTop", "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "oncreateenabled", "type": "control", "receivers": [
					{ "id": "btnCreate_LicenseTop", "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": "importLicenseKeyForm", "action": "setType", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "oncreatedisabled", "type": "control", "receivers": [
					{ "id": "btnCreate_LicenseTop", "page": "mainPage", "action": "disable", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "onactivateenabled", "type": "control", "receivers": [
					{ "id": "btnActivate_LicenseKeyTop", "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "LicensesTopToolbar", "event": "onactivatedisabled", "type": "control", "receivers": [
					{ "id": "btnActivate_LicenseKeyTop", "page": "mainPage", "action": "disable", "type": "control" }
				]
			},
			{ "sender": "btnCreate_LicenseTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "importLicenseKeyDialog", "page": "importLicenseKeyDialog", "action": "showDialog", "type": "page" }
				]
			},
			{ "sender": "btnActivate_LicenseKeyTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "activateLicenseKeyDialog", "page": "activateLicenseKeyDialog", "action": "showDialog", "type": "page" }
				]
			},
			{ "sender": "activateLicenseKeyForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "activateLicenseKeyDialog", "page": "activateLicenseKeyDialog", "action": "closeDialog", "type": "page" }
				]
			},
			{ "sender": "activateLicenseKeyForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "activateLicenseKeyQuery", "action": "loadData", "type": "query" }
				]
			},
				{ "sender": "activateLicenseKeyQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "activateLicenseKeyDialog", "page": "activateLicenseKeyDialog", "action": "closeDialog", "type": "page" },
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "activateLicenseKeyQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "activateLicenseKeyForm", "page": "activateLicenseKeyDialog", "action": "applyError", "type": "control" },
					]
				},
				{ "sender": "activateLicenseKeyQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "activateLicenseKeyForm", "page": "activateLicenseKeyDialog", "action": "showLoading", "type": "control" },
					]
				},
				{ "sender": "activateLicenseKeyQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "activateLicenseKeyForm", "page": "activateLicenseKeyDialog", "action": "hideLoading", "type": "control" },
					]
				},
			{ "sender": "btnRefresh_LicenseTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "refreshLicenseQuery", "action": "loadData", "type": "query" }
				]
			},
				{ "sender": "refreshLicenseQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "refreshLicenseQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "licensesEditForm", "page": "mainPage", "action": "applyError", "type": "control" },
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "refreshLicenseQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "showLoading", "type": "control" }
					]
				},
				{ "sender": "refreshLicenseQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "hideLoading", "type": "control" }
					]
				},
			{ "sender": "licensesEditForm", "type": "control", "event": "onaddkey", "receivers": [
					{ "id": "importLicenseKeyForm", "action": "setType", "type": "control" },
					{ "id": "importLicenseKeyDialog", "page": "importLicenseKeyDialog", "action": "showDialog", "type": "page" }
				]
			},
			
			{ "sender": "licensesEditForm", "type": "control", "event": "onactivatecode", "receivers": [
					{ "id": "activateLicenseKeyDialog", "page": "activateLicenseKeyDialog", "action": "showDialog", "type": "page" }
				]
			},
			{ "sender": "btnDelete_LicenseTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "licensesEditForm", "action": "confirmDeleteLicense", "page": "mainPage" }
				]
			},
			
			{ "sender": "licensesEditForm", "type": "control", "event": "onlicensedelete", "receivers": [
					{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "revokeLicenseKeyQuery", "action": "loadData", "type": "query" }
				]
			},
				{ "sender": "revokeLicenseKeyQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "revokeLicenseKeyQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "licensesEditForm", "page": "mainPage", "action": "applyError", "type": "control" },
						{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
			{ "sender": "importLicenseKeyForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "importLicenseKeyDialog", "page": "importLicenseKeyDialog", "action": "closeDialog", "type": "page" }
				]
			},
				{ "sender": "importLicenseKeyForm", "event": "onlicensekeyupload", "type": "control", "receivers": [
						{ "id": "importLicenseKeyForm", "action": "showLoading", "type": "control" },
						{ "id": "uploadLicenseKeyQuery", "type": "query", "action": "uploadData" }
					]
				},
				{ "sender": "uploadLicenseKeyQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "importLicenseKeyForm", "action": "hideLoading", "type": "control" },
						{ "id": "importLicenseKeyDialog", "page": "importLicenseKeyDialog", "action": "closeDialog", "type": "page" },
						{ "id": "getLicenseQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "uploadLicenseKeyQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "importLicenseKeyForm", "action": "hideLoading", "type": "control" },
						{ "id": "importLicenseKeyForm", "action": "applyError", "type": "control" }
					]
				},
			{ "sender": "licensesEditForm", "type": "control", "event": "onlicenseloaded", "receivers": [
					{ "id": "getLicensesInfoQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getLicenseQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "licensesEditForm", "page": "mainPage", "action": "applyLicenseInfo", "type": "control" }
				]
			},
			{ "sender": "getLicenseQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "getLicenseQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsLicense", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			{"sender": "getLicensesInfoQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "licensesEditForm", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "signoutQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "loginForm", "page": "signupPage", "action": "signOut", "type": "control" }
				]
			},
			{"sender": "changePasswdLinkBtn", "type": "control", "event": "onclick", "receivers": [
					{ "id": "changePasswdDialog", "page": "changePasswdDialog", "action": "showDialog", "type": "page" }
				]
			},
			{"sender": "chPasswdForm", "type": "control", "event": "oncancel", "receivers": [
					{ "id": "changePasswdDialog", "page": "changePasswdDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{"sender": "chPasswdForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "changeAdminPasswordQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "changeAdminPasswordQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "changePasswdDialog", "page": "changePasswdDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "changeAdminPasswordQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "chPasswdForm", "page": "changePasswdDialog", "action": "applyError", "type": "control" }
			]
			},
			{"sender": "serverTimeLabel", "event": "onshow", "type": "control", "receivers": [
					{ "id": "serverTimeLabel", "page": "mainPage", "action": "applyText", "type": "control" }
				]
			},
			{ "sender": "updateServerTime", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyServerTime" },
				]
			},
			{"sender": "serverTimeLabel", "event": "onhide", "type": "control", "receivers": [
					{ "id": "getServerTime", "action": "stopTimeout", "type": "query" }
				]
			},
			{"sender": "serverNameLabel", "event": "onshow", "type": "control", "receivers": [
					{ "id": "getServerName", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getServerName", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "serverNameLabel", "page": "mainPage", "action": "applyText", "type": "control" }
				]
			},
			
			{ "sender": "dashboard", "event": "onshow", "type": "control", "receivers": [
					{ "id": "dashboardKtQuery", "action": "dropCancelLoading", "type": "query" },
					{ "id": ["dashboardStatsQuery", "dashboardAvQuery", "dashboardApQuery", 
						"dashboardAsQuery", "dashboardBackupQuery", "dashboardLdapSettingsQuery", "headerGetLicenseQuery", 
						"getProtectionSettingsQuery", "dashboardKtQuery", "dashboardKtQuarantineStatQuery", "dashboardKsnQuery" ], "action": "loadData", "type": "query" },
					{ "id": "pageContentHeader", "action": "hide", "type": "control", "page": "mainPage" },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "dashboard" ] },
				]
			},
			{ "sender": "dashboard", "event": "onasinforeload", "type": "control", "receivers": [
					{ "id": "dashboardAsQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onavinforeload", "type": "control", "receivers": [
					{ "id": "dashboardAvQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onapinforeload", "type": "control", "receivers": [
					{ "id": "dashboardApQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onldapinfoloaded", "type": "control", "receivers": [
					{ "id": "dashboardLdapQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onktinforeload", "type": "control", "receivers": [
					{ "id": "dashboardKtQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onktstatinforeload", "type": "control", "receivers": [
					{ "id": "dashboardKtQuarantineStatQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onksninforeload", "type": "control", "receivers": [
					{ "id": "dashboardKsnQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{"sender": "dashboard", "event": "onfilterchange", "type": "control", "receivers": [
					{ "id": "headerGetLicenseQuery", "action": "loadData", "type": "query" },
					{ "id": "dashboardLoadThreatsQuery", "action": "stopTimeout", "type": "query" },
					{ "id": "dashboardStatsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onhide", "type": "control", "receivers": [
					{ "id": ["dashboardAvQuery", "dashboardApQuery", "dashboardAsQuery",
						"dashboardBackupQuery", "dashboardLdapSettingsQuery", "dashboardLoadThreatsQuery", "headerGetLicenseQuery", 
						"dashboardKtQuery", "dashboardKtQuarantineStatQuery", "dashboardKsnQuery" ], "action": "stopTimeout", "type": "query" },
					{ "id": "pageContentHeader", "action": "show", "type": "control", "page": "mainPage" },
					{ "id": "dashboardKtQuery", "action": "cancelLoading", "type": "query" }
				]
			},
			{ "sender": "dashboard", "event": "onloadthreats", "type": "control", "receivers": [
					{ "id": "dashboardLoadThreatsQuery", "action": ["stopTimeout","loadData"], "type": "query" }
				]
			},
			{ "sender": "dashboardLoadThreatsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyThreatsData", "type": "control" }
				]
			},
			{ "sender": "dashboard", "event": "onthreatinfo", "type": "control", "receivers": [
					{ "id": "threatInfoTooltipForm", "action": ["setButtonClose","showTooltip"], "type": "control", "page": "mainPage" },
					{ "id": "threatInfoPanel", "action": "applyInfo", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": "headerGetLicenseQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyLicenseInfo", "type": "control" }
				]
			},
			{ "sender": "headerGetLicenseQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyLicenseError", "type": "control" }
				]
			},
			{ "sender": "dashboard", "event": "onlicenseinforeload", "type": "control", "receivers": [
					{ "id": "headerGetLicenseQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "dashboardAvQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyAvStats", "type": "control" }
				]
			},
			{ "sender": "dashboardAvQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyAvError", "type": "control" }
				]
			},
			{ "sender": "dashboardKtQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKtStats", "type": "control" }
				]
			},
			{ "sender": "dashboardKtQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKtError", "type": "control" }
				]
			},
			{ "sender": "dashboardKtQuarantineStatQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKtQuarantineStats", "type": "control" }
				]
			},
			{ "sender": "dashboardKtQuarantineStatQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKtQuarantineError", "type": "control" }
				]
			},
			{ "sender": "dashboardKsnQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKsnStatus", "type": "control" }
				]
			},
			{ "sender": "dashboardKsnQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyKsnError", "type": "control" }
				]
			},
			{ "sender": "dashboardApQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyApStats", "type": "control" }
				]
			},
			{ "sender": "dashboardApQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyApError", "type": "control" }
				]
			},
			{ "sender": "dashboardAsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyAsStats", "type": "control" }
				]
			},
			{ "sender": "dashboardAsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyAsError", "type": "control" }
				]
			},
			{ "sender": "dashboardLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyLdapStats", "type": "control" }
				]
			},
			{ "sender": "dashboardLdapQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "setLdapStatus", "type": "control" }
				]
			},
			{ "sender": "dashboardLdapQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "setLdapError", "type": "control" }
				]
			},
			{ "sender": "dashboardBackupQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyBackupStats", "type": "control" }
				]
			},
			{ "sender": "dashboardBackupQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyBackupStatsError", "type": "control" }
				]
			},
			{ "sender": "dashboardStatsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "dashboard", "page": "mainPage", "action": "applyStatsData", "type": "control" }
				]
			},
			{"sender": "GroupsPagePanel", "event": "onshow", "type": "control", "receivers": [
					{ "id": "GroupViewEditPage", "page": "mainPage", "action": "hide", "type": "control" }
				]
			},
			{"sender": "GroupsPagePanel", "event": "onbeforehide", "type": "control", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "setResumeEvent", "type": "control" }
				]
			},
			{"sender": "GroupsSearchPage", "event": ["onshow", "onsetvisible"], "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsGroupsSearch"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "GroupsSearchPage" ] },
					{ "id": "GroupViewEditPage", "page": "mainPage", "action": "hide", "type": "control" }
				]
			},
			{ "sender": "btnBackToGroupList", "event": "onclick", "type": "control", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "_closeEditor", "type": "control" }
					
					
				]
			},
			
			{ "sender": "GroupSettingsEditor", "event": "onbreadcrumbstext", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "applyText", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "oneditorpanelhide", "type": "control", "receivers": [
					{ "id": ["antiSpamParamsSettingsItem", "antiVirusParamsSettingsItem", "cfParamsSettingsItem", "antiPhishingParamsSettingsItem", "notificationParamsSettingsItem", "kataParamsSettingsItem"], "page": "mainPage", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "oneditorpanelshow", "type": "control", "receivers": [
					{ "id": ["antiSpamParamsSettingsItem", "antiVirusParamsSettingsItem", "cfParamsSettingsItem", "antiPhishingParamsSettingsItem", "notificationParamsSettingsItem", "kataParamsSettingsItem"], "page": "mainPage", "action": "setVisible", "type": "control" }
				]
			},
			
			{ "sender": "GroupSettingsEditor", "event": "onwarningpanelshow", "type": "control", "receivers": [
					{ "id": "warningParamsSettingsItem", "page": "mainPage", "action": "setVisible", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "onwarningpanelhide", "type": "control", "receivers": [
					{ "id": "warningParamsSettingsItem", "page": "mainPage", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "ondisclaimerpanelshow", "type": "control", "receivers": [
					{ "id": "disclaimerParamsSettingsItem", "page": "mainPage", "action": "setVisible", "type": "control" }
				]
			},
			
			{ "sender": "GroupSettingsEditor", "event": "ondisclaimerpanelhide", "type": "control", "receivers": [
					{ "id": "disclaimerParamsSettingsItem", "page": "mainPage", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "onmessageauthenticationpanelshow", "type": "control", "receivers": [
					{ "id": "messageAuthenticationSettingsItem", "page": "mainPage", "action": "setVisible", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "onmessageauthenticationpanelhide", "type": "control", "receivers": [
					{ "id": "messageAuthenticationSettingsItem", "page": "mainPage", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "groupDisclaimerSettingsForm", "event": "ontextedit", "type": "control", "receivers": [
					{ "id": "disclaimerTooltipForm", "page": "mainPage", "action": "showTooltip", "type": "control" },
					{ "id": "disclaimerSelect", "page": "mainPage", "action": "setValue", "type": "control" }
				]
			},
			{ "sender": "groupWarningSettingsForm", "event": "ontextedit", "type": "control", "receivers": [
					{ "id": "warningTooltipForm", "page": "mainPage", "action": "showTooltip", "type": "control" },
					{ "id": "warningSelect", "page": "mainPage", "action": "setValue", "type": "control" }
				]
			},
			
			{ "sender": "GroupSettingsEditor", "event": "oneditorclosereset", "type": "control", "receivers": [
					
					{ "id": "RulesGridControl", "action": "resetData", "type": "control" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "GroupsListLoadQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "btnCopy_GroupsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["btnCopy_GroupsTop_btnCopy_GroupsBottom.onclick"] },
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "setMode", "args": ["copy"], "type": "control" },
					{ "id": "GroupSettingLoadQuery", "action": "loadData", "type": "query" },
			]
			},
			{ "sender": "GroupSettingLoadQuery", "event": "onsuccess", "type": "query", "receivers":
				[
					{ "id": "GroupViewEditPage", "page": "mainPage", "action": "show", "type": "control" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsGroupEdit"] }
				]
			},
			{ "sender": ["btnCreate_GroupsTop", "btnCreate_GroupsBottom"], "event": "onclick", "type": "control", "receivers": [
					{ "id": "getProtectionSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "GroupSettingDefaultLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "btnDelete_GroupsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "action": "deleteRows", "type": "control" }
				]
			},
			{ "sender": "RulesGridControl", "event": "onrowsdelete", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "action": "showLoading", "type": "control" },
					{ "id": "DeleteGroupQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": ["DeleteGroupQuery","GroupSetActive"], "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "GroupsSearchPage", "action": "hideLoading", "type": "control" },
					{ "id": "RulesGridControl", "action": "resetData", "type": "control" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "GroupsListLoadQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "GroupSetPriority", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "RulesGridControl", "action": "preResetData", "type": "control" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "GroupsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "GroupSettingDefaultLoadQuery", "event": "onsuccess", "type": "query", "receivers":
				[
					{ "id": "GroupViewEditPage", "page": "mainPage", "action": "show", "type": "control" },
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsGroupNew"] },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			
			{ "sender": "GroupSettingsEditor", "event": "ongetnewgroupid", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "action": "getNewGroupName", "type": "control" }
			]
			},
			
			{ "sender": "RulesGridControl", "event": "onsetnewgroupname", "type": "control", "receivers": [
					{ "id": "groupGeneralSettingsForm", "action": "setNewGroupName", "type": "control" }
			]
			},
			
			
			{ "sender": "btnUp_GroupsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "action": "upPriority", "type": "control" }
			]
			},
			{ "sender": "btnDown_GroupsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "action": "downPriority", "type": "control" }
			]
			},
			{ "sender": "RulesGridControl", "event": "ongroupprioritychange", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["RulesGridControl.ongroupprioritychange"] },
					{ "id": "GroupSetPriority", "action": "loadData", "type": "query" }
			]
			},
						
			{ "sender": ["groupAsSettingsForm", "groupAvSettingsForm","groupCFSettingsForm", "groupApSettingsForm", "groupMessageAuthSettingsForm", "groupKtSettingsForm"], "event": "ontextedit", "type": "control", "receivers": [
					{ "id": "textTooltipForm", "page": "mainPage", "action": "showTooltip", "type": "control" }
			]
			},
			{ "sender": "groupAvSettingsForm", "event": "onexcludedtypes", "type": "control", "receivers": [
					{ "id": "filesTypesAvDialog", "page": "filesTypesAvDialog", "action": "showDialog", "type": "page" },
					{ "id": "filesTypesAvDialogForm", "page": "filesTypesAvDialog", "action": "setValue", "type": "control" }
			]
			},
			{ "sender": "filesTypesAvDialogForm", "event": "onformclose", "type": "control", "receivers": [
					{ "id": "filesTypesAvDialog", "page": "filesTypesAvDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "groupCFSettingsForm", "event": "onexcludedtypes", "type": "control", "receivers": [
					{ "id": "filesTypesCfDialog", "page": "filesTypesCfDialog", "action": "showDialog", "type": "page" },
					{ "id": "filesTypesCfDialogForm", "page": "filesTypesCfDialog", "action": "setValue", "type": "control" }
			]
			},
			{ "sender": "filesTypesCfDialogForm", "event": "onformclose", "type": "control", "receivers": [
					{ "id": "filesTypesCfDialog", "page": "filesTypesCfDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "groupCFSettingsForm", "event": "onnamevalidate", "type": "control", "receivers": [
					{ "id": "ValidateFileNameQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "ValidateFileNameQuery", "type": "query", "event": "onsuccess", "receivers": [
					{ "id": "groupCFSettingsForm", "type": "control", "action": "setExcludesValue" }
			]
			},
			{ "sender": "ValidateFileNameQuery", "type": "query", "event": "onerror", "receivers": [
					{ "id": "groupCFSettingsForm", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			
			{ "sender": "groupAsSettingsForm", "event": "onlistedit", "type": "control", "receivers": [
					{ "id": "userBListViewCtrl", "page": "mainPage", "action": "setListType", "type": "control" },
					{ "id": "listViewToltip", "page": "mainPage", "action": "setButtonClose", "type": "control" },
					{ "id": "listViewToltip", "page": "mainPage", "action": "showTooltip", "type": "control" }
			]
			},
			{ "sender": "groupNotificationSettingsForm", "event": "onlistedit", "type": "control", "receivers": [
					{ "id": "emailEditTooltipForm", "page": "mainPage", "action": "showTooltip", "type": "control" },
					{ "id": "emailListEditorCtrl", "page": "mainPage", "action": "setValue", "type": "control" }
				]
			},
			{ "sender": "groupNotificationSettingsForm", "event": "onattachsourceedit", "type": "control", "receivers": [
					{ "id": "attachSourceEditTooltipForm", "page": "mainPage", "action": "showTooltip", "type": "control" },
					{ "id": "attachSourceEditForm", "page": "mainPage", "action": "setValue", "type": "control" }
				]
			},
			{ "sender": "GroupSettingsEditor", "event": "oneditorclose", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "topNav", "page": "mainPage", "action": "forcePanelShow"}
			]
			},
			{ "sender": "GroupSettingsEditor", "event": "onsettingssave", "type": "control", "receivers": [
					{ "id": "GroupSettingsSaveQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "GroupSettingsEditor", "event": "onsettingssaveclose", "type": "control", "receivers": [
					{ "id": "GroupSettingsSaveCloseQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": ["GroupSettingsSaveQuery"], "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "resetEdited", "type": "control" }
			]
			},
			{ "sender": [ "GroupNewSettingsSaveQuery","GroupSettingsSaveCloseQuery"], "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "RulesGridControl", "action": "resetData", "type": "control" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "topNav", "page": "mainPage", "action": "forcePanelShow"}
			]
			},
			{ "sender": ["GroupSettingsSaveQuery","GroupNewSettingsSaveQuery","GroupSettingsSaveCloseQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": ["GroupSettingsSaveQuery","GroupNewSettingsSaveQuery","GroupSettingsSaveCloseQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			
			
			
			
	
			{ "sender": "GroupSettingsEditor", "event": "onnewsettingssave", "type": "control", "receivers": [
					{ "id": "GroupNewSettingsSaveQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": ["GroupSettingsSaveQuery", "GroupNewSettingsSaveQuery","GroupSettingsSaveCloseQuery"], "event": "onerror", "type": "query", "receivers": [
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "RulesGridControl", "event": "onrowenter", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["RulesGridControl.onrowenter"] },					
					{ "id": "getUseDsnSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "GroupSettingsEditor", "page": "mainPage", "action": "setMode", "args": ["edit"], "type": "control" },
				]
			},
			{ "sender": "getUseDsnSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDnsEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseSpfEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDkimEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDmarkEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyKataIntegrationEnabled", "type": "control" }
				]
			},
			{ "sender": "getUseDsnSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "GroupSettingLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "RulesGridControl", "event": "ongroupactivechange", "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["RulesGridControl.ongroupactivechange"] },
					{ "id": "GroupSetActive", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": ["GroupSetActive", "DeleteGroupQuery", "GroupSetPriority"], "event": "onerror", "type": "query", "receivers": [
					{ "id": "RulesGridControl", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			
			{"sender": "RulesGridControl", "event": "onpagechange", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "page": "mainPage", "action": "viewPage", "type": "control" }
			]
			},
			{ "sender": "RulesGridControl", "event": "onsetpagesize", "type": "control", "receivers": [
					{ "id": "RulesGridBottomPager", "page": "mainPage", "action": "initData", "type": "control" }
			]
			},
			
			
			{ "sender": ["RulesGridTopPager", "RulesGridBottomPager"], "event": "onpagechange", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "page": "mainPage", "action": "setPageNum", "type": "control" }
			]
			},
			{ "sender": "RulesGridControl", "event": "onrowselected", "type": "control", "receivers": [
					{ "id": "GroupsListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" },
					{ "id": "RulesGridControl", "action": "setPriorityButtons", "type": "control", "page": "mainPage" },
					{ "id": "RulesGridControl", "action": "setDeleteButton", "type": "control", "page": "mainPage" }
			]
			},
			{ "sender": "RulesGridControl", "event": ["onshow", "onpagechange"], "type": "control", "receivers": [
					{ "id": "GroupsSearchPage", "action": "showLoading", "type": "control", "page": "mainPage" },
					{ "id": "getGroupProtectionMiscSettingsQuery", "action": "loadData", "type": "query" },
			]
			},
			{ "sender": "getGroupProtectionMiscSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDnsEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseSpfEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDkimEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDmarkEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyKataIntegrationEnabled", "type": "control" },
					{ "id": "GroupsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": ["btnChangePririty_GroupsBottom", "btnChangePririty_GroupsTop"], "event": "onclick", "type": "control", "receivers": [
					{ "id": "RulesGridControl", "action": "invokePriorityChangeData", "type": "control", "page": "mainPage" }
			]
			},
			{ "sender": "RulesGridControl", "event": "setprioritybuttons", "type": "control", "receivers": [
					{ "id": "GroupsListTopToolbar", "action": "setPriorityButtons", "type": "control", "page": "mainPage" }
			]
			},	
			{ "sender": "RulesGridControl", "event": "enabledeletebutton", "type": "control", "receivers": [
				{ "id": "btnDelete_GroupsTop", "page": "mainPage", "action": "enable", "type": "control" }
			]
			},	
			{ "sender": "RulesGridControl", "event": "disabledeletebutton", "type": "control", "receivers": [
				{ "id": "btnDelete_GroupsTop", "page": "mainPage", "action": "disable", "type": "control" }
			]
			},	
			{ "sender": "GroupsListTopToolbar", "event": "ondownprioritydisabled", "type": "control", "receivers": [
					{ "id": ["btnDown_GroupsTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "GroupsListTopToolbar", "event": "onupprioritydisabled", "type": "control", "receivers": [
					{ "id": ["btnUp_GroupsTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "GroupsListTopToolbar", "event": "onupdownprioritydisabled", "type": "control", "receivers": [
					{ "id": ["btnUp_GroupsTop","btnDown_GroupsTop","btnDelete_GroupsTop","btnChangePririty_GroupsTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "GroupsListTopToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": "btnCreate_GroupsTop", "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": ["btnDelete_GroupsTop","btnCopy_GroupsTop", "btnChangePririty_GroupsTop", "btnUp_GroupsTop", "btnDown_GroupsTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "GroupsListTopToolbar", "event": "onsingleitemaction", "type": "control", "receivers": [
					{ "id": ["btnCreate_GroupsTop", "btnDelete_GroupsTop","btnCopy_GroupsTop", "btnChangePririty_GroupsTop", "btnUp_GroupsTop", "btnDown_GroupsTop"], "page": "mainPage", "action": "enable", "type": "control" }
			]
			},
			{ "sender": "GroupsListTopToolbar", "event": "onmultipleitemsaction", "type": "control", "receivers": [
					{ "id": ["btnCreate_GroupsTop","btnDelete_GroupsTop"], "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": ["btnUp_GroupsTop","btnCopy_GroupsTop", "btnDown_GroupsTop",  "btnChangePririty_GroupsTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "GroupsListLoadQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "RulesGridControl", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "RulesGridControl", "action": "setPriorityButtons", "type": "control", "page": "mainPage" }
			]
			},
			{ "sender": "GroupsListLoadQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "isLdapConnectQuery", "action": "loadData", "type": "query" },
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["GroupsListLoadQuery.onloadstarted"] }
			]
			},
			{ "sender": "GroupsListLoadQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "GroupsSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control", "args": ["GroupsListLoadQuery.onloadcomplete"] }
					
			]
			},
			{ "sender": "groupGeneralSettingsForm", "event": "onlistchange", "type": "control", "receivers": [
					{ "id": "addressesEditDialog", "page": "addressesEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "addressEditForm", "page": "addressesEditDialog", "action": "setValue", "type": "control" }
				]
			},
			{ "sender": "groupGeneralSettingsForm", "event": "onimportlist", "type": "control", "receivers": [
					{ "id": "addressesImportEditDialog", "page": "addressesImportEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "addressImportEditForm", "page": "addressesImportEditDialog", "action": "setData", "type": "control" }
				]
			},
			
			{ "sender": "addressImportEditForm", "event": "ontestips", "type": "control", "receivers": [
					{ "id": "validateImportingIpQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "addressImportEditForm", "event": "ontestemails", "type": "control", "receivers": [
					{ "id": "validateImportingEmailQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": ["validateImportingIpQuery", "validateImportingEmailQuery"], "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "addressImportEditForm", "page": "addressesImportEditDialog", "action": "applyValidationResult", "type": "control" }
				]
			},
			{ "sender": ["validateImportingIpQuery", "validateImportingEmailQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "addressImportEditForm", "page": "addressesImportEditDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": ["validateImportingIpQuery", "validateImportingEmailQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "addressImportEditForm", "page": "addressesImportEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "addressImportEditForm", "event": "onok", "type": "control", "receivers": [
					{ "id": "groupGeneralSettingsForm", "action": "setImportAddresses", "type": "control" }
				]
			},
			
			
			{ "sender": "groupGeneralSettingsForm", "event": "ongetExternalAccountInfo", "type": "control", "receivers": [
					{ "id": "GetLDAPInfoQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getGroupProtectionMiscSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "RulesGridControl", "action": "setGroupProtection", "type": "control" }
			]
			},
			{ "sender": "isLdapConnectQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "action": "setLdapNotConnect", "type": "control" }
			]
			},
			{ "sender": "isLdapConnectQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "action": "setLdapConnect", "type": "control" }
			]
			},
			{ "sender": "GetLDAPInfoQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "action": "setExternalAccount", "type": "control" }
			]
			},
			{ "sender": "groupGeneralSettingsForm", "event": "onipvalidate", "type": "control", "receivers": [
					{ "id": "validateIpQuery", "action": "loadData", "type": "query" },
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "validateIpQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "setIpIsValid", "type": "control" }
			]
			},
			{ "sender": "validateIpQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "groupGeneralSettingsForm", "event": "onwildcardvalidate", "type": "control", "receivers": [
					{ "id": "validateWildcardQuery", "action": "loadData", "type": "query" },
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "validateWildcardQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "setWildcardQueryIsValid", "type": "control" }
			]
			},
			{ "sender": "validateWildcardQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "groupGeneralSettingsForm", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			
			{ "sender": "SearchLDAPQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "addressEditForm", "page": "addressesEditDialog", "action": "hideLoading", "type": "control" }
			]
			},
			
			{ "sender": "addressEditForm", "event": ["oncancel", "onok"], "type": "control", "receivers": [
					{ "id": "addressesEditDialog", "page": "addressesEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "addressEditForm", "event": "searchLDAP", "type": "control", "receivers": [
					{ "id": "SearchLDAPQuery", "action": "loadData", "type": "query" },
					{ "id": "addressEditForm", "page": "addressesEditDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "SearchLDAPQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "addressEditForm", "page": "addressesEditDialog", "action": "setSearchByLDAPData", "type": "control" }
				]
			},
			{ "sender": "SearchLDAPQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "addressEditForm", "page": "addressesEditDialog", "action": "applyError", "type": "control" }
				]
			},
			{"sender": "BackupSearchPanel", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyFilter", "type": "control" }
			]
			},
			{ "sender": "BackupGridTopPager", "event": "onpagechange", "type": "control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "setPageNum", "type": "control" }
			]
			},
			{ "sender": "BackupGridControl", "event": "onsetpagesize", "type": "control", "receivers": [
					{ "id": "BackupGridTopPager", "page": "mainPage", "action": "initData", "type": "control" }
			]
			},
			
			{ "sender": "BackupGridControl", "event": "onshow", "type": "control", "receivers": [
					{ "id": "BackupListLoadQuery", "action": "loadData", "type": "query" },
					{ "id": "storagFilterForm", "action": "initValues", "type": "control", "page": "sorageFilterDialog" }
			]
			},
			{ "sender": "BackupGridControl", "event": "onfilterchange", "type": "control", "receivers": [
					{ "id": "BackupListLoadQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "BackupListLoadQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "backupListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "BackupListLoadQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "backupListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "BackupListLoadQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "lblFilterInfo", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "BackupListLoadQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "lblFilterInfo", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "lblFilterInfo", "event": "onfilteropen", "type": "control", "receivers": [
					{ "id": "sorageFilterDialog", "action": "showDialog", "type": "page", "page": "sorageFilterDialog" },
					{ "id": "storagFilterForm", "action": "setFocus", "type": "control", "page": "sorageFilterDialog" }
			]
			},
			{ "sender": "storagFilterForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "sorageFilterDialog", "action": "closeDialog", "type": "page", "page": "sorageFilterDialog" }
			]
			},
			{ "sender": "storagFilterForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyFilter", "type": "control" },
					{ "id": "sorageFilterDialog", "action": "closeDialog", "type": "page", "page": "sorageFilterDialog" },
					{ "id": "lblFilterInfo", "page": "mainPage", "action": "applyFilterData", "type": "control" }
			]
			},
			{ "sender": "lblFilterInfo", "event": "onfilterrefresh", "type": "control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "initFilter", "type": "control" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "resetData", "type": "control" },
					{ "id": "BackupListLoadQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "lblFilterInfo", "event": "onfilterreset", "type": "control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "resetFilter", "type": "control" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "resetData", "type": "control" },
					{ "id": "BackupListLoadQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "BackupGridControl", "event": "onfilterreset", "type": "control", "receivers": [
					{ "id": "storagFilterForm", "action": "initValues", "type": "control", "page": "sorageFilterDialog" },
					{ "id": "lblFilterInfo", "page": "mainPage", "action": "applyFilterData", "type": "control" }
			]
			},
			
			{ "sender": "BackupGridControl", "event": "onrowselected", "type": "control", "receivers": [
					{ "id": "backupListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" }
			]
			},
			{ "sender": "backupListTopToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": ["btnDeliver_BackupTop", "btnView_BackupTop", "btnDelete_BackupTop", "btnSave_BackupTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "backupListTopToolbar", "event": "onsingleitemaction", "type": "control", "receivers": [
					{ "id": ["btnDeliver_BackupTop", "btnView_BackupTop", "btnDelete_BackupTop", "btnSave_BackupTop"], "page": "mainPage", "action": "enable", "type": "control" }
			]
			},
			{ "sender": "backupListTopToolbar", "event": "onmultipleitemsaction", "type": "control", "receivers": [
					{ "id": ["btnDeliver_BackupTop", "btnDelete_BackupTop"], "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": ["btnView_BackupTop", "btnSave_BackupTop"], "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			
			{ "sender": "BackupPagePanel", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsBackup"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "BackupPagePanel" ] },
					{ "id": "MessageViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "toggleSettingsPanel", "type": "control" }
				]
			},
			
			{ "sender": "BackupSearchPage", "event": "onshowbackupsettings", "type": "control", "receivers": [
					{ "id": "pnlBackupSettingsContent", "action": "setVisible", "page": "mainPage", "type": "control" },
					{ "id": "backupSettingsPreview", "action": "setEmpty", "page": "mainPage", "type": "control" },
					{ "id": "getBackupSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "BackupSearchPage", "event": "onhidebackupsettings", "type": "control", "receivers": [
					{ "id": "pnlBackupSettingsContent", "action": "setInvisible", "page": "mainPage", "type": "control" }
				]
			},
			{"sender": "btnView_BackupTop", "event":"onclick", "type":"control", "receivers": [
				{ "id": "BackupSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
				{ "id": "BackupGridControl", "page": "mainPage", "action": "getDataItem", "type": "control" }
			]},
			{ "sender": "BackupGridControl", "event": "onrowenter", "type": "control", "receivers": [
				{ "id": "BackupSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
				{ "id": "BackupGridControl", "page": "mainPage", "action": "getDataItem", "type": "control" }
			]
			},
			
			
			{"sender":"btnDelete_BackupTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "BackupGridControl","action": "deleteRows","type": "control"}
			]},
			{"sender":"btnDeliver_BackupTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "BackupGridControl","action": "getMailAdressDeliver","type": "control"}
			]},
			{"sender": "btnSave_BackupTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "MessageSaveQuery","action": "loadFile","type": "query"}
			]},
			{"sender":"btnSave_MessageTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "BackupGridControl","action": "setActionFromPanel","type": "control"},
				{"id": "MessageSaveQuery","action": "loadFile","type": "query"}
			]},
			{ "sender": "BackupGridControl", "event": "ongetrecievers", "type": "control", "receivers": [
					{ "id": "deliverMailDialog", "page": "deliverMailDialog", "action": "showDialog", "type": "page" },
					{"id": "deliverDialogForm", "page": "deliverMailDialog", "action": "setData","type": "control"}
			]
			},
			
			{ "sender": "deliverDialogForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "deliverMailDialog", "page": "deliverMailDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{"sender":"btnDelete_MessageTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "BackupGridControl","action": "setActionFromPanel","type": "control"},
				{"id": "BackupGridControl","action": "deleteRows","type": "control"}
			]},
			{"sender":"btnDeliver_MessageTop", "event":"onclick", "type":"control", "receivers": [
				{"id": "BackupGridControl","action": "setActionFromPanel","type": "control"},
				{"id": "BackupGridControl","action": "getMailAdressDeliver","type": "control"}
			]},
			
			
			{ "sender": "BackupGridControl", "event": "onrowsdelete", "type": "control", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "MessageDeleteQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "BackupGridControl", "event": "ongetnextdata", "type": "control", "receivers": [
					{ "id": "MessageTopPager", "action": "getNextData", "type": "control" }
			]
			},
			{ "sender": "MessageDeleteQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "deliverMailDialog", "page": "deliverMailDialog", "action": "closeDialog", "type": "page" },
					{ "id": "BackupGridControl","action": "applyDeletedData","type": "control"}
					
			]
			},
			{ "sender": "MessageDeleteQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "MessageDeleteQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": ["BackupSearchPage","MessageViewEditPage"], "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "MessageSaveQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "resetActionFromPanel", "type": "control" }
			]
			},
			{ "sender": "MessageSaveQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "resetActionFromPanel", "type": "control" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "BackupGridControl", "event": "ondeliverletter", "type": "control", "receivers": [
					{ "id": "deliverMailDialog", "page": "deliverMailDialog", "action": "closeDialog", "type": "page" },
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "MessageViewEditPage", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "BackupGridControl", "page": "mainPage", "action": "startLettersDelivering", "type": "control" }
				]
			},
				{ "sender": "BackupGridControl", "event": "ontrydeliverletter", "type": "control", "receivers": [
						{ "id": "MessageDeliverQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "MessageDeliverQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "BackupGridControl", "page": "mainPage", "action": "onLetterDeliverySuccess", "type": "control" }
					]
				},
				{ "sender": "MessageDeliverQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "BackupGridControl", "page": "mainPage", "action": "tryDeliverNextLetter", "type": "control" }
					]
				},
				{ "sender": "MessageDeliverQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "BackupSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "MessageViewEditPage", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "BackupGridControl", "page": "mainPage", "action": "onLetterDeliveryFail", "type": "control" }
					]
				},
				{ "sender": "BackupGridControl", "event": "ondeliveringcomplete", "type": "control", "receivers": [
						{ "id": "BackupSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "MessageViewEditPage", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "BackupGridControl", "page": "mainPage", "action": "onDeliveryComplete", "type": "control" }
					]
				},
			{"sender":"MessageSettingsTab", "event":"onhide", "type":"control", "receivers": 
				[
					{ "id": "BackupGridControl", "page": "mainPage", "action": "initCurrentIndex", "type": "control" }
				]
			},
		
			{"sender":"btnBackupSearch", "event":"onclick", "type":"control", "receivers": [
				{ "id": "BackupSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
				{ "id": "MessageViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
				{ "id": "BackupGridControl", "page": "mainPage", "action": "resetActionFromPanel","type": "control"}				
			]},
			{"sender":"BackupGridControl", "event":"ongetdata", "type":"control", "receivers": [
					{ "id": "MessageViewEditPage","page": "mainPage","action": "show","type": "control"},
					{ "id": "MessageSettingsTab","page": "mainPage","action": "setDataItem","type": "control"}
			]
			},
			{"sender":"BackupGridControl", "event":"oncheangeindex", "type":"control", "receivers":  [
					{ "id": "MessageTopPager","page": "mainPage","action": "setItemId","type": "control"}
			]
			},
			{"sender":"BackupGridControl", "event":"onclosepanel", "type":"control", "receivers": [
				{ "id": "BackupGridControl", "page": "mainPage", "action": "resetActionFromPanel","type": "control"},
				{ "id": "BackupSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
				{ "id": "MessageViewEditPage", "page": "mainPage", "action": "hide", "type": "control" }
			]},
			
			
			{"sender": "MessageTopPager","event": "onpagechange", "type":"control", "receivers": [
					{ "id": "BackupGridControl", "page": "mainPage", "action": "changeCurrentIndex","type": "control"},
					{ "id": "BackupGridControl", "page": "mainPage", "action": "getDataItem", "type": "control" }
				]
			},
	
			{"sender": "testLdapSearchForm", "event": "onsearchstart", "type":"control", "receivers": [
					{ "id": "SearchLDAPQueryAutocomplete", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "SearchLDAPQueryAutocomplete", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "testLdapSearchForm", "page": "mainPage", "action": "setSearchResult", "type": "control" }
			]
			},
			{ "sender": "SearchLDAPQueryAutocomplete", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "testLdapSearchForm", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "SearchLDAPQueryAutocomplete", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "testLdapSearchForm", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			
			{ "sender": "pnlReports", "event": "onshow", "type": "control", "receivers": [
					{ "id": "ReportsPanelContent", "action": "showLoading", "type": "control" },
					{ "id": "ReportsLocaleListQuery", "action": "loadData", "type": "query" },
					{ "id": "ReportsGridControl", "action": "setReportPage", "type": "control" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "onsetreportspage", "type": "control", "receivers": [
					{ "id": "ReportsFilter", "action": "setReportPage", "type": "control", "page": "mainPage" },
					{ "id": "ReportSettingsPreview", "action": "setReportType", "type": "control", "page": "mainPage" },
					{ "id": "ReportsListTopToolbar", "action": "setReportType", "type": "control", "page": "mainPage" },
					{ "id": "ReportsPanelContent", "action": "setReportType", "type": "control", "page": "mainPage" },
					{ "id": "ReportSettingsPreviewList", "action": "setEmpty", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "onbreadcrumbstext", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "applyText", "type": "control", "page": "mainPage" },
				]
			},
			{ "sender": "ReportsGridControl", "event": "onreportshelp", "type": "control", "receivers": [
					{ "id": "contextChangeAdapter", "action": "setReportHelpId", "page": "mainPage" },
				]
			},
			{ "sender": "ReportsGridControl", "event": "onhidesettings", "type": "control", "receivers": [
					{ "id": "ReportSettingsPreview", "action": "hide", "type": "control", "page": "mainPage" },
				]
			},
			{ "sender": "ReportsGridControl", "event": "onshowsettings", "type": "control", "receivers": [
					{ "id": "ReportSettingsPreview", "action": "show", "type": "control", "page": "mainPage" },
				]
			},
			{ "sender": "ReportsGridControl", "event": "ongetschedulesettings", "type": "control", "receivers": [
					{ "id": "ReportsScheduleSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ReportsScheduleSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ReportSettingsPreviewList", "action": "applyValue", "type": "control", "page": "mainPage" },
					{ "id": "ReportsFilter", "action": "setFilterSchedule", "type": "control" }
				]
			},
			{ "sender": "ReportsFilter", "event": "onfiltertypechange", "type": "control", "receivers": [
					{ "id": "ReportsGridControl", "action": "setFilterType", "type": "control" },
					{ "id": "ReportSettingsPreviewList", "action": "setReportType", "type": "control" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "onfilterchange", "type": "control", "receivers": [
					{ "id": "ReportsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ReportsListLoadQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ReportsGridControl", "action": "resetData", "type": "control" },
					{ "id": "ReportsListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" },
					{ "id": "ReportsGridControl", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "ReportsListLoadQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ReportsPanelContent", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "ReportsLocaleListQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ReportsGridControl", "action": "setLocaleList", "type": "control", "page": "mainPage" },
					{ "id": "ReportSettingsPreviewList", "action": "setLocaleList", "type": "control", "page": "mainPage" },
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "setLocaleList", "type": "control" }
				]
			},
			{ "sender": "ReportSettingsPreviewList", "event": "onreportsettingschange", "type": "control", "receivers": [
					{ "id": "reportParamsDialog", "page": "reportParamsDialog", "action": "showDialog", "type": "page" },
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "ReportSettingsPreview", "event": "onsettingenable", "type": "control", "receivers": [
					{ "id": "ReportsFilter", "action": "enableReport", "type": "control", "page": "mainPage" },
					{ "id": "setReportsScheduleEnabledQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ReportSettingsPreview", "event": "onsettingdisable", "type": "control", "receivers": [
					{ "id": "ReportsFilter", "action": "disableReport", "type": "control", "page": "mainPage" },
					{ "id": "setReportsScheduleEnabledQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setReportsScheduleEnabledQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ReportsPanelContent", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "setReportsScheduleEnabledQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ReportsPanelContent", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "setReportsScheduleEnabledQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ReportsScheduleSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "reportParamsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "reportParamsDialog", "page": "reportParamsDialog", "action": "closeDialog", "type": "page" }
				]
			},	
			{ "sender": "reportParamsForm",  "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "showLoading", "type": "control" },
					{ "id": "CreateReportQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "CreateReportQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "reportParamsDialog", "page": "reportParamsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "ReportsScheduleSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "ReportsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "CreateReportQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "reportParamsDialog", "page": "reportParamsDialog", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "btnDelete_ReportsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "ReportsGridControl", "action": "deleteRows", "type": "control" }
				]
			},
			{ "sender": "ReportsListTopToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": "btnDelete_ReportsTop", "page": "mainPage", "action": "disable", "type": "control" }
				]
			},
			{ "sender": "ReportsListTopToolbar", "event": "onsingleitemaction", "type": "control", "receivers": [
					{ "id": "btnDelete_ReportsTop", "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "ReportsListTopToolbar", "event": "onmultipleitemsaction", "type": "control", "receivers": [
					{ "id": "btnDelete_ReportsTop", "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			
			{ "sender": "ReportsGridControl", "event": "onrowsdelete", "type": "control", "receivers": [
					{ "id": "DeleteReportsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "onrowselected", "type": "control", "receivers": [
					{ "id": "ReportsListTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" }
				]
			},
			
			{ "sender": "DeleteReportsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ReportsGridControl", "action": "resetData", "type": "control" },
					{ "id": "ReportsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},	
			{ "sender": "DeleteReportsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ReportsGridControl", "action": "applyError", "type": "control" },
					{ "id": "ReportsListLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "btnCreate_ReportsTop", "event": "onclick", "type": "control", "receivers": [
					{ "id": "reportParamsDialog", "page": "reportParamsDialog", "action": "showDialog", "type": "page" },
					{ "id": "reportParamsForm", "page": "reportParamsDialog", "action": "setCustomData", "type": "control" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "onrowenter_download", "type": "control", "receivers": [
					{ "id": "ReportsGridControl", "action": "invokeDownloadReport", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": "ReportsGridControl", "event": "ondownloadReport", "type": "control", "receivers": [
					{ "id": "DownloadReportQuery", "action": "loadFile", "type": "query" }
				]
			},
		
			{ "sender": "pnlSettingsUpdate", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsUpdate"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsUpdate" ] },
				]
			},
			{"sender": "pnlSettingsUpdateContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "getUpdateProxySettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getUpdateSettingsQuery", "action": "loadData", "type": "query" }
					
				]
			},
			{"sender": "pnlSettingsUpdateContent", "event": "onhide", "type": "control", "receivers": [
					{ "id": "getUpdaterDownloadProgressQuery", "action": "stopTimeout", "type": "query" }
				]
			},
			{ "sender": "getUpdateSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "baseUpdateSettingsPreview", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "getUpdateProxySettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "updateProxySettingsPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyAppSettings", "type": "control" }
				]
			},
			{ "sender": "getUpdateSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsUpdate", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getUpdateSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsUpdate", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{"sender": "AppProxySettings", "event": ["onsettingenable","onsettingdisable"], "type": "control", "receivers": [
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "toggleProxySettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "updateProxySettings", "event": ["onsettingenable","onsettingdisable"], "type": "control", "receivers": [
					{ "id": "pnlSettingsUpdate", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "saveAppProxySettingsQuery1", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "ProxySettingsPreview", "event": "oncnnchange", "type": "control", "receivers": [
					{ "id": "ProxySettingsDialog", "page": "ProxySettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ProxySettingsForm1", "page": "ProxySettingsDialog", "action": "hide", "type": "control" },
					{ "id": "ProxySettingsForm", "page": "ProxySettingsDialog", "action": ["show","setData"], "type": "control" }
				]
			},
			{ "sender": "updateProxySettingsPreview", "event": "oncnnchange", "type": "control", "receivers": [
					{ "id": "ProxySettingsDialog", "page": "ProxySettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ProxySettingsForm", "page": "ProxySettingsDialog", "action": "hide", "type": "control" },
					{ "id": "ProxySettingsForm1", "page": "ProxySettingsDialog", "action": ["show","setData"], "type": "control" }
				]
			},
			{ "sender": ["ProxySettingsForm", "ProxySettingsForm1"], "event": "oncancel", "type": "control", "receivers": [
					{ "id": "ProxySettingsDialog", "page": "ProxySettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			
			{ "sender": "ProxySettingsForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "ProxySettingsForm", "page": "ProxySettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "saveAppProxySettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ProxySettingsForm1", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "ProxySettingsForm1", "page": "ProxySettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "saveAppProxySettingsQuery1", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveAppProxySettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ProxySettingsDialog", "page": "ProxySettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getAppEmailSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "toggleProxySettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getAppEmailSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "toggleProxySettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "AppProxySettings", "page": "mainPage", "action": "applyError", "type": "control" },
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getAppEmailSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": ["saveAppProxySettingsQuery","saveAppProxySettingsQuery1"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": ["ProxySettingsForm","ProxySettingsForm1"], "page": "ProxySettingsDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "saveAppProxySettingsQuery1", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ProxySettingsDialog", "page": "ProxySettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "pnlSettingsUpdate", "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "getUpdateProxySettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveAppProxySettingsQuery1", "event": "onerror", "type": "query", "receivers": [
					{ "id": "updateProxySettings", "page": "mainPage", "action": "applyError", "type": "control" },
					{ "id": "pnlSettingsUpdate", "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "getUpdateProxySettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "baseUpdateSettingsPreview", "event": "onsourcechange", "type": "control", "receivers": [
					{ "id": "baseUpdateSourceSettingsDialog", "page": "baseUpdateSourceSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "baseUpdateSourceSettingsForm", "page": "baseUpdateSourceSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "baseUpdateSourceSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "baseUpdateSourceSettingsDialog", "page": "baseUpdateSourceSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "baseUpdateSourceSettingsForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveUpdateSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveUpdateSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "baseUpdateSourceSettingsDialog", "page": "baseUpdateSourceSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getUpdateSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveUpdateSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "baseUpdateSourceSettingsForm", "page": "baseUpdateSourceSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "getUpdateSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveUpdateSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "baseUpdateSourceSettingsForm", "page": "baseUpdateSourceSettingsDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "saveUpdateSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "baseUpdateSourceSettingsForm", "page": "baseUpdateSourceSettingsDialog", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "baseUpdateSettingsPreview", "event": "onschedulechange", "type": "control", "receivers": [
					{ "id": "baseUpdateScheduleSettingsDialog", "page": "baseUpdateScheduleSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "baseUpdateScheduleSettingsForm", "page": "baseUpdateScheduleSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "baseUpdateScheduleSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "baseUpdateScheduleSettingsDialog", "page": "baseUpdateScheduleSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
				{ "sender": "baseUpdateScheduleSettingsForm", "event": "onformsubmit", "type": "control", "receivers": [
						{ "id": "saveUpdateScheduleSettingsQuery", "action": "loadData", "type": "query" }
				]
				},
				{ "sender": "saveUpdateScheduleSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "baseUpdateScheduleSettingsDialog", "page": "baseUpdateScheduleSettingsDialog", "action": "closeDialog", "type": "page" },
						{ "id": "getUpdateSettingsQuery", "action": "loadData", "type": "query" }
				]
				},
				{ "sender": "saveUpdateScheduleSettingsQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "baseUpdateScheduleSettingsForm", "page": "baseUpdateScheduleSettingsDialog", "action": "applyError", "type": "control" },
						{ "id": "getUpdateSettingsQuery", "action": "loadData", "type": "query" }					
				]
				},
				{ "sender": "saveUpdateScheduleSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "baseUpdateScheduleSettingsForm", "page": "baseUpdateScheduleSettingsDialog", "action": "showLoading", "type": "control" }
				]
				},
				{ "sender": "saveUpdateScheduleSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "baseUpdateScheduleSettingsForm", "page": "baseUpdateScheduleSettingsDialog", "action": "hideLoading", "type": "control" }
				]
				},
			
			{ "sender": "ksnProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "ksnLicenseDialog", "page": "ksnLicenseDialog", "action": "showDialog", "type": "page" },
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "setData", "type": "control" },
					{ "id": "getKsnStatLicenseTextQuery", "action": "loadData", "type": "query" },
					{ "id": "getKsnLicenseTextQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getBackupSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getBackupSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "BackupSearchPage", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "saveBackupSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "backupSettingsForm", "page": "backupSettingsDialog", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "saveBackupSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "backupSettingsForm", "page": "backupSettingsDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "getBackupSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "backupSettingsPreview", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			{"sender": "backupSettingsPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "backupSettingsDialog", "page": "backupSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "backupSettingsForm", "page": "backupSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "backupSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "backupSettingsDialog", "page": "backupSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "backupSettingsForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveBackupSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveBackupSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "backupSettingsDialog", "page": "backupSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getBackupSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveBackupSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "backupSettingsForm", "page": "backupSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "getBackupSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			
		
			{ "sender": "pnlSettingsSNMP", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsSNMP"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsSNMP" ] },
				]
			},
			{ "sender": "pnlSNMPSettingsContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "getSNMPSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "getSNMPSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsSNMP", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getSNMPSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsSNMP", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "getSNMPSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applySendSnmpEnable", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applySnmpEnable", "type": "control" },
					{ "id": "connectionSNMPPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "trapSuiteSNMPPreview", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			{"sender": ["trapSuiteSNMPSettings","enableSNMPSettings"], "event": ["onsettingenable","onsettingdisable"], "type": "control", "receivers": [
					{ "id": "pnlSettingsSNMP", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "saveSNMPSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "saveSNMPSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "snmpCnnSettingsDialog", "page": "snmpCnnSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "snmpCnnSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "pnlSettingsSNMP", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getSNMPSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveSNMPSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "snmpCnnSettingsForm", "page": "snmpCnnSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "getSNMPSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "saveSNMPSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "snmpCnnSettingsForm", "page": "snmpCnnSettingsDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "saveSNMPSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "snmpCnnSettingsForm", "page": "snmpCnnSettingsDialog", "action": "hideLoading", "type": "control" }
			]
			},
			
			
			{"sender": "connectionSNMPPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "snmpCnnSettingsDialog", "page": "snmpCnnSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "snmpCnnSettingsForm", "page": "snmpCnnSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": ["snmpCnnSettingsForm","trapSuiteSNMPPreview_ErrorUpdate","trapSuiteSNMPPreview_Bases","trapSuiteSNMPPreview_Backup",
						"trapSuiteSNMPPreview_License","trapSuiteSNMPPreview_Task","trapSuiteSNMPPreview_Misc","trapSuiteSNMPPreview_BasesError","trapSuiteSNMPPreview_ExternalServiceError"], "event": "oncancel", "type": "control", "receivers": [
					{ "id": "snmpCnnSettingsDialog", "page": "snmpCnnSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "snmpCnnSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			
			{"sender": "trapSuiteSNMPPreview_ErrorUpdate", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewErrorUpdate", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_Bases", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewBases", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_Backup", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewBackup", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_License", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewLicense", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_Task", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewTask", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_Misc", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewMisc", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_BasesError", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewBasesError", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "trapSuiteSNMPPreview_ExternalServiceError", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "viewExternalServiceError", "type": "control" },
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "trapSuiteSNMPSettingsForm", "page": "trapSuiteSNMPSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "trapSuiteSNMPSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "trapSuiteSNMPSettingsDialog", "page": "trapSuiteSNMPSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": ["snmpCnnSettingsForm","trapSuiteSNMPSettingsForm"], "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveSNMPSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "pnlSettingsMisc", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsMisc"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsMisc" ] },
				]
			},
			{ "sender": "pnlMiscSettingsContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "getEventLoggerSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getAppEmailSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getProtectionMiscSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getHelpdeskAccSettingsQuery", "action": "loadData", "type": "query" }, // ???
					{ "id": "getHelpdeskBackupSettingsQuery", "action": "loadData", "type": "query" }, 
					{ "id": "getHelpdeskSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": ["getEventLoggerSettingsQuery","getAppEmailSettingsQuery","getProtectionMiscSettingsQuery", "getHelpdeskAccSettingsQuery", "getHelpdeskBackupSettingsQuery", "saveHelpdeskAccSettingsQuery", "getHelpdeskSettingsQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": ["getEventLoggerSettingsQuery","getAppEmailSettingsQuery","getProtectionMiscSettingsQuery", "getHelpdeskAccSettingsQuery", "getHelpdeskBackupSettingsQuery", "saveHelpdeskAccSettingsQuery", "getHelpdeskSettingsQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			
			{ "sender": "getEventLoggerSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "miscSettingsPreviewEventLogger", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			{ "sender": "getProtectionMiscSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "miscSettingsPreviewPerformance", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "miscSettingsPreviewHeaderMarks", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "miscSettingsPreviewPlaceholder", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			{ "sender": "getAppEmailSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "miscSettingsPreviewEMail", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyAppSettings", "type": "control" }
				]
			},
			{ "sender": "getHelpdeskSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "setAppSettings", "type": "control" },
					{ "id": "miscHelpdeskBWlEditPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
				]
			},
			{ "sender": "getHelpdeskAccSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "miscHelpdeskPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "setUserName", "type": "control" }
				]
			},
			{ "sender": "getHelpdeskBackupSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "miscHelpdeskBackupPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "setCanForvardMalware", "type": "control" }
				]
			},
			{"sender": "miscSettingsHelpdesk", "event": ["onsettingenable","onsettingdisable"], "type": "control", "receivers": [
					{ "id": "saveHelpdeskAppSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "helpdeskSettingsForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveHelpdeskAccSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": ["miscHelpdeskPreview", "miscHelpdeskBackupPreview", "miscHelpdeskBWlEditPreview"], "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "helpdeskSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "saveHelpdeskAccSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "showLoading", "type": "control" },
			]},
			{ "sender": "saveHelpdeskAccSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
				{ "id": "saveHelpdeskAppSettingsQuery", "action": "loadData", "type": "query" }
			]},
			{ "sender": "saveHelpdeskAccSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "saveHelpdeskAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsDialog", "page": "helpdeskSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getHelpdeskAccSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getHelpdeskSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": ["getAppEmailSettingsQuery", "getHelpdeskAccSettingsQuery", "getHelpdeskBackupSettingsQuery"], "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveHelpdeskAppSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "applyError", "type": "control" },
			]},
			{ "sender": "saveHelpdeskAppSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "hideLoading", "type": "control" },
				]
			},
			{"sender": "miscSettingsPreviewEMail", "event": "onproductmailchange", "type": "control", "receivers": [
					{ "id": "ProductMailSettingsDialog", "page": "ProductMailSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ProductMailSettingsForm", "page": "ProductMailSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "miscSettingsPreviewEMail", "event": "onadminmailchange", "type": "control", "receivers": [
					{ "id": "AdminEMailSettingsDialog", "page": "AdminEMailSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "AdminEMailSettingsForm", "page": "AdminEMailSettingsDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": ["ProductMailSettingsForm","AdminEMailSettingsForm"], "event": "oncancel", "type": "control", "receivers": [
					{ "id": "ProductMailSettingsDialog", "page": "ProductMailSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": ["ProductMailSettingsForm","AdminEMailSettingsForm", "scClusterIdEditForm"], "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "setAppEmailSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setAppEmailSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ProductMailSettingsDialog", "page": "ProductMailSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "scClusterIdEditDialog", "page": "scClusterIdEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "pnlSettingsMisc", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getAppEmailSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "AdminEMailSettingsDialog", "page": "AdminEMailSettingsDialog", "action": "closeDialog", "type": "page" }
				]
			},
			{ "sender": "setAppEmailSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ProductMailSettingsForm", "page": "ProductMailSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "AdminEMailSettingsForm", "page": "AdminEMailSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "AdminEMailSettingsForm", "page": "AdminEMailSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "scClusterIdEditForm", "page": "scClusterIdEditDialog", "action": "applyError", "type": "control" },
				]
			},
			{ "sender": "setAppEmailSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ProductMailSettingsForm", "page": "ProductMailSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "AdminEMailSettingsForm", "page": "AdminEMailSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "scClusterIdEditForm", "page": "scClusterIdEditDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "setAppEmailSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ProductMailSettingsForm", "page": "ProductMailSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "AdminEMailSettingsForm", "page": "AdminEMailSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "scClusterIdEditForm", "page": "scClusterIdEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{"sender": "miscSettingsPreviewScIntegration", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "scClusterIdEditDialog", "page": "scClusterIdEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "scClusterIdEditForm", "page": "scClusterIdEditDialog", "action": "setData", "type": "control" }
				]
			},
			{"sender": "miscSettingsPreviewEventLogger", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "EventLoggerEditDialog", "page": "EventLoggerEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "eventLoggerEditForm", "page": "EventLoggerEditDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "eventLoggerEditForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "EventLoggerEditDialog", "page": "EventLoggerEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "eventLoggerEditForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "setEventLoggerSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setEventLoggerSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "EventLoggerEditDialog", "page": "EventLoggerEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getEventLoggerSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "setEventLoggerSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "eventLoggerEditForm", "page": "EventLoggerEditDialog", "action": "showLoading", "type": "control" },
			]
			},
			{ "sender": "setEventLoggerSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "eventLoggerEditForm", "page": "EventLoggerEditDialog", "action": "hideLoading", "type": "control" },
			]
			},
			{ "sender": "setEventLoggerSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "eventLoggerEditForm", "page": "EventLoggerEditDialog", "action": "applyError", "type": "control" }
			]
			},
			
			{"sender": "miscSettingsPreviewPerformance", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "PerformanceEditDialog", "page": "PerformanceEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "PerformanceEditForm", "page": "PerformanceEditDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "miscSettingsPreviewHeaderMarks", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "HeaderMarksEditDialog", "page": "HeaderMarksEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "HeaderMarksEditForm", "page": "HeaderMarksEditDialog", "action": "setData", "type": "control" }
			]
			},
			
			{"sender": "miscSettingsPreviewPlaceholder", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "PlaceholderEditForm", "page": "PlaceholderEditDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "miscSettingsPreviewImportExport", "event": "onimportsettings", "type": "control", "receivers": [
					{ "id": "importSettingsDialog", "page": "importSettingsDialog", "action": "setDialogClass", "args": [""], "type": "control" },
					{ "id": "importSettingsDialog", "page": "importSettingsDialog", "action": "showDialog", "type": "page" }
				]
			},
			{"sender": "miscSettingsPreviewImportExport", "event": "onrestartproduct", "type": "control", "receivers": [
					{ "id": "restartProductConfirmDialog", "page": "restartProductConfirmDialog", "action": "showDialog", "type": "page" },
					{ "id": ["btnCloseRestartDlg", "lblRestartConfirmDlgDone"], "page": "restartProductConfirmDialog", "action": "hide", "type": "control" }
				]
			},
			{"sender": ["btnCancelRestartDlg","btnCloseRestartDlg"], "event": "onclick", "type": "control", "receivers": [
					{ "id": "restartProductConfirmDialog", "page": "restartProductConfirmDialog", "action": "closeDialog", "type": "page" }
				]
			},
			{"sender": "btnRestartProduct", "event": "onclick", "type": "control", "receivers": [
					{ "id": "btnRestartProduct", "page": "restartProductConfirmDialog", "action": "hide", "type": "control" },
					{ "id": "restartProductQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "importSettingsForm", "event": "onrestartproduct", "type": "control", "receivers": [
					{ "id": "importRestartProductQuery", "type": "query", "action": "loadData" }
				]
			},
			{ "sender": "restartProductQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": ["lblRestartConfirmDlgWarn", "btnCancelRestartDlg"], "page": "restartProductConfirmDialog", "action": "hide", "type": "control" },
					{ "id": ["btnCloseRestartDlg", "lblRestartConfirmDlgDone"], "page": "restartProductConfirmDialog", "action": "show", "type": "control" }
				]
			},
			{"sender": "importSettingsForm", "event": "onsettingsupload", "type": "control", "receivers": [
					{ "id": "importSettingsForm", "page": "importSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "uploadSettingsQuery", "type": "query", "action": "uploadData" }
				]
			},
			{ "sender": "uploadSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "importSettingsForm", "page": "importSettingsDialog", "action": ["hideLoading", "setUploadeFinished"], "type": "control" }
				]
			},
			{ "sender": "uploadSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "importSettingsForm", "page": "importSettingsDialog", "action": ["hideLoading", "setUploadeFailed"], "type": "control" },
					{ "id": "importSettingsDialog", "page": "importSettingsDialog", "action": "setDialogClass", "args": ["errorMessage"], "type": "control" },
				]
			},
			{"sender": "miscSettingsPreviewImportExport", "event": "onexportsettings", "type": "control", "receivers": [
					{ "id": "exportSettingsDialog", "page": "exportSettingsDialog", "action": "showDialog", "type": "page" }
				]
			},
			{"sender": "exportSettingsForm", "event": "onsettingsload", "type": "control", "receivers": [
					{"id": "downloadSettingsQuery", "type": "query", "action": "loadFile"}
				]
			},
			{ "sender": "PerformanceEditForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "PerformanceEditDialog", "page": "PerformanceEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "HeaderMarksEditForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "HeaderMarksEditDialog", "page": "HeaderMarksEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			
			{ "sender": "PlaceholderEditForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": ["PerformanceEditForm","HeaderMarksEditForm","FailureActionEditForm","PlaceholderEditForm"], "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "setProtectionMiscSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setProtectionMiscSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "PerformanceEditDialog", "page": "PerformanceEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "HeaderMarksEditDialog", "page": "HeaderMarksEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getProtectionMiscSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "setProtectionMiscSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "PerformanceEditForm", "page": "PerformanceEditDialog", "action": "applyError", "type": "control" },
					{ "id": "HeaderMarksEditForm", "page": "HeaderMarksEditDialog", "action": "applyError", "type": "control" },
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "applyError", "type": "control"}
			]
			},
			{ "sender": "setProtectionMiscSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "PerformanceEditForm", "page": "PerformanceEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "HeaderMarksEditForm", "page": "HeaderMarksEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "setProtectionMiscSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "PerformanceEditForm", "page": "PerformanceEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "HeaderMarksEditForm", "page": "HeaderMarksEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "PlaceholderEditDialog", "page": "PlaceholderEditDialog", "action": "hideLoading", "type": "control" }
			]
			},
			
			{"sender": "pnlSettingsLDAP", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsLDAP"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsLDAP" ] },
					{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getLdapSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "ldapBwAvailablePreview", "page": "mainPage", "action": ["disable", "setStatusNotAvailable"], "type": "control" },
				]
			},
			{ "sender": "getLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "ldapCommonSettingsPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "ldapAccessSettingsForm", "page": "ldapAccessSettingsDialog", "action": "setDefault", "type": "control" }
				]
			},
			{ "sender": "ldapCommonSettingsPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "ldapTypeSettingsDialog", "page": "ldapTypeSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapTypeSettingsForm", "page": "ldapTypeSettingsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "ldapSettingsTimeoutPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "ldapTypeSettingsDialog", "page": "ldapTypeSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapTypeSettingsForm", "page": "ldapTypeSettingsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "btnDelete_LdapServer", "event": "onclick", "type": "control", "receivers": [
					{ "id": "ldapServersList", "action": "deleteServers", "type": "control" }
				]
			},
			{ "sender": "btnCreate_LdapServer", "event": "onclick", "type": "control", "receivers": [
					{ "id": "ldapCnnAvailablePreview", "action": "createLdapServer", "type": "control" }
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "oncreateldapserver", "type": "control", "receivers": [
					{ "id": "createLdapServerDialog", "page": "createLdapServerDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "setData", "type": "control" },
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "onclick", "type": "control", "receivers": [
					{ "id": "ldapCnnStatusDialog", "page": "ldapCnnStatusDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapCnnStatusForm", "page": "ldapCnnStatusDialog", "action": "setData", "type": "control" },
				]
			},
			{ "sender": "createLdapServerDialog", "event": "onshow", "type": "control", "receivers": [
					{ "id": "createLdapServerWizard", "page": "createLdapServerDialog", "action": "showStepById", "args": ["pnlWizardConnection"] },
					{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "setWizardMode", "type": "control" },
					{ "id": "ldapWizardAccessForm", "page": "createLdapServerDialog", "action": "setWizardMode", "type": "control" }
				]
			},
			{ "sender": "ldapWizardConnectionForm", "event": "onwizardnext", "type": "control", "receivers": [
					{ "id": "ldapWizardAccessForm", "page": "createLdapServerDialog", "action": "hideError", "type": "control" },
					{ "id": "ldapWizardAccessForm", "page": "createLdapServerDialog", "action": "setData", "type": "control" }
				]
			},
				{ "sender": "ldapWizardConnectionForm", "event": "onchecksettings", "type": "control", "receivers": [
						{ "id": "checkLdapWizardSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "checkLdapWizardSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "setStatusLoading", "type": "control" }
					]
				},
				{ "sender": "checkLdapWizardSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "setStatusAvailable", "type": "control" }
					]
				},
				{ "sender": "checkLdapWizardSettingsQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "setStatusNotAvailable", "type": "control" }
					]
				},
			{ "sender": "pnlWizardAccess", "event": "onstepincreased", "type": "control", "receivers": [
					{ "id": "ldapWizardConnectionForm", "page": "createLdapServerDialog", "action": "onWizardNext", "type": "control" },
				]
			},
			{ "sender": "createLdapServerWizard", "event": "onfinish", "type": "control", "receivers": [
					{ "id": "ldapWizardAccessForm", "action": "onFinish", "page": "createLdapServerDialog", "type": "control"}
				]
			},
			{ "sender": "ldapWizardAccessForm", "event": "onaddldapserver", "type": "control", "receivers": [
					{ "id": "ldapServersList", "action": "addLdapServer", "type": "control" },
					{ "id": "ldapWizardAccessForm", "action": "showLoading", "page": "createLdapServerDialog", "type": "control"},
				]
			},
			{ "sender": "ldapServersList", "event": "ondeleteservers", "type": "control", "receivers": [
					{ "id": "deleteLdapServerQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ldapServersList", "event": "onaddserver", "type": "control", "receivers": [
					{ "id": "addLdapServerQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ldapServersList", "event": "toggleservers", "type": "control", "receivers": [
					{ "id": "toggleServersQuery", "action": "loadData", "type": "query" }
				]
			},
				{ "sender": ["addLdapServerQuery", "deleteLdapServerQuery", "toggleServersQuery"], "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "ldapWizardAccessForm", "action": "hideLoading", "page": "createLdapServerDialog", "type": "control"},
						{ "id": "createLdapServerDialog", "page": "createLdapServerDialog", "action": "closeDialog", "type": "page" },
						{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "showLoading", "type": "control" },
						{ "id": "getLdapSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": ["addLdapServerQuery", "deleteLdapServerQuery", "toggleServersQuery"], "event": "onerror", "type": "query", "receivers": [
						{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "ldapWizardAccessForm", "action": "hideLoading", "page": "createLdapServerDialog", "type": "control"},
						{ "id": "ldapWizardAccessForm", "action": "applyError", "page": "createLdapServerDialog", "type": "control"},
						{ "id": "getLdapSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
			{ "sender": "ldapServersList", "event": "oneditldapcnnsettings", "type": "control", "receivers": [
					{ "id": "ldapCnnSettingsDialog", "page": "ldapCnnSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "ldapServersList", "event": "oneditldapaccesssettings", "type": "control", "receivers": [
					{ "id": "ldapAccessSettingsDialog", "page": "ldapAccessSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ldapAccessSettingsForm", "page": "ldapAccessSettingsDialog", "action": "setData", "type": "control" }
				]
			},
	 		{"sender": "ldapBwAvailablePreview", "event": "onclick", "type": "control", "receivers": [
					{ "id": "usersBWListsEditDialog", "page": "usersBWListsEditDialog", "action": "showDialog", "type": "page" }
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "onhidepriview", "type": "control", "receivers": [
					{ "id": ["ldapServersList", "LdapServersTopToolbar", "ldapBWListsSettings" ], "action": "hide", "type": "control" },
					{ "id": "ldapSettingsTimeoutPreview", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "onshowcustompriview", "type": "control", "receivers": [
					{ "id": ["ldapCnnAvailablePreview","LdapGridWrap","ldapBWListsSettings" ], "action": "hide", "type": "control" },
					{ "id": "ldapSettingsTimeoutPreview", "action": "setInvisible", "type": "control" }
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "onshowpriview", "type": "control", "receivers": [
					{ "id": "ldapBWListsSettings", "action": "hide", "type": "control" },
					{ "id": [ "ldapServersList", "LdapServersTopToolbar", "ldapBWListsSettings" ], "action": "show", "type": "control" },
					{ "id": "ldapSettingsTimeoutPreview", "action": "setVisible", "type": "control" }
				]
			},
			{ "sender": "ldapCnnAvailablePreview", "event": "ontestconnection", "type": "control", "receivers": [
					{ "id": "testLdapSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "testLdapSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ldapCnnAvailablePreview", "page": "mainPage", "action": ["disable", "setStatusLoading"], "type": "control" },
					{ "id": "ldapBwAvailablePreview", "page": "mainPage", "action": ["disable", "setStatusLoading"], "type": "control" },
				]
			},
			{ "sender": "testLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ldapCnnAvailablePreview", "page": "mainPage", "action": ["enable", "setStatus"], "type": "control" },
					{ "id": "ldapBwAvailablePreview", "page": "mainPage", "action": ["enable", "setStatus"], "type": "control" }
			]
			},
			{ "sender": "testLdapSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ldapCnnAvailablePreview", "page": "mainPage", "action": ["enable", "setStatusError"], "type": "control" },
					{ "id": "ldapBwAvailablePreview", "page": "mainPage", "action": ["disable", "setStatusError"], "type": "control" }
			]
			},
			{ "sender": "saveLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "ldapServersList", "action": "resetData", "type": "control" },
					{ "id": "getLdapSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "ldapCnnSettingsForm", "event": "onchecksettings", "type": "control", "receivers": [
					{ "id": "checkLdapSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "checkLdapSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "setStatusLoading", "type": "control" }
				]
			},
			{ "sender": "checkLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "setStatusAvailable", "type": "control" }
				]
			},
			{ "sender": "checkLdapSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "setStatusNotAvailable", "type": "control" }
				]
			},
			
			{ "sender": "LdapServersTopToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": "btnCreate_LdapServer", "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": "btnDelete_LdapServer", "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "LdapServersTopToolbar", "event": ["onsingleitemaction", "onmultipleitemsaction"], "type": "control", "receivers": [
					{ "id": ["btnCreate_LdapServer", "btnDelete_LdapServer"], "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "ldapServersList", "event": "onrowselected", "type": "control", "receivers": [
					{ "id": "LdapServersTopToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" }
				]
			},
			{ "sender": ["ldapTypeSettingsForm","ldapCnnSettingsForm", "ldapAccessSettingsForm"], "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveLdapSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveLdapSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ldapTypeSettingsDialog", "page": "ldapTypeSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "ldapCnnSettingsDialog", "page": "ldapCnnSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "ldapAccessSettingsDialog", "page": "ldapAccessSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "showLoading", "type": "control" },
					{ "id": "getLdapSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "saveLdapSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "pnlSettingsLdapContent", "page": "mainPage", "action": "hideLoading", "type": "control" },
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "ldapAccessSettingsDialog", "page": "ldapCnnSettings", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "saveLdapSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ldapTypeSettingsForm", "page": "ldapTypeSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "ldapAccessSettingsForm", "page": "ldapAccessSettingsDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "saveLdapSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ldapTypeSettingsDialog", "page": "ldapTypeSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "ldapCnnSettingsForm", "page": "ldapCnnSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "ldapAccessSettingsForm", "page": "ldapAccessSettingsDialog", "action": "hideLoading", "type": "control" }
			]
			},
	
			{ "sender": "pnlSettingsNotifications", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsNotifications"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsNotifications" ] },
				]
			},
			{"sender": "pnlNotificationsSettingsContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "getNotificationSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getNotifAppSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getNotificationLicenserSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getNotificationBackupSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getNotificationSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "pnlNotificationsSettingsContent", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			{ "sender": ["getNotificationSettingsQuery","getNotifAppSettingsQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsNotifications", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": ["getNotificationSettingsQuery","getNotifAppSettingsQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsNotifications", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getNotifAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "notificationSenderSettingsPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyAppSettings", "type": "control" }
				]
			},
			
			{ "sender": "setNotifAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "getNotifAppSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "notificationEmailEditDialog", "page": "notificationEmailEditDialog", "action": "closeDialog", "type": "page" }
				]
			},
			{ "sender": "saveNotificationSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "getNotificationSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "closeDialog", "type": "page" }
				]
			},
			{ "sender": "setNotificationLicenserSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "getNotificationLicenserSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setNotificationBackupSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "getNotificationBackupSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setNotifAppSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "notificationEmailEditForm", "page": "notificationEmailEditDialog", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": ["saveNotificationSettingsQuery", "setNotificationLicenserSettingsQuery", "setNotificationBackupSettingsQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "pnlNotificationsSettingsContent", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "setNotifAppSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "notificationEmailEditForm", "page": "notificationEmailEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": ["notification1", "notification2", "notification3", "notification4", "notification5", "notification6", "notification7", "notification8", "notification9","notification14", "notification15", "notification16", "notification17", "notification18" ], "event": "onsettingenable", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setNotifictionEnabled", "type": "control" },
					{ "id": "pnlNotificationsSettingsContent", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": ["notification1", "notification2", "notification3", "notification4", "notification5", "notification6", "notification7", "notification8", "notification9","notification14", "notification15", "notification16", "notification17", "notification18" ], "event": "onsettingdisable", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setNotifictionDisabled", "type": "control" },
					{ "id": "pnlNotificationsSettingsContent", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "notificationSenderSettingsPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "notificationEmailEditForm", "page": "notificationEmailEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEmailEditDialog", "page": "notificationEmailEditDialog", "action": "showDialog", "type": "page" }
			]
			},
			{ "sender": "notificationLicenseAboutToExpireDaysSettingsPreview", "event": "onvaluechange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "mainPage", "action": "focusOptions", "type": "control" },
					{ "id": "notification6Preview", "page": "mainPage", "action": "fireChangeEvent", "args": ["onchangetext"], "type": "control" }
				]
			},
			{ "sender": "notificationLicenseAboutToExpireDaysSettingsPreview", "event": "onoptionschange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setOptions", "type": "control" }
				]
			},
			{ "sender": "notificationPersonalBackupScheduleSettingsPreview", "event": "onvaluechange", "type": "control", "receivers": [
					{ "id": "notification17Preview", "page": "mainPage", "action": "fireChangeEvent", "args": ["onchangetext"], "type": "control" }
				]
			},
			{ "sender": "notificationPersonalBackupScheduleSettingsPreview", "event": "onschedulechange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "mainPage", "action": "focusSchedule", "type": "control" },
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setSchedule", "type": "control" },
				]
			},
			{ "sender": "notificationPersonalBackupScheduleSettingsPreview", "event": "onexcludeemailschange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "mainPage", "action": "focusExcluded", "type": "control" },
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setExcluded", "type": "control" }
				]
			},
			{ "sender": "notification6Preview", "event": "onchangetext", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "notificationLicenseAboutToExpireDaysSettingsPreview", "page": "mainPage", "action": "fireChangeEvent", "args": ["onoptionschange"], "type": "control" }
				]
			},
			{ "sender": "notification17Preview", "event": "onchangetext", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "notificationPersonalBackupScheduleSettingsPreview", "page": "mainPage", "action": "fireChangeEvent", "args": ["onschedulechange"], "type": "control" },
					{ "id": "notificationPersonalBackupScheduleSettingsPreview", "page": "mainPage", "action": "fireChangeEvent", "args": ["onexcludeemailschange"], "type": "control" }
				]
			},
			{ "sender": ["notification4Preview", "notification5Preview", "notification7Preview", "notification8Preview",
						"notification9Preview", "notification10Preview", "notification11Preview", "notification12Preview", "notification13Preview", "notification15Preview", "notification16Preview" , "notification17Preview"
						], "event": "onchangetext", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" }
			]
			},
			{ "sender": ["notification1Preview", "notification2Preview", "notification18Preview"], "event": ["onchangeoutdatedtext", "onchangeobsoletetext"], "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" }
			]
			},
			{ "sender": "notification3Preview", "event": ["onchangetext1", "onchangetext2"], "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" }
			]
			},
			{ "sender": "notification14Preview", "event": ["onchangetext1", "onchangetext2"], "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "setData", "type": "control" },
					{ "id": "notificationEditDialog", "page": "notificationEditDialog", "action": "showDialog", "type": "page" }
			]
			},
			{ "sender": "notificationEditForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "saveNotificationSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "notificationEditForm", "event": "onlicenseexpiressoondayschange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "setNotificationLicenserSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "notificationEditForm", "event": "onbackupdigestchange", "type": "control", "receivers": [
					{ "id": "notificationEditForm", "page": "notificationEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "setNotificationBackupSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "notificationEmailEditForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "notificationEmailEditForm", "page": "notificationEmailEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "setNotifAppSettingsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "getNotificationLicenserSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "NotificationsLicenserSettings", "action": "applyData", "type": "model" }
				]
			},
			{ "sender": "getNotificationBackupSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "NotificationsBackupSettings", "action": "applyData", "type": "model" }
				]
			},
	
			{ "sender": "pnlSettingsProtection", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsProtection"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsProtection" ] },
				]
			},
			{ "sender": "pnlProtectionSettingsContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "dashboardKtQuery", "action": "dropCancelLoading", "type": "query" },
					{ "id": "ksnProtectionSettings", "action": "disable", "type": "control" },
					{ "id": "getProtectionSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getKsnAppSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getKataQuarantineSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getAsQuarantineSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getProtectionSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyProtectionState", "type": "control" },
					{ "id": "avProtectionPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "cfProtectionPreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyUseDnsEnabled", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyKataIntegrationEnabled", "type": "control" },
					{ "id": "asQuarantineSettings", "page": "mainPage", "action": "refreshTitle", "type": "control" }
				]
			},
			{ "sender": "getProtectionSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "getProtectionSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getKataQuarantineSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "kataIntegrationPreview", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "getKataQuarantineSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "getKataQuarantineSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "getAsQuarantineSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "asQuarantinePreview", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "getAsQuarantineSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": "getAsQuarantineSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "asQuarantinePreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "asQuarantineEditDialog", "page": "asQuarantineEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "asQuarantineEditForm", "page": "asQuarantineEditDialog", "action": "setData", "type": "control" }
				]
			},
				{ "sender": "asQuarantinePreview", "event": "onsettingschange", "type": "control", "receivers": [
						{ "id": "asQuarantineEditDialog", "page": "asQuarantineEditDialog", "action": "showDialog", "type": "page" },
						{ "id": "asQuarantineEditForm", "page": "asQuarantineEditDialog", "action": "setData", "type": "control" }
					]
				},
				{"sender": "asQuarantineEditForm", "event": "onformsubmit", "type": "control", "receivers": [
						{ "id": "setAsQuarantineSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
			
				{ "sender": "setAsQuarantineSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "asQuarantineEditDialog", "page": "asQuarantineEditDialog", "action": "closeDialog", "type": "page" },
						{ "id": "getAsQuarantineSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "setAsQuarantineSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "showLoading", "type": "control" },
						{ "id": "asQuarantineEditForm", "page": "asQuarantineEditDialog", "action": "showLoading", "type": "control" }
					]
				},
				{ "sender": "setAsQuarantineSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "asQuarantineEditForm", "page": "asQuarantineEditDialog", "action": "hideLoading", "type": "control" }
					]
				},
				{ "sender": "setAsQuarantineSettingsQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "asQuarantineEditForm", "page": "asQuarantineEditDialog", "action": "applyError", "type": "control" }
					]
				},
			{ "sender": "kataIntegrationPreview", "event": "onshowktstatus", "type": "control", "receivers": [
					{ "id": "kataIntegrationStatusDialog", "page": "kataIntegrationStatusDialog", "action": "showDialog", "type": "page" },
					{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "setData", "type": "control" }
				]
			},
				{ "sender": "kataIntegrationStatusForm", "event": "onshow", "type": "control", "receivers": [
						{ "id": "getKataIntegrationStatusQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "kataIntegrationStatusForm", "event": "onresetkatacertificate", "type": "control", "receivers": [
						{ "id": "resetKataCertificateQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "resetKataCertificateQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "getKataIntegrationStatusQuery", "action": "loadData", "type": "query" }
				]
				},
				{ "sender": "resetKataCertificateQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "hideLoading", "type": "control" },
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "applyError", "type": "query" }
				]
				},
				{ "sender": "resetKataCertificateQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "showLoading", "type": "control" }
				]
				},
				{ "sender": "getKataIntegrationStatusQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "hideLoading", "type": "control" }
				]
				},
				{ "sender": "getKataIntegrationStatusQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "showLoading", "type": "control" }
				]
				},
				{ "sender": "getKataIntegrationStatusQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "setData", "type": "control" }
				]
				},
				{ "sender": "getKataIntegrationStatusQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "kataIntegrationStatusForm", "page": "kataIntegrationStatusDialog", "action": "applyError", "type": "control" }
				]
				},
				{ "sender": "kataIntegrationPreview", "event": "onsettingschange", "type": "control", "receivers": [
						{ "id": "kataIntegrationEditDialog", "page": "kataIntegrationEditDialog", "action": "showDialog", "type": "page" },
						{ "id": "kataIntegrationEditForm", "page": "kataIntegrationEditDialog", "action": "setData", "type": "control" }
					]
				},
				{"sender": "kataIntegrationEditForm", "event": "onformsubmit", "type": "control", "receivers": [
						{ "id": "setKataQuarantineSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
			
				{ "sender": "setKataQuarantineSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
						{ "id": "kataIntegrationEditDialog", "page": "kataIntegrationEditDialog", "action": "closeDialog", "type": "page" },
						{ "id": "getKataQuarantineSettingsQuery", "action": "loadData", "type": "query" }
					]
				},
				{ "sender": "setKataQuarantineSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
						{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "showLoading", "type": "control" },
						{ "id": "kataIntegrationEditForm", "page": "kataIntegrationEditDialog", "action": "showLoading", "type": "control" }
					]
				},
				{ "sender": "setKataQuarantineSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
						{ "id": "pnlSettingsProtection", "page": "mainPage", "action": "hideLoading", "type": "control" },
						{ "id": "kataIntegrationEditForm", "page": "kataIntegrationEditDialog", "action": "hideLoading", "type": "control" }
					]
				},
				{ "sender": "setKataQuarantineSettingsQuery", "event": "onerror", "type": "query", "receivers": [
						{ "id": "kataIntegrationEditForm", "page": "kataIntegrationEditDialog", "action": "applyError", "type": "control" }
					]
				},
			{ "sender": "afProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "afProtectionEditDialog", "page": "afProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "afProtectionEditForm", "page": "afProtectionEditDialog", "action": "setData", "type": "control" }
				]
			},
			{"sender": "avProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "avProtectionEditDialog", "page": "avProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "avProtectionEditForm", "page": "avProtectionEditDialog", "action": "setData", "type": "control" }
			]
			},
			{"sender": "cfProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "cfProtectionEditDialog", "page": "cfProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "cfProtectionEditForm", "page": "cfProtectionEditDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "asProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "asProtectionEditDialog", "page": "asProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "asProtectionEditForm", "page": "asProtectionEditDialog", "action": "setData", "type": "control" }
			]
			},
			{ "sender": "afProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "afProtectionEditDialog", "page": "afProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "afProtectionEditForm", "page": "afProtectionEditDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "blProtectionPreview", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "blProtectionEditDialog", "page": "blProtectionEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "blProtectionEditForm", "page": "blProtectionEditDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "ksnProtectionPreview1", "event": "onsettingschange", "type": "control", "receivers": [
					{ "id": "ksnSettingsDialog", "page": "ksnSettingsDialog", "action": "showDialog", "type": "page" },
					{ "id": "ksnSettingsEditForm", "page": "ksnSettingsDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "asProtectionPreview", "event": "ondnsblchange", "type": "control", "receivers": [
					{ "id": "settingsDnsblEditDialog", "page": "settingsDnsblEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "settingsDnsblEditForm", "page": "settingsDnsblEditDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "asProtectionPreview", "event": "onsurblchange", "type": "control", "receivers": [
					{ "id": "settingsSurblEditDialog", "page": "settingsSurblEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "settingsSurblEditForm", "page": "settingsSurblEditDialog", "action": "setData", "type": "control" }
				]
			},
					
			{"sender": ["avProtectionSettings", "asProtectionSettings", "asQuarantineSettings", "cfProtectionSettings", "afProtectionSettings", "kataIntegrationSettings"], "event": ["onsettingenable","onsettingdisable"], "type": "control", "receivers": [
					{ "id": "setProtectionSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "ksnLicenseAcceptForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "setKsnAppSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{"sender": "ksnLicenseAcceptForm", "event": "onconfigurationfileupload", "type": "control", "receivers": [
					{ "id": "uploadKpsnConfigQuery", "type": "query", "action": "uploadData" }
				]
			},
			{ "sender": "uploadKpsnConfigQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "doSubmitForm", "type": "control" }
				]
			},
			{ "sender": "uploadKpsnConfigQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "hideLoading", "type": "control" },
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "uploadKpsnConfigQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "setKsnAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnLicenseDialog", "page": "ksnLicenseDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getKsnAppSettingsQuery", "action": "loadData", "type": "query" },
					{ "id": "getProtectionSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setKsnAppSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "setKsnAppSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "setKsnAppSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{"sender": ["avProtectionEditForm", "cfProtectionEditForm", "settingsDnsblEditForm", "settingsSurblEditForm", "asProtectionEditForm", "afProtectionEditForm", "ksnSettingsEditForm", "blProtectionEditForm"], "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "setProtectionSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "setProtectionSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnSettingsDialog", "page": "ksnSettingsDialog", "action": "closeDialog", "type": "page" },
					{ "id": "avProtectionEditDialog", "page": "avProtectionEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "cfProtectionEditDialog", "page": "cfProtectionEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "asProtectionEditDialog", "page": "asProtectionEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "afProtectionEditDialog", "page": "afProtectionEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "settingsDnsblEditDialog", "page": "settingsDnsblEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "settingsSurblEditDialog", "page": "settingsSurblEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "blProtectionEditDialog", "page": "blProtectionEditDialog", "action": "closeDialog", "type": "page" },
					{ "id": "getProtectionSettingsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "setProtectionSettingsQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "ksnSettingsEditForm", "page": "ksnSettingsDialog", "action": "showLoading", "type": "control" },
					{ "id": "avProtectionEditForm", "page": "avProtectionEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "cfProtectionEditForm", "page": "cfProtectionEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "settingsDnsblEditForm", "page": "settingsDnsblEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "settingsSurblEditForm", "page": "settingsSurblEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "asProtectionEditForm", "page": "asProtectionEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "blProtectionEditForm", "page": "blProtectionEditDialog", "action": "showLoading", "type": "control" },
					{ "id": "afProtectionEditForm", "page": "afProtectionEditDialog", "action": "showLoading", "type": "control" }
					
				]
			},
			{ "sender": "setProtectionSettingsQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "ksnSettingsEditForm", "page": "ksnSettingsDialog", "action": "hideLoading", "type": "control" },
					{ "id": "avProtectionEditForm", "page": "avProtectionEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "cfProtectionEditForm", "page": "cfProtectionEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "settingsDnsblEditForm", "page": "settingsDnsblEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "settingsSurblEditForm", "page": "settingsSurblEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "asProtectionEditForm", "page": "asProtectionEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "blProtectionEditForm", "page": "blProtectionEditDialog", "action": "hideLoading", "type": "control" },
					{ "id": "afProtectionEditForm", "page": "afProtectionEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "setProtectionSettingsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "ksnSettingsEditForm", "page": "ksnSettingsDialog", "action": "applyError", "type": "control" },
					{ "id": "avProtectionEditForm", "page": "avProtectionEditDialog", "action": "applyError", "type": "control" },
					{ "id": "cfProtectionEditForm", "page": "cfProtectionEditDialog", "action": "applyError", "type": "control" },
					{ "id": "settingsDnsblEditForm", "page": "settingsDnsblEditDialog", "action": "applyError", "type": "control" },
					{ "id": "settingsSurblEditForm", "page": "settingsSurblEditDialog", "action": "applyError", "type": "control" },
					{ "id": "asProtectionEditForm", "page": "asProtectionEditDialog", "action": "applyError", "type": "control" },
					{ "id": "blProtectionEditForm", "page": "blProtectionEditDialog", "action": "applyError", "type": "control" },
					{ "id": "afProtectionEditForm", "page": "afProtectionEditDialog", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "getKsnAppSettingsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnProtectionSettings", "action": "enable", "type": "control" },
					{ "id": "ksnProtectionSettings", "action": "applyValue", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyAppSettings", "type": "control" },
					{ "id": "contextChangeAdapter", "page": "mainPage", "action": "applyKsnParticipationActivated", "type": "control" }
				]
			},
			{ "sender": "getKsnLicenseTextQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "setLicenseText" }
				]
			},
			{ "sender": "getKsnStatLicenseTextQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "setStatLicenseText" }
				]
			},
			{ "sender": "pnlSettingsDisclaimers", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsSettingsDisclaimers"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "pnlSettingsDisclaimers" ] },
				]
			},
			{ "sender": "btnBackToDisclaimersList", "event": "onclick", "type": "control", "receivers": [
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "trySetInvisible", "type": "control" }
				]
			},
			{ "sender": "pnlSettingsDisclaimersContent", "event": "onshow", "type": "control", "receivers": [
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "getDisclaimersListQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "getDisclaimersListQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "pnlSettingsDisclaimersContent", "action": "showLoading", "type": "control" }
				] 
			},
			{ "sender": "getDisclaimersListQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "pnlSettingsDisclaimersContent", "action": "hideLoading", "type": "control" }
				] 
			},
			{ "sender": "getDisclaimersListQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "applyValue", "type": "control" }
				] 
			},
			{ "sender": "DisclaimersGridControl", "event": "onrowenter", "type": "control", "receivers": [
					{ "id": "DisclaimersGridControl", "page": "mainPage", "action": "showLoading", "type": "control", "args": ["DisclaimersGridControl.onrowenter"] },					
					{ "id": "getDisclaimerQuery", "action": "loadData", "type": "query" },
					{ "id": "DisclaimerSettingsEditor", "page": "mainPage", "action": "setMode", "args": ["edit"], "type": "control" }
				]
			},
			{ "sender": "getDisclaimerQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "getDisclaimerQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "getDisclaimerQuery", "event": "onsuccess", "type": "query", "receivers":
				[
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "show", "type": "control" },
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "oneditorclosereset", "type": "control", "receivers": [
					
					{ "id": "DisclaimersGridControl", "action": "resetData", "type": "control" },
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "getDisclaimersListQuery", "action": "loadData", "type": "query" },
				]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "oneditorclose", "type": "control", "receivers": [
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "DisclaimersGridControl", "action": "resetSelection", "type": "control" },
					{ "id": "topNav", "page": "mainPage", "action": "forcePanelShow"}
				]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "onsettingssave", "type": "control", "receivers": [
					{ "id": "DisclaimerSettingsSaveQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "onsettingssaveclose", "type": "control", "receivers": [
					{ "id": "DisclaimerSettingsSaveCloseQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "btnCreate_Disclaimers", "event": "onclick", "type": "control", "receivers": [
					{ "id": "DisclaimerSettingDefaultLoadQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "btnDelete_Disclaimers", "event": "onclick", "type": "control", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "deleteRows", "type": "control" }
				]
			},
			{ "sender": "DisclaimersGridControl", "event": "onrowsdelete", "type": "control", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "showLoading", "type": "control" },
					{ "id": "DeleteDisclaimerQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "DeleteDisclaimerQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "hideLoading", "type": "control" },
					{ "id": "DisclaimersGridControl", "action": "resetData", "type": "control" },
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "getDisclaimersListQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "DeleteDisclaimerQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "page": "mainPage", "action": "applyError", "type": "control" },
					{ "id": "DisclaimersGridControl", "action": "hideLoading", "type": "control" },
					{ "id": "DisclaimersGridControl", "action": "resetData", "type": "control" },
					{ "id": "getDisclaimersListQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "DisclaimerSettingDefaultLoadQuery", "event": "onsuccess", "type": "query", "receivers":
				[
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "show", "type": "control" },
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setInvisible", "type": "control" },
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "applyValue", "type": "control" }
				]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "ongetnewdisclaimerid", "type": "control", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "getNewDisclaimerName", "type": "control" }
				]
			},
			
			{ "sender": "disclaimerSettingsEditor", "event": "onsetnewdisclaimername", "type": "control", "receivers": [
					{ "id": "disclaimersSettingsForm", "action": "setNewDisclaimerName", "type": "control" }
			]
			},
			{ "sender": "disclaimerSettingsEditor", "event": "onnewsettingssave", "type": "control", "receivers": [
					{ "id": "DisclaimerNewSettingsSaveQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": ["DisclaimerSettingsSaveQuery", "DisclaimerNewSettingsSaveQuery","DisclaimerSettingsSaveCloseQuery"], "event": "onerror", "type": "query", "receivers": [
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": [ "DisclaimerNewSettingsSaveQuery", "DisclaimerSettingsSaveCloseQuery"], "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "DisclaimersGridControl", "action": "resetData", "type": "control" },
					{ "id": "DisclaimersSearchPage", "page": "mainPage", "action": "setVisible", "type": "control" },
					{ "id": "DisclaimerViewEditPage", "page": "mainPage", "action": "hide", "type": "control" },
					{ "id": "topNav", "page": "mainPage", "action": "forcePanelShow"}
				]
			},
			{ "sender": ["DisclaimerSettingsSaveQuery","DisclaimerNewSettingsSaveQuery","DisclaimerSettingsSaveCloseQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": ["DisclaimerSettingsSaveQuery","DisclaimerNewSettingsSaveQuery","DisclaimerSettingsSaveCloseQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "disclaimerSettingsEditor", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			
			{ "sender": "DisclaimersListToolbar", "event": "onactionsdisabled", "type": "control", "receivers": [
					{ "id": "btnCreate_Disclaimers", "page": "mainPage", "action": "enable", "type": "control" },
					{ "id": "btnDelete_Disclaimers", "page": "mainPage", "action": "disable", "type": "control" }
			]
			},
			{ "sender": "DisclaimersListToolbar", "event": "onsingleitemaction", "type": "control", "receivers": [
					{ "id": ["btnCreate_Disclaimers", "btnDelete_Disclaimers"], "page": "mainPage", "action": "enable", "type": "control" }
			]
			},
			{ "sender": "DisclaimersListToolbar", "event": "onmultipleitemsaction", "type": "control", "receivers": [
					{ "id": ["btnCreate_Disclaimers", "btnDelete_Disclaimers"], "page": "mainPage", "action": "enable", "type": "control" }
				]
			},
			{ "sender": "DisclaimersGridControl", "event": "onrowselected", "type": "control", "receivers": [
					{ "id": "DisclaimersListToolbar", "action": "toggleButtons", "type": "control", "page": "mainPage" }
				]
			},
		
		
			{ "sender": "baseUpdateSettings", "event": "onupdatestart", "type": "control", "receivers": [
					{ "id": "baseUpdateSettings", "page": "mainPage", "action": "start", "type": "control" },
					{ "id": "StartUpdaterQuery", "action": "loadData", "type": "query" }
			]
			},
			
			{ "sender": "StartUpdaterQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "baseUpdateSettings", "page": "mainPage", "action": "start", "type": "control" }
				]
			},
			{ "sender": "StartUpdaterQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "baseUpdateSettings", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "StartUpdaterAvsQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "baseUpdateSettings", "page": "mainPage", "action": "applyError", "type": "control" }
			]
			},
			
			{ "sender": "baseUpdateSettings", "event": "ontaskprogress", "type": "control", "receivers": [
					{ "id": "getUpdaterDownloadProgressQuery", "action": "loadData", "type": "query" }
			]
			},
			
			{ "sender": "getUpdaterDownloadProgressQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "baseUpdateStatePreview", "page": "mainPage", "action": "applyValue", "type": "control" },
					{ "id": "baseUpdateSettings", "page": "mainPage", "action": "applyValue", "type": "control" }
			]
			},
			
			{ "sender": "ldapTypeSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "ldapTypeSettingsDialog", "page": "ldapTypeSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "ldapCnnSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "ldapCnnSettingsDialog", "page": "ldapCnnSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			
			
			{ "sender": "ldapAccessSettingsForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "ldapAccessSettingsDialog", "page": "ldapAccessSettingsDialog", "action": "closeDialog", "type": "page" }
			]
			},
			
			{ "sender": "usersBWListsEditForm", "event": "oncancel", "type": "control", "receivers": [
					{ "id": "usersBWListsEditDialog", "page": "usersBWListsEditDialog", "action": "closeDialog", "type": "page" }
			]
			},
			{ "sender": "usersBWListsEditForm", "event": "searchLDAP", "type": "control", "receivers": [
					{ "id": "SearchBWListsLDAPQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "usersBWListsEditForm", "event": "onwildcardvalidate", "type": "control", "receivers": [
					{ "id": "validateLdapBwWildcardQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "validateLdapBwWildcardQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "setWildcardQueryIsValid", "type": "control" }
				]
			},
			{ "sender": "usersBWListsEditForm", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "saveUserBWListsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "usersBWListsEditForm", "event": "onaccountselected", "type": "control", "receivers": [
					{ "id": "loadUserBWListsQuery", "action": "loadData", "type": "query" }
			]
			},
			{ "sender": "SearchBWListsLDAPQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "applySearchResult", "type": "control" }
			]
			},
 			{ "sender": "SearchBWListsLDAPQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "applyError", "type": "control" }
			]
			},
			{ "sender": "loadUserBWListsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "applyListsData", "type": "control" }
			]
			},
			{ "sender": "saveUserBWListsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "applySaveComplete", "type": "control" }
			]
			},
			{ "sender": ["SearchBWListsLDAPQuery", "loadUserBWListsQuery", "saveUserBWListsQuery", "validateLdapBwWildcardQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "showLoading", "type": "control" }
			]
			},
			{ "sender": ["SearchBWListsLDAPQuery", "loadUserBWListsQuery", "saveUserBWListsQuery", "validateLdapBwWildcardQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "hideLoading", "type": "control" }
			]
			},
			{ "sender": "usersBWListsEditForm", "event": "onimportlist", "type": "control", "receivers": [
					{ "id": "addressesAdminImportEditDialog", "page": "addressesAdminImportEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "addressAdminImportEditForm", "page": "addressesAdminImportEditDialog", "action": "setData", "type": "control" }
				]
			},
			{ "sender": "addressAdminImportEditForm", "event": "ontestemails", "type": "control", "receivers": [
					{ "id": "validateAdminImportingEmailQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "validateAdminImportingEmailQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "addressAdminImportEditForm", "page": "addressesAdminImportEditDialog", "action": "applyValidationResult", "type": "control" }
				]
			},
			
			
			{ "sender": "validateAdminImportingEmailQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "addressAdminImportEditForm", "page": "addressesAdminImportEditDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "validateAdminImportingEmailQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "addressAdminImportEditForm", "page": "addressesAdminImportEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "addressAdminImportEditForm", "event": "onok", "type": "control", "receivers": [
					{ "id": "usersBWListsEditForm", "action": "setImportAddresses", "type": "control" }
				]
			},
			{ "sender": "bwListsPagePanel", "event": "onshow", "type": "control", "receivers": [
					{ "id": "PageBreadcrumbs", "action": "setText", "type": "control", "page": "mainPage", "args": ["LabelPageBreadcrumbsPersonalBWLists"] },
					{ "id": "contextChangeAdapter", "action": "setHelpId", "page": "mainPage", "args": [ "bwListsPagePanel" ] },
				]
			},
			{ "sender": "personalBWListsPanel", "event": "searchLDAP", "type": "control", "receivers": [
					{ "id": "searchPersonalBWListsLDAPQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "searchPersonalBWListsLDAPQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "mainPage", "action": "applySearchResult", "type": "control" }
				]
			},
 			{ "sender": "searchPersonalBWListsLDAPQuery", "event": "onerror", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "mainPage", "action": "applyError", "type": "control" }
				]
			},
			{ "sender": "personalBWListsPanel", "event": "onaccountselected", "type": "control", "receivers": [
					{ "id": "loadPersonalBWListsQuery", "action": "loadData", "type": "query" }
				]
			},
			
			{ "sender": "personalBWListsPanel", "event": "onloaduserlists", "type": "control", "receivers": [
					{ "id": "loadPersonalBWListsQuery",  "action": "loadData", "type": "query" }
				]
			},			
			{ "sender": ["loadPersonalBWListsQuery","savePersonalBWListsQuery", "searchPersonalBWListsLDAPQuery"], "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "main", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": ["loadPersonalBWListsQuery","savePersonalBWListsQuery", "searchPersonalBWListsLDAPQuery"], "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "main", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "loadPersonalBWListsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "main", "action": "applyListsData", "type": "control" }
				]
			},
			{ "sender": "personalBWListsPanel", "event": "onformsubmit", "type": "control", "receivers": [
					{ "id": "savePersonalBWListsQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "savePersonalBWListsQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "main", "action": "applySaveComplete", "type": "control" }
				]
			},
			{ "sender": "personalBWListsPanel", "event": "onwildcardvalidate", "type": "control", "receivers": [
					{ "id": "validatePersonalWildcardQuery", "action": "loadData", "type": "query" },
					{ "id": "personalBWListsPanel", "page": "mainPage", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "validatePersonalWildcardQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "mainPage", "action": "setWildcardQueryIsValid", "type": "control" }
				]
			},
			{ "sender": "validatePersonalWildcardQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "personalBWListsPanel", "page": "mainPage", "action": "hideLoading", "type": "control" }
				]
			},
			
			{ "sender": "personalBWListsPanel", "event": "onimportlist", "type": "control", "receivers": [
					{ "id": "addressesPersonalImportEditDialog", "page": "addressesPersonalImportEditDialog", "action": "showDialog", "type": "page" },
					{ "id": "addressPersonalImportEditForm", "page": "addressesPersonalImportEditDialog", "action": "setData", "type": "control" }
				]
			},
			
			{ "sender": "addressPersonalImportEditForm", "event": "ontestemails", "type": "control", "receivers": [
					{ "id": "validatePersonalImportingEmailQuery", "action": "loadData", "type": "query" }
				]
			},
			{ "sender": "validatePersonalImportingEmailQuery", "event": "onsuccess", "type": "query", "receivers": [
					{ "id": "addressPersonalImportEditForm", "page": "addressesPersonalImportEditDialog", "action": "applyValidationResult", "type": "control" }
				]
			},
			
			
			{ "sender": "validatePersonalImportingEmailQuery", "event": "onloadstarted", "type": "query", "receivers": [
					{ "id": "addressPersonalImportEditForm", "page": "addressesPersonalImportEditDialog", "action": "showLoading", "type": "control" }
				]
			},
			{ "sender": "validatePersonalImportingEmailQuery", "event": "onloadcomplete", "type": "query", "receivers": [
					{ "id": "addressPersonalImportEditForm", "page": "addressesPersonalImportEditDialog", "action": "hideLoading", "type": "control" }
				]
			},
			{ "sender": "addressPersonalImportEditForm", "event": "onok", "type": "control", "receivers": [
					{ "id": "personalBWListsPanel", "action": "setImportAddresses", "type": "control" }
				]
			},
		],
	"queries":
		[
			{ "id": "checkSessionQuery", "action": "serverTime" },
			{ "id": "getServerTime", "action": "serverTime", "timeout":60000	},
			{ "id": "updateServerTime", "action": "serverTime" },
			{ "id": "getServerName", "action": "getServerName"	},
			
			{ "id": "signupQuery", "action": "userLogin", 
				"paramsset": { "id": "loginForm", "page": "signupPage"}
			},
			{ "id": "signoutQuery", "action": "userLogout"
			},
			{ "id": "changeAdminPasswordQuery", "action": "changeAdminPassword",
				"paramsset": {"id": "chPasswdForm", "page": "changePasswdDialog" }
			},
			
			{ "id": "DeleteGroupQuery", "action": "deleteGroup",
				"params": { "data": { "id": "RulesGridControl", "action": "getDeletingGroupIds", "page": "mainPage" } }
			},
			
			{ "id": "GroupSettingLoadQuery", "action": "getGroupInfo",
				"params": { "ruleId": { "id": "RulesGridControl", "action": "getSeletedRowsId", "page": "mainPage"} }
			},
			{ "id": "GroupSettingDefaultLoadQuery", "action": "getGroupDefaultSettings"
			},
			{ "id": "GroupSettingsSaveQuery", "action": "setGroupSettings",
				"paramsset": { "id": "GroupSettingsEditor", "action": "getSettings", "page": "mainPage" },
				"params": { "ruleId": { "id": "GroupSettingsEditor", "action": "getGroupId", "page": "mainPage"} }
			},
			{ "id": "GroupSettingsSaveCloseQuery", "action": "setGroupSettings",
				"paramsset": { "id": "GroupSettingsEditor", "action": "getSettings", "page": "mainPage" },
				"params": { "ruleId": { "id": "GroupSettingsEditor", "action": "getGroupId", "page": "mainPage"} }
			},
			{ "id": "GroupNewSettingsSaveQuery", "action": "createGroup",
				"paramsset": { "id": "GroupSettingsEditor", "action": "getSettings", "page": "mainPage" }
			},
			{ "id": "GroupsListLoadQuery", "action": "getAllGroupsInfo"
			},
			
			{ "id": "ValidateFileNameQuery", "action": "checkOptionalRegex",
				"params": { "data": { "id": "groupCFSettingsForm", "action": "getExcludesValue", "page": "mainPage"} }
			},
			{ "id": "getGroupProtectionMiscSettingsQuery", "action": "getScanLogicSettings" },
			{ "id": "getUseDsnSettingsQuery", "action": "getScanLogicSettings" },
			{ "id": "GroupSetActive", "action": "setGroupActiveFlag",
				"paramsset": {  "id": "RulesGridControl", "action": "getActiveChangeData", "page": "mainPage"} 
				
			},
			{ "id": "GroupSetPriority", "action": "setPriorityBefore",
				"paramsset": {  "id": "RulesGridControl", "action": "getPriorityChangeData", "page": "mainPage"} 
			},
			{ "id": "BackupListLoadQuery", "action": "backupQuery",
				"paramsset": { "id": "BackupGridControl", "action": "getFilter", "page": "mainPage" }
			},
			{ "id": "MessageDeleteQuery", "action": "backupDelete",
				"paramsset": {  "id": "BackupGridControl", "action": "getSelectedMessage", "page": "mainPage"} 
			},
			
			{ "id": "MessageDeliverQuery", "action": "deliverLetter",
				"paramsset": {  "id": "BackupGridControl", "action": "getDeliverMessage", "page": "mainPage"} 
			},
			{ "id": "MessageSaveQuery", "action": "downloadLetter",
				"paramsset": {  "id": "BackupGridControl", "action": "getSaveMessage", "page": "mainPage"} 
			},
			{ "id": "SearchLDAPQuery", "action": "searchByLDAPMail",
				"params": { 
					"data":{ "id": "addressEditForm", "action": "getSearchByLDAPData", "page": "addressesEditDialog"},
					"limit":{ "id": "addressEditForm", "action": "getSearchLimitByLDAPData", "page": "addressesEditDialog"}
				}
			},
			{ "id": "isLdapConnectQuery", "action": "testLdapScriptMail" },
			{ "id": "GetLDAPInfoQuery", "action": "getInfoByEntryIdMail",
				"paramsset": { "id": "groupGeneralSettingsForm", "action": "getExternalAccount", "page": "mainPage"}
			},
			{"id": "SearchLDAPQueryAutocomplete", "action": "searchByLDAPMail",
				"params": { "data": { "id": "testLdapSearchForm", "action": "getTerm", "page": "mainPage"} }
			},
			
			{ "id": "ReportsListLoadQuery", "action": "getReportList",
				"paramsset": { "id": "ReportsFilter", "action": "getFilter", "page": "mainPage" }
			},
			
			
			{ "id": "DeleteReportsQuery", "action": "removeReports",
				"paramsset": { "id": "ReportsGridControl", "action": "getSelectedReport", "page": "mainPage"} 
			},
			{ "id": "CreateReportQuery", "action": "createReport",
				"paramsset": { "id": "reportParamsForm", "action": "getReportParams", "page": "reportParamsDialog" }
			},
			{ "id": "ReportsScheduleSettingsQuery", "action": "getReportScheduleSettings"},
			{ "id": "ReportsLocaleListQuery", "action" : "getLocaleList"},
			{ "id": "setReportsScheduleEnabledQuery", "action": "createReport",
				"paramsset": { "id": "ReportsFilter", "action": "getReportParams", "page": "mainPage" }
			},
			{ "id": "DownloadReportQuery", "action": "downloadReport",
				"paramsset": { "id": "ReportsGridControl", "action": "getDownloadReport", "page": "mainPage"} 
			},
			
			{ "id": "validateIpQuery", "action": "checkIp",
				"params": { "data": { "id": "groupGeneralSettingsForm", "action": "getValidatingValue", "page": "mainPage"} }
			},
			{ "id": "validateWildcardQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "groupGeneralSettingsForm", "action": "getValidatingValue", "page": "mainPage"} }
			},
			
			{ "id": "validateLdapBwWildcardQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "usersBWListsEditForm", "action": "getValidatingValue", "page": "usersBWListsEditDialog"} }
			},
			{ "id": "validateImportingIpQuery", "action": "checkIp",
				"params": { "data": { "id": "addressImportEditForm", "action": "getValidationData", "page": "addressesImportEditDialog"} }
			},
			{ "id": "validateImportingEmailQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "addressImportEditForm", "action": "getValidationData", "page": "addressesImportEditDialog"} }
			},
			{ "id": "validatePersonalImportingEmailQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "addressPersonalImportEditForm", "action": "getValidationData", "page": "addressesPersonalImportEditDialog"} }
			},
			{ "id": "validateAdminImportingEmailQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "addressAdminImportEditForm", "action": "getValidationData", "page": "addressesAdminImportEditDialog"} }
			},
			{ "id": "validatePersonalWildcardQuery", "action": "checkWildcardEMailAddress",
				"params": { "data": { "id": "personalBWListsPanel", "action": "getValidatingValue", "page": "mainPage"} }
			},
			{ "id": "getUpdateSettingsQuery", "action": "getUpdaterSettings" },
			{ "id": "saveUpdateSettingsQuery", "action": "setUpdaterSettings",//"model": { "data": "UpdateSettings" }
				"params": {
					"data": { "id": "baseUpdateSourceSettingsForm", "action": "getValueString", "page": "baseUpdateSourceSettingsDialog" }
				}
			},
			{ "id": "saveUpdateScheduleSettingsQuery", "action": "setUpdaterSettings",//"model": { "data": "UpdateSettings" }
				"params": {
					"data": { "id": "baseUpdateScheduleSettingsForm", "action": "getValueString", "page": "baseUpdateScheduleSettingsDialog" }
				}
			},
			{ "id": "saveUpdateAVSettingsQuery", "action": "setUpdaterAvsSettings","model": { "data": "UpdateAVSettings" } },
			{ "id": "saveAppProxySettingsQuery", "action": "setAppSettings", "model": { "data": "AppMiscSettings" } },
			{ "id": "getUpdateProxySettingsQuery", "action": "getAppSettings"},
			{ "id": "saveAppProxySettingsQuery1", "action": "setAppSettings", "model": { "data": "UpdateProxySettings" } },
			{ "id": "toggleProxySettingsQuery", "action": "setAppSettings", "model": { "data": "AppMiscSettings" } },
			
			{ "id": "StartUpdaterQuery", "action": "startUpdater"	},
		
			{ "id": "getUpdaterDownloadProgressQuery", "action": "getUpdaterDownloadProgress","timeout":10000 },
			
			
			
			
			
			{ "id": "GetAppInfoQuery", "action": "appInfo" },
			{ "id": "getNotificationSettingsQuery", "action": "getNotifierSettingsMail" },
			{ "id": "saveNotificationSettingsQuery", "action": "setNotifierSettingsMail", "paramsset": { "id": "notificationEditForm", "page": "notificationEditDialog", "action": "getValueRecursive" } },
			{ "id": "getNotificationLicenserSettingsQuery", "action": "getLicenserSettings" },
			{ "id": "setNotificationLicenserSettingsQuery", "action": "setLicenserSettings", "model": { "data": "NotificationsLicenserSettings" } },
			
			{ "id": "getNotificationBackupSettingsQuery", "action": "getBackupSettings" },
			{ "id": "setNotificationBackupSettingsQuery", "action": "setBackupSettings", "model": { "data": "NotificationsBackupSettings" } },
			{ "id": "getProtectionSettingsQuery", "action": "getScanLogicSettings" },
			{ "id": "setProtectionSettingsQuery", "action": "setScanLogicSettings", "model": { "data": "ProtectionSettings" } },
			{ "id": "getKataQuarantineSettingsQuery", "action": "getKataQuarantineSettings" },
			{ "id": "setKataQuarantineSettingsQuery", "action": "setKataQuarantineSettings", "model": { "data": "KataIntegrationSettings" } }, 
			{ "id": "getKataIntegrationStatusQuery", "action": "getKataConnectionInfo" },
			{ "id": "resetKataCertificateQuery", "action": "resetKataServerCert" },
			{ "id": "getAsQuarantineSettingsQuery", "action": "getAspQuarantineSettings" },
			{ "id": "setAsQuarantineSettingsQuery", "action": "setAspQuarantineSettings", "model": { "data": "asQuarantineSettings" } }, 
			{ "id": "getProtectionMiscSettingsQuery", "action": "getScanLogicSettings" },
			{ "id": "setProtectionMiscSettingsQuery", "action": "setScanLogicSettings", "model": { "data": "ScanLogicSettings" } },
			{ "id": "getAppEmailSettingsQuery", "action": "getAppSettings" },
			{ "id": "setAppEmailSettingsQuery", "action": "setAppSettings","model": { "data": "AppMiscSettings" } },
			
			{ "id": "getBackupSettingsQuery", "action": "getBackupSettings" },
			{ "id": "saveBackupSettingsQuery", "action": "setBackupSettings", "model": { "data": "BackupSettings" } },
			
			{ "id": "getSNMPSettingsQuery", "action": "getSNMPSettings" },
			{ "id": "saveSNMPSettingsQuery", "action": "setSNMPSettings", "model": { "data": "SNMPSettings" } },
			{ "id": "getLdapSettingsQuery", "action": "getLdapSettingsMail" },
			{ "id": "testLdapSettingsQuery", "action": "testLdapScriptMail" },
			
			{ "id": "checkLdapSettingsQuery", "action": "checkLdapServerMail", 
				"paramsset": { "id": "ldapCnnSettingsForm", "action": "getValueRecursive", "page": "ldapCnnSettingsDialog" }
			},
			{ "id": "checkLdapWizardSettingsQuery", "action": "checkLdapServerMail",
				"paramsset": { "id": "ldapWizardConnectionForm", "action": "getValueRecursive", "page": "createLdapServerDialog" }
			},
			
			{ "id": "saveLdapSettingsQuery", "action": "setLdapSettingsMail", "params": {
					"data": { "id": "ldapCommonSettings", "action": "getValueRecursive", "page": "mainPage" }
				}
			},
			{ "id": "addLdapServerQuery", "action": "setLdapSettingsMail", "params": {
					"data": { "id": "ldapCommonSettings", "action": "getValueRecursive", "page": "mainPage" }
				}
			},
			{ "id": "deleteLdapServerQuery", "action": "setLdapSettingsMail", "params": {
					"data": { "id": "ldapCommonSettings", "action": "getValueRecursive", "page": "mainPage" }
				}
			},
			{ "id": "toggleServersQuery", "action": "setLdapSettingsMail", "params": {
					"data": { "id": "ldapCommonSettings", "action": "getValueRecursive", "page": "mainPage" }
				}
			},
			{ "id": "SearchBWListsLDAPQuery", "action": "searchByLDAPMail",
				"params": { 
					"data":{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "getSearchTerm"},
					"limit":{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "getSearchLimit"}
				}
			},
			{ "id": "loadUserBWListsQuery", "action": "getBlackWhiteListSettings",
				"params": { "account":{ "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "getUserAccount"} }
			},
			{ "id": "saveUserBWListsQuery", "action": "setBlackWhiteListSettings",
				"paramsset": { "id": "usersBWListsEditForm", "page": "usersBWListsEditDialog", "action": "getValueRecursive"}
			},
			{ "id": "savePersonalBWListsQuery", "action": "setBlackWhiteListSettings",
				"paramsset": { "id": "personalBWListsPanel",  "action": "getValueRecursive", "page": "mainPage" }
			},
			{ "id": "searchPersonalBWListsLDAPQuery", "action": "searchByLDAPMail",
				"params": { 
					"data":{ "id": "personalBWListsPanel", "page": "mainPage", "action": "getSearchTerm"},
					"limit":{ "id": "personalBWListsPanel", "page": "mainPage", "action": "getSearchLimit"}
				}
			},
			{ "id": "loadPersonalBWListsQuery", "action": "getBlackWhiteListSettings",
				"params": { "account":{ "id": "personalBWListsPanel", "page": "mainPage", "action": "getUserAccount"} }
			},
			{ "id": "getKsnLicenseTextQuery", "action": "getKsnLicenseText", "type": "text", "params": {
					"lang":{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "getLanguage"}
				}
			},
			{ "id": "getKsnStatLicenseTextQuery", "action": "getKsnStatLicenseText", "type": "text", "params": {
					"lang":{ "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "getLanguage"}
				}
			},
			{ "id": "getKsnAppSettingsQuery", "action": "getKsnSettings" },
			{ "id": "uploadKpsnConfigQuery", "action": "uploadKpsnFile" },
			{ "id": "setKsnAppSettingsQuery", "action": "setKsnMode", "paramsset": { "id": "ksnLicenseAcceptForm", "page": "ksnLicenseDialog", "action": "getKsnSettings"} },
			{ "id": "getNotifAppSettingsQuery", "action": "getAppSettings" },
			{ "id": "setNotifAppSettingsQuery", "action": "setAppSettings", "model": { "data": "AppNotificationsSetting" } },
		
			{ "id": "getEventLoggerSettingsQuery", "action": "getEventLoggerSettings" },
			{ "id": "setEventLoggerSettingsQuery", "action": "setEventLoggerSettings", "model": { "data": "EventLoggerSettings" } },
			{ "id": "getDisclaimersListQuery", "action": "getAllDisclaimersInfo" },
			{ "id": "getDisclaimerQuery", "action": "getDisclaimerById",
				"params": { "disclaimerId": { "id": "DisclaimersGridControl", "action": "getSeletedRowsId", "page": "mainPage"} }
			},
			{ "id": "DisclaimerSettingsSaveQuery", "action": "setDisclaimerById",
				"paramsset": { "id": "disclaimerSettingsEditor", "action": "getSettings", "page": "mainPage" },
				"params": { "disclaimerId": { "id": "disclaimerSettingsEditor", "action": "getDisclaimerId", "page": "mainPage"} }
			},
			{ "id": "DisclaimerSettingsSaveCloseQuery", "action": "setDisclaimerById", 
				"paramsset": { "id": "disclaimerSettingsEditor", "action": "getSettings", "page": "mainPage" },
				"params": { "disclaimerId": { "id": "disclaimerSettingsEditor", "action": "getDisclaimerId", "page": "mainPage"} }
			},
			{ "id": "DisclaimerSettingDefaultLoadQuery", "action": "getDefaultDisclaimer" },
			{ "id": "DisclaimerNewSettingsSaveQuery", "action": "createDisclaimer",
				"paramsset": { "id": "disclaimerSettingsEditor", "action": "getSettings", "page": "mainPage" }
			},
			{ "id": "DeleteDisclaimerQuery", "action": "deleteDisclaimer",
				"params": { "data": { "id": "DisclaimersGridControl", "action": "getDeletingDisclaimersIds", "page": "mainPage" } }
			},
			
			
			{ "id": "dashboardStatsQuery", "action": "getStatisticsForTimePeriod", "params": { "data": { "id": "dashboard", "action": "getStatData", "page": "mainPage" } } },
			{ "id": "dashboardAvQuery", "action": "getAvBrief", "timeout": 4000 },
			{ "id": "dashboardAsQuery", "action": "getAsBrief", "timeout": 4000 },
			{ "id": "dashboardApQuery", "action": "getApBrief", "timeout": 4000 },
			{ "id": "dashboardKtQuery", "action": "getKataConnectionInfo", "timeout": 4000 },
			{ "id": "dashboardKtQuarantineStatQuery", "action": "getKataQuarantineStatistics", "timeout": 4000 },
			{ "id": "dashboardKsnQuery", "action": "getKsnStatus", "timeout": 4000 },
			{ "id": "dashboardLdapSettingsQuery", "action": "getLdapSettingsMail", "timeout": 4000 },
			{ "id": "dashboardLdapQuery", "action": "getLdapBriefMail" },
			{ "id": "dashboardBackupQuery", "action": "getBackupBrief", "timeout": 4000 },
			
			
			{ "id": "headerGetLicenseQuery", "action": "getLicenseStatus", "timeout": 4000 },
			{ "id": "getLicensesInfoQuery", "action": "getKeys" },
			{ "id": "getLicenseQuery", "action": "getLicenseStatus" },
			{ "id": "uploadLicenseKeyQuery", "action": "installKey" },
			{ "id": "uploadSettingsQuery", "action": "importSettings" },
			{ "id": "restartProductQuery", "action": "restartProduct" },
			{ "id": "importRestartProductQuery", "action": "restartProduct" },
			{ "id": "revokeLicenseKeyQuery", "action": "revokeKey", "paramsset": { "id": "licensesEditForm", "page": "mainPage", "action": "getDeletingLicense" } },
			{ "id": "activateLicenseKeyQuery", "action": "activateCode", "paramsset": { "id": "activateLicenseKeyForm", "page": "activateLicenseKeyDialog", "action": "getKey" } },
			{ "id": "refreshLicenseQuery", "action": "refreshLicense" },
			{ "id": "dashboardLoadThreatsQuery", "action": "getRecentThreats", "timeout": 30000,  },
			{ "id": "downloadSettingsQuery", "action": "exportAllSettings" },
			{ "id": "signupGetAppSettingsQuery", "action": "getAppSettings" },
			{ "id": "signupGetHelpdeskSettingsQuery", "action": "getLdapSettingsMail" },
			
			{ "id": "getHelpdeskAccSettingsQuery", "action": "getUsersListMail" },
			{ "id": "getHelpdeskSettingsQuery", "action": "getLdapSettingsMail" },
			{ "id": "getHelpdeskBackupSettingsQuery", "action": "getBackupSettings" },
			{ "id": "saveHelpdeskAppSettingsQuery", "action": "setLdapSettingsMail", "model": { "data": "AppHelpdeskSettings" } },
			{ "id": "saveHelpdeskAccSettingsQuery", "action": "changeHelpDeskAccount", "paramsset": { "id": "helpdeskSettingsForm", "page": "helpdeskSettingsDialog", "action": "getAccData" } }
		]
})
